%--------------------------------------------------------------------------
% File     : CAT003-2 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : XY epimorphism => X epimorphism
% Version  : [Qua89] (equality) axioms.
% English  : If xy is an epimorphism, then x is an epimorphism.

% Refs     : [Qua89] Quaife (1989), Email to L. Wos
% Source   : [ANL]
% Names    : p3.ver2.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.22 v3.2.0, 0.33 v3.1.0, 0.00 v2.7.0, 0.25 v2.6.0, 0.17 v2.5.0, 0.25 v2.4.0, 0.25 v2.3.0, 0.50 v2.2.1, 0.17 v2.2.0, 0.25 v2.1.0, 0.67 v2.0.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;   9 unit;   9 RR)
%            Number of atoms       :   21 (  21 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :   14 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Quaife's axioms for category theory 
include('Axioms/CAT002-0.ax').
%--------------------------------------------------------------------------
cnf(endomorphism,hypothesis,
    ( codomain(compose(a,b)) != domain(X)
    | compose(compose(a,b),X) != Y
    | codomain(compose(a,b)) != domain(Z)
    | compose(compose(a,b),Z) != Y
    | X = Z )).

cnf(codomain_of_a_equals_domain_of_b,hypothesis,
    ( codomain(a) = domain(b) )).

cnf(codomain_of_b_equals_domain_of_h,hypothesis,
    ( codomain(b) = domain(h) )).

cnf(codomain_of_b_equals_domain_of_g,hypothesis,
    ( codomain(b) = domain(g) )).

cnf(bh_equals_bg,hypothesis,
    ( compose(b,h) = compose(b,g) )).

cnf(prove_g_equals_h,negated_conjecture,
    (  g != h )).

%--------------------------------------------------------------------------
