%--------------------------------------------------------------------------
% File     : CAT005-1 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : Domain is the unique right identity
% Version  : [Mit67] axioms.
% English  : domain(x) is the unique identity i such that xi is defined.

% Refs     : [Mit67] Mitchell (1967), Theory of Categories
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : C5 [MOW76]
%          : p5.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.2.1, 0.11 v2.2.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   21 (   0 non-Horn;   9 unit;  15 RR)
%            Number of atoms       :   48 (   2 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    4 (   0 propositional; 1-3 arity)
%            Number of functors    :    5 (   2 constant; 0-2 arity)
%            Number of variables   :   52 (   5 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Mitchell's axioms for category theory 
include('Axioms/CAT001-0.ax').
%--------------------------------------------------------------------------
cnf(ad_defined,hypothesis,
    ( defined(a,d) )).

cnf(d_is_identity_map,hypothesis,
    ( identity_map(d) )).

cnf(prove_domain_of_a_is_d,negated_conjecture,
    (  domain(a) != d )).

%--------------------------------------------------------------------------
