%--------------------------------------------------------------------------
% File     : CAT005-3 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : Domain is the unique right identity
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : domain(x) is the unique identity i such that xi is defined.

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [ANL]
% Names    : p5.ver3.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.14 v3.2.0, 0.23 v3.1.0, 0.27 v2.7.0, 0.25 v2.6.0, 0.30 v2.5.0, 0.25 v2.4.0, 0.22 v2.3.0, 0.33 v2.2.0, 0.44 v2.1.0, 0.56 v2.0.0
% Syntax   : Number of clauses     :   21 (   2 non-Horn;   5 unit;  16 RR)
%            Number of atoms       :   43 (  18 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    6 (   2 constant; 0-2 arity)
%            Number of variables   :   33 (   4 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Axioms simplified by Art Quaife.
%--------------------------------------------------------------------------
%----Include Scott's axioms for category theory 
include('Axioms/CAT003-0.ax').
%--------------------------------------------------------------------------
%----Denial of the theorem:  d is an identity not equal to dom(a), 
cnf(ad_exists,hypothesis,
    ( there_exists(compose(a,d)) )).

cnf(xd_equals_x,hypothesis,
    ( ~ there_exists(compose(X,d))
    | compose(X,d) = X )).

cnf(dy_equals_y,hypothesis,
    ( ~ there_exists(compose(d,Y))
    | compose(d,Y) = Y )).

cnf(prove_domain_of_a_is_d,negated_conjecture,
    (  domain(a) != d )).

%--------------------------------------------------------------------------
