%--------------------------------------------------------------------------
% File     : COL087-1 : TPTP v3.2.0. Released v2.7.0.
% Domain   : Combinatory Logic
% Problem  : Strong fixed point for B and M
% Version  : [Cla03] axioms.
% English  : The strong fixed point property holds for the set with the
%            combinators B and M as a basis, where Bxyz = x(yz) and
%            Mx = xx.

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
%          : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : Open
% Rating   : 1.00 v2.7.0
% Syntax   : Number of clauses     :    3 (   0 non-Horn;   3 unit;   1 RR)
%            Number of atoms       :    3 (   3 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   2 constant; 0-2 arity)
%            Number of variables   :    5 (   0 singleton)
%            Maximal term depth    :    4 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
cnf(definition_B,axiom,
    ( apply(apply(apply(b,X),Y),Z) = apply(X,apply(Y,Z)) )).

cnf(definition_M,axiom,
    ( apply(m,X) = apply(X,X) )).

cnf(strong_fixpoint,negated_conjecture,
    (  apply(Y,f(Y)) != apply(f(Y),apply(Y,f(Y))) )).

%--------------------------------------------------------------------------
