%--------------------------------------------------------------------------
% File     : FLD008-2 : TPTP v3.2.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Compatibility of operation and inverse in the additive group
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses     :   34 (   3 non-Horn;  10 unit;  34 RR)
%            Number of atoms       :   80 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :   10 (   6 constant; 0-2 arity)
%            Number of variables   :   50 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(b_is_defined,hypothesis,
    ( defined(b) )).

cnf(c_is_defined,hypothesis,
    ( defined(c) )).

cnf(d_is_defined,hypothesis,
    ( defined(d) )).

cnf(add_equals_c_5,negated_conjecture,
    ( equalish(add(a,b),c) )).

cnf(add_equals_d_6,negated_conjecture,
    ( equalish(add(additive_inverse(a),additive_inverse(b)),d) )).

cnf(additive_inverse_not_equal_to_d_7,negated_conjecture,
    ( ~ equalish(additive_inverse(c),d) )).

%--------------------------------------------------------------------------
