%--------------------------------------------------------------------------
% File     : FLD016-1 : TPTP v3.2.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Solutions of linear equations in the additive group are unique
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.67 v3.2.0, 0.33 v3.1.0, 0.50 v2.7.0, 0.88 v2.6.0, 0.67 v2.5.0, 1.00 v2.1.0
% Syntax   : Number of clauses     :   34 (   3 non-Horn;  10 unit;  34 RR)
%            Number of atoms       :   80 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :   10 (   6 constant; 0-2 arity)
%            Number of variables   :   50 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(b_is_defined,hypothesis,
    ( defined(b) )).

cnf(u_is_defined,hypothesis,
    ( defined(u) )).

cnf(v_is_defined,hypothesis,
    ( defined(v) )).

cnf(add_equals_b_5,negated_conjecture,
    ( equalish(add(a,u),b) )).

cnf(add_equals_b_6,negated_conjecture,
    ( equalish(add(a,v),b) )).

cnf(u_not_equal_to_v_7,negated_conjecture,
    ( ~ equalish(u,v) )).

%--------------------------------------------------------------------------
