%--------------------------------------------------------------------------
% File     : GEO009-1 : TPTP v3.2.0. Bugfixed v2.5.0.
% Domain   : Geometry
% Problem  : First inner connectivity property of betweenness
% Version  : [MOW76] axioms.
% English  : For all points x, y, z, and w, if y and w are between x and 
%            z, then either y is between x and w or w is between x and y.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
% Source   : [ANL]
% Names    : T9 [MOW76]
%          : t9.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.86 v3.2.0, 0.69 v3.1.0, 0.91 v2.7.0, 1.00 v2.6.0, 0.88 v2.5.0
% Syntax   : Number of clauses     :   24 (   6 non-Horn;  10 unit;  21 RR)
%            Number of atoms       :   68 (   8 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   12 (   7 constant; 0-6 arity)
%            Number of variables   :   79 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%          : v2.5.0 - Bug in GEO001-0.ax fixed.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
%--------------------------------------------------------------------------
cnf(c_between_a_and_e,hypothesis,
    ( between(a,c,e) )).

cnf(d_between_a_and_e,hypothesis,
    ( between(a,d,e) )).

cnf(c_between_a_and_d,hypothesis,
    ( ~ between(a,c,d) )).

cnf(prove_d_between_a_and_c,negated_conjecture,
    ( ~ between(a,d,c) )).

%--------------------------------------------------------------------------
