%--------------------------------------------------------------------------
% File     : GEO010-2 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Collinearity is invariant
% Version  : [Qua89] axioms.
% English  : For all points x, y, and z, if x, y, and z are collinear 
%            in one order, they are collinear in any order.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.64 v3.2.0, 0.69 v3.1.0, 0.55 v2.7.0, 0.42 v2.6.0, 0.50 v2.5.0, 0.58 v2.4.0, 0.56 v2.3.0, 0.67 v2.2.1, 0.89 v2.2.0, 0.89 v2.1.0, 0.89 v2.0.0
% Syntax   : Number of clauses     :   24 (   6 non-Horn;   7 unit;  21 RR)
%            Number of atoms       :   72 (   7 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    4 (   0 propositional; 2-4 arity)
%            Number of functors    :   11 (   6 constant; 0-6 arity)
%            Number of variables   :   83 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%----Include Tarski geometry axioms for colinearity 
include('Axioms/GEO002-1.ax').
%--------------------------------------------------------------------------
cnf(abc_colinear,hypothesis,
    ( colinear(a,b,c) )).

cnf(prove_colinear_in_all_orders,negated_conjecture,
    ( ~ colinear(a,c,b)
    | ~ colinear(b,a,c)
    | ~ colinear(b,c,a)
    | ~ colinear(c,a,b)
    | ~ colinear(c,b,a) )).

%--------------------------------------------------------------------------
