%--------------------------------------------------------------------------
% File     : GEO041-2 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Corollary to antisymmetry of betweenness in first 2 arguments
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.29 v3.2.0, 0.23 v3.1.0, 0.27 v2.7.0, 0.42 v2.6.0, 0.30 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.44 v2.2.0, 0.67 v2.1.0, 0.78 v2.0.0
% Syntax   : Number of clauses     :   21 (   5 non-Horn;   9 unit;  18 RR)
%            Number of atoms       :   59 (   8 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   11 (   6 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Proving corollaries from axioms is not usual.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(v_between_u_and_w,hypothesis,
    ( between(u,v,w) )).

cnf(w_between_u_and_v,hypothesis,
    ( between(u,w,v) )).

cnf(prove_v_is_w,negated_conjecture,
    (  v != w )).

%--------------------------------------------------------------------------
