%--------------------------------------------------------------------------
% File     : GEO068-2 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Theorem of similar situations for collinear U, V, W
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.86 v3.2.0, 0.92 v3.1.0, 0.91 v2.7.0, 0.92 v2.6.0, 1.00 v2.5.0, 0.92 v2.4.0, 0.89 v2.3.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   27 (   6 non-Horn;  11 unit;  24 RR)
%            Number of atoms       :   71 (   7 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    4 (   0 propositional; 2-4 arity)
%            Number of functors    :   14 (   9 constant; 0-6 arity)
%            Number of variables   :   83 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%----Include definition of colinearity 
include('Axioms/GEO002-1.ax').
%--------------------------------------------------------------------------
cnf(u_to_v_equals_u1_to_v1,hypothesis,
    ( equidistant(u,v,u1,v1) )).

cnf(v_to_w_equals_v1_to_w1,hypothesis,
    ( equidistant(v,w,v1,w1) )).

cnf(u_to_w_equals_u1_to_w1,hypothesis,
    ( equidistant(u,w,u1,w1) )).

cnf(uvw_colinear,hypothesis,
    ( colinear(u,v,w) )).

cnf(prove_u1v1w1_colinear,negated_conjecture,
    ( ~ colinear(u1,v1,w1) )).

%--------------------------------------------------------------------------
