%--------------------------------------------------------------------------
% File     : GEO093-1 : TPTP v3.2.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Sum of meeting open curves is open
% Version  : [EHK99] axioms.
% English  : If two open sub-curves of an open curve meet, then their sum 
%            is also open.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.71 v3.2.0, 0.69 v3.1.0, 0.55 v2.7.0, 0.58 v2.6.0, 0.56 v2.4.0
% Syntax   : Number of clauses     :   53 (  21 non-Horn;   6 unit;  48 RR)
%            Number of atoms       :  159 (  21 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :   18 (   4 constant; 0-3 arity)
%            Number of variables   :  126 (  10 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO093+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%--------------------------------------------------------------------------
cnf(proposition_2_14_2_67,negated_conjecture,
    ( open(sk14) )).

cnf(proposition_2_14_2_68,negated_conjecture,
    ( part_of(sk15,sk14) )).

cnf(proposition_2_14_2_69,negated_conjecture,
    ( part_of(sk16,sk14) )).

cnf(proposition_2_14_2_70,negated_conjecture,
    ( meet(sk17,sk15,sk16) )).

cnf(proposition_2_14_2_71,negated_conjecture,
    ( ~ open(sum(sk15,sk16)) )).

%--------------------------------------------------------------------------
