%--------------------------------------------------------------------------
% File     : GEO120-1 : TPTP v3.2.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Oriented curve finishing point is endpoint of underlying curve
% Version  : [EHK99] axioms.
% English  : 

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.93 v3.2.0, 0.92 v3.1.0, 1.00 v2.4.0
% Syntax   : Number of clauses     :   98 (  42 non-Horn;   5 unit;  88 RR)
%            Number of atoms       :  301 (  40 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :   14 (   0 propositional; 1-4 arity)
%            Number of functors    :   28 (   2 constant; 0-5 arity)
%            Number of variables   :  276 (  17 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO120-1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
%--------------------------------------------------------------------------
cnf(theorem_4_6_2_133,negated_conjecture,
    ( finish_point(sk26,sk25) )).

cnf(theorem_4_6_2_134,negated_conjecture,
    ( ~ end_point(sk26,underlying_curve(sk25)) )).

%--------------------------------------------------------------------------
