%--------------------------------------------------------------------------
% File     : GEO124-1 : TPTP v3.2.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Every oriented curve has at most one starting point
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.07 v3.2.0, 0.15 v3.1.0, 0.09 v2.7.0, 0.17 v2.6.0, 0.00 v2.4.0
% Syntax   : Number of clauses     :   99 (  42 non-Horn;   6 unit;  89 RR)
%            Number of atoms       :  302 (  41 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :   14 (   0 propositional; 1-4 arity)
%            Number of functors    :   29 (   3 constant; 0-5 arity)
%            Number of variables   :  276 (  17 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO124+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
%--------------------------------------------------------------------------
cnf(corollary_4_10_1_133,negated_conjecture,
    ( start_point(sk26,sk25) )).

cnf(corollary_4_10_1_134,negated_conjecture,
    ( start_point(sk27,sk25) )).

cnf(corollary_4_10_1_135,negated_conjecture,
    (  sk26 != sk27 )).

%--------------------------------------------------------------------------
