%--------------------------------------------------------------------------
% File     : GEO139-1 : TPTP v3.2.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Oppositely oriented curve exists
% Version  : [EHK99] axioms.
% English  : For every oriented curve there is an oppositely oriented curve 
%            with the same underlying curve.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses     :   98 (  42 non-Horn;   3 unit;  88 RR)
%            Number of atoms       :  303 (  42 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :   14 (   0 propositional; 1-4 arity)
%            Number of functors    :   29 (   1 constant; 0-5 arity)
%            Number of variables   :  278 (  17 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO139+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
%--------------------------------------------------------------------------
cnf(theorem_4_22_133,negated_conjecture,
    ( underlying_curve(sk25) != underlying_curve(A)
    | ordered_by(sk25,sk26(A),sk27(A)) )).

cnf(theorem_4_22_134,negated_conjecture,
    ( underlying_curve(sk25) != underlying_curve(A)
    | ~ ordered_by(A,sk27(A),sk26(A)) )).

%--------------------------------------------------------------------------
