%--------------------------------------------------------------------------
% File     : GEO148-1 : TPTP v3.2.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : No meeting if someone has already passed
% Version  : [EHK99] axioms.
% English  : A point can only be a meeting point of two moving objects if 
%            it is not the case that one object already passed through it 
%            when the other object was still moving towards it

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.21 v3.2.0, 0.15 v3.1.0, 0.18 v2.7.0, 0.25 v2.6.0, 0.22 v2.5.0, 0.44 v2.4.0
% Syntax   : Number of clauses     :  114 (  42 non-Horn;   8 unit; 102 RR)
%            Number of atoms       :  332 (  41 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :   16 (   0 propositional; 1-4 arity)
%            Number of functors    :   36 (   5 constant; 0-5 arity)
%            Number of variables   :  310 (  19 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO148+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
%----Include trajectory axioms
include('Axioms/GEO004-3.ax').
%--------------------------------------------------------------------------
cnf(t14_156,negated_conjecture,
    ( connect(sk28,sk29,sk27) )).

cnf(t14_157,negated_conjecture,
    ( ordered_by(trajectory_of(sk29),sk31,sk27) )).

cnf(t14_158,negated_conjecture,
    ( ordered_by(trajectory_of(sk28),sk27,sk30) )).

cnf(t14_159,negated_conjecture,
    ( once(at_the_same_time(at(sk28,sk30),at(sk29,sk31))) )).

%--------------------------------------------------------------------------
