%--------------------------------------------------------------------------
% File     : GEO163-1 : TPTP v3.2.0. Released v2.7.0.
% Domain   : Geometry
% Problem  : Not enough axioms to prove collinearity of a finite set of points
% Version  : [Cla03] axioms : Especial.
% English  : Given a finite set of points such that for all points x, y
%            there is a 3rd (different) point z collinear with x and y.
%            Show that all points in the set are collinear.

% Refs     : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : Satisfiable
% Rating   : 0.33 v3.2.0, 0.80 v3.1.0, 0.67 v2.7.0
% Syntax   : Number of clauses     :    8 (   1 non-Horn;   5 unit;   6 RR)
%            Number of atoms       :   15 (   5 equality)
%            Maximal clause size   :    6 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-3 arity)
%            Number of functors    :    4 (   3 constant; 0-2 arity)
%            Number of variables   :   18 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
cnf(two_points_collinear,axiom,
    ( collinear(X,X,Y) )).

cnf(rotate_collinear,axiom,
    ( collinear(Y,X,Z)
    | ~ collinear(X,Y,Z) )).

cnf(swap_collinear,axiom,
    ( collinear(Z,X,Y)
    | ~ collinear(X,Y,Z) )).

cnf(transitivity_collinear,axiom,
    ( collinear(X,Y1,Z)
    | X = Y2
    | Y1 = Y2
    | Y2 = Z
    | ~ collinear(Y1,Y2,Z)
    | ~ collinear(X,Y1,Y2) )).

cnf(third_point_collinear,hypothesis,
    ( collinear(X,Y,third(X,Y)) )).

cnf(third_point_different_1,hypothesis,
    (  X != third(X,Y) )).

cnf(third_point_different_1,hypothesis,
    (  Y != third(X,Y) )).

cnf(conjecture,negated_conjecture,
    ( ~ collinear(p1,p2,p3) )).

%--------------------------------------------------------------------------
