%--------------------------------------------------------------------------
% File     : GRP031-1 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Group Theory (Semigroups)
% Problem  : In semigroups, left inverse and id => right inverse exists
% Version  : [MOW76] axioms.
% English  : If there are left inverses and left identity, then every 
%            element has a right inverse.

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 5 [Wos65]
%          : wos5 [WM76]
%          : G4 [MOW76]
%          : invers2.ver1.t [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :    7 (   0 non-Horn;   4 unit;   4 RR)
%            Number of atoms       :   15 (   1 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-3 arity)
%            Number of functors    :    4 (   2 constant; 0-2 arity)
%            Number of variables   :   21 (   1 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : This can also be viewed as a group theory problem, showing 
%            that the right inverse axiom is dependant on the rest of the 
%            axiom set; i.e., if there is a left inverse then there 
%            is a right inverse.
%--------------------------------------------------------------------------
%----Include semi-group axioms 
include('Axioms/GRP002-0.ax').
%--------------------------------------------------------------------------
cnf(left_identity,hypothesis,
    ( product(identity,A,A) )).

cnf(left_inverse,hypothesis,
    ( product(inverse(A),A,identity) )).

cnf(prove_a_has_an_inverse,negated_conjecture,
    ( ~ product(a,A,identity) )).

%--------------------------------------------------------------------------
