%--------------------------------------------------------------------------
% File     : GRP034-4 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Group Theory (Subgroups)
% Problem  : In subgroups, inverse is closed
% Version  : [LS74] axioms : Incomplete.
% English  : 

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental tests of resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls26 [LS74]
%          : ls26 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :    9 (   0 non-Horn;   6 unit;   5 RR)
%            Number of atoms       :   18 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 1-3 arity)
%            Number of functors    :    4 (   2 constant; 0-2 arity)
%            Number of variables   :   20 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
cnf(closure,axiom,
    ( product(X,Y,multiply(X,Y)) )).

cnf(left_identity,axiom,
    ( product(identity,X,X) )).

cnf(right_identity,axiom,
    ( product(X,identity,X) )).

cnf(right_inverse,axiom,
    ( product(X,inverse(X),identity) )).

cnf(associativity1,axiom,
    ( ~ product(X,Y,U)
    | ~ product(Y,Z,V)
    | ~ product(U,Z,W)
    | product(X,V,W) )).

cnf(associativity2,axiom,
    ( ~ product(X,Y,U)
    | ~ product(Y,Z,V)
    | ~ product(X,V,W)
    | product(U,Z,W) )).

cnf(closure_of_subgroup,axiom,
    ( ~ subgroup_member(A)
    | ~ subgroup_member(B)
    | ~ product(B,inverse(A),C)
    | subgroup_member(C) )).

cnf(a_is_in_subgroup,hypothesis,
    ( subgroup_member(a) )).

cnf(prove_inverse_is_in_subgroup,negated_conjecture,
    ( ~ subgroup_member(inverse(a)) )).

%--------------------------------------------------------------------------
