%--------------------------------------------------------------------------
% File     : GRP037-3 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Group Theory (Subgroups)
% Problem  : In subgroups, the inverse of an element is unique
% Version  : [Wos65] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 17 [Wos65]
%          : wos17 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.6.0, 0.14 v2.5.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   19 (   0 non-Horn;   8 unit;  14 RR)
%            Number of atoms       :   39 (   4 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-3 arity)
%            Number of functors    :    6 (   3 constant; 0-2 arity)
%            Number of variables   :   38 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include sub-group theory axioms 
include('Axioms/GRP003-2.ax').
%--------------------------------------------------------------------------
cnf(another_left_identity,hypothesis,
    ( ~ subgroup_member(A)
    | product(another_identity,A,A) )).

cnf(another_right_identity,hypothesis,
    ( ~ subgroup_member(A)
    | product(A,another_identity,A) )).

cnf(another_right_inverse,hypothesis,
    ( ~ subgroup_member(A)
    | product(A,another_inverse(A),another_identity) )).

cnf(another_left_inverse,hypothesis,
    ( ~ subgroup_member(A)
    | product(another_inverse(A),A,another_identity) )).

cnf(another_inverse_in_subgroup,hypothesis,
    ( ~ subgroup_member(A)
    | subgroup_member(another_inverse(A)) )).

cnf(product_right_cancellation,hypothesis,
    ( ~ product(A,B,C)
    | ~ product(A,D,C)
    | D = B )).

cnf(product_left_cancellation,hypothesis,
    ( ~ product(A,B,C)
    | ~ product(D,B,C)
    | D = A )).

cnf(a_is_in_subgroup,hypothesis,
    ( subgroup_member(a) )).

cnf(another_identity_in_subgroup,hypothesis,
    ( subgroup_member(another_identity) )).

cnf(prove_two_inverses_are_equal,negated_conjecture,
    (  inverse(a) != another_inverse(a) )).

%--------------------------------------------------------------------------
