%--------------------------------------------------------------------------
% File     : GRP040-4 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Group Theory (Subgroups)
% Problem  : In subgroups of order 2, inverse is an involution
% Version  : [Wos65] axioms : Augmented.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 20 [Wos65]
%          : wos20 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.29 v3.2.0, 0.31 v3.1.0, 0.27 v2.7.0, 0.33 v2.6.0, 0.40 v2.5.0, 0.42 v2.4.0, 0.33 v2.3.0, 0.44 v2.2.1, 0.44 v2.2.0, 0.67 v2.1.0, 0.78 v2.0.0
% Syntax   : Number of clauses     :   21 (   2 non-Horn;  12 unit;  13 RR)
%            Number of atoms       :   41 (   4 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-3 arity)
%            Number of functors    :    8 (   5 constant; 0-2 arity)
%            Number of variables   :   39 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include sub-group theory axioms 
include('Axioms/GRP003-2.ax').
%--------------------------------------------------------------------------
%----The next four clauses are dependent 
cnf(identity_is_in_subgroup,axiom,
    ( subgroup_member(identity) )).

cnf(closure_of_inverse,axiom,
    ( ~ subgroup_member(A)
    | subgroup_member(inverse(A)) )).

cnf(product_right_cancellation,axiom,
    ( ~ product(A,B,C)
    | ~ product(A,D,C)
    | D = B )).

cnf(product_left_cancellation,axiom,
    ( ~ product(A,B,C)
    | ~ product(D,B,C)
    | D = A )).

%----Definition of subgroup of index 2 
cnf(an_element_in_O2,axiom,
    ( subgroup_member(element_in_O2(A,B))
    | subgroup_member(B)
    | subgroup_member(A) )).

cnf(property_of_O2,axiom,
    ( product(A,element_in_O2(A,B),B)
    | subgroup_member(B)
    | subgroup_member(A) )).

cnf(a_in_subgroup,hypothesis,
    ( ~ subgroup_member(a) )).

cnf(b_is_in_subgroup,hypothesis,
    ( subgroup_member(b) )).

cnf(d_in_subgroup,hypothesis,
    ( ~ subgroup_member(d) )).

cnf(b_times_a_inverse_is_c,hypothesis,
    ( product(b,inverse(a),c) )).

cnf(a_times_c_is_d,hypothesis,
    ( product(a,c,d) )).

cnf(prove_inverse_is_self_cancelling,negated_conjecture,
    ( inverse(inverse(A)) = A )).

%--------------------------------------------------------------------------
