%--------------------------------------------------------------------------
% File     : GRP085-1 : TPTP v3.2.0. Bugfixed v2.7.0.
% Domain   : Group Theory (Abelian)
% Problem  : Single axiom for Abelian group theory, in product and inverse
% Version  : [McC93] (equality) axioms.
% English  : This is a single axiom for Abelian group theory, in terms 
%            of product and inverse.

% Refs     : [LW92]  Lusk & Wos (1992), Benchmark Problems in Which Equalit
%          : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [McC93]
% Names    : GT5 [LW92]
%          : Axiom 3.7.1 [McC93]

% Status   : Unsatisfiable
% Rating   : 0.44 v3.2.0, 0.33 v3.1.0, 0.20 v2.7.0
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   1 unit;   1 RR)
%            Number of atoms       :    5 (   5 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   11 (   9 constant; 0-2 arity)
%            Number of variables   :    3 (   0 singleton)
%            Maximal term depth    :    4 (   3 average)

% Comments : 
% Bugfixes : v2.7.0 - Grounded conjecture
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( multiply(multiply(multiply(X,Y),Z),inverse(multiply(X,Z))) = Y )).

cnf(prove_these_axioms,negated_conjecture,
    ( multiply(inverse(a1),a1) != multiply(inverse(b1),b1)
    | multiply(multiply(inverse(b2),b2),a2) != a2
    | multiply(multiply(a3,b3),c3) != multiply(a3,multiply(b3,c3))
    | multiply(a4,b4) != multiply(b4,a4) )).

%--------------------------------------------------------------------------
