%--------------------------------------------------------------------------
% File     : GRP136-1 : TPTP v3.2.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Prove anti-symmetry axiom using the LUB transformation
% Version  : [Fuc94] (equality) axioms.
% English  : This problem proves the original anti-symmetry axiom from the 
%            equational axiomatization.

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : ax_antisyma [Sch95] 

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :   18 (   0 non-Horn;  18 unit;   3 RR)
%            Number of atoms       :   18 (  18 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   3 constant; 0-2 arity)
%            Number of variables   :   33 (   2 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound > 
%            least_upper_bound > identity > a > b
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
cnf(ax_antisyma_1,hypothesis,
    ( least_upper_bound(a,b) = b )).

cnf(ax_antisyma_2,hypothesis,
    ( least_upper_bound(a,b) = a )).

cnf(prove_ax_antisyma,negated_conjecture,
    (  a != b )).

%--------------------------------------------------------------------------
