%--------------------------------------------------------------------------
% File     : GRP181-4 : TPTP v3.2.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Distributivity of a lattice
% Version  : [Fuc94] (equality) axioms : Augmented.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : p12x [Sch95]

% Status   : Unsatisfiable
% Rating   : 0.43 v3.1.0, 0.44 v2.7.0, 0.36 v2.6.0, 0.00 v2.2.1, 0.56 v2.2.0, 0.57 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   23 (   0 non-Horn;  23 unit;   4 RR)
%            Number of atoms       :   23 (  23 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   4 constant; 0-2 arity)
%            Number of variables   :   40 (   2 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b > c
%          : ORDERING LPO greatest_lower_bound > least_upper_bound > 
%            inverse > product > identity > a > b > c
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
cnf(p12x_1,hypothesis,
    ( inverse(identity) = identity )).

cnf(p12x_2,hypothesis,
    ( inverse(inverse(X)) = X )).

cnf(p12x_3,hypothesis,
    ( inverse(multiply(X,Y)) = multiply(inverse(Y),inverse(X)) )).

cnf(p12x_4,hypothesis,
    ( greatest_lower_bound(a,c) = greatest_lower_bound(b,c) )).

cnf(p12x_5,hypothesis,
    ( least_upper_bound(a,c) = least_upper_bound(b,c) )).

cnf(p12x_6,hypothesis,
    ( inverse(greatest_lower_bound(X,Y)) = least_upper_bound(inverse(X),inverse(Y)) )).

cnf(p12x_7,hypothesis,
    ( inverse(least_upper_bound(X,Y)) = greatest_lower_bound(inverse(X),inverse(Y)) )).

cnf(prove_p12x,negated_conjecture,
    (  a != b )).

%--------------------------------------------------------------------------
