%--------------------------------------------------------------------------
% File     : GRP186-2 : TPTP v3.2.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Application of distributivity and group theory
% Version  : [Fuc94] (equality) axioms : Augmented.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : p23 [Sch95]

% Status   : Unsatisfiable
% Rating   : 0.36 v3.1.0, 0.33 v2.7.0, 0.55 v2.6.0, 0.50 v2.5.0, 0.25 v2.4.0, 0.00 v2.2.1, 0.78 v2.2.0, 0.86 v2.1.0, 0.86 v2.0.0
% Syntax   : Number of clauses     :   19 (   0 non-Horn;  19 unit;   2 RR)
%            Number of atoms       :   19 (  19 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   3 constant; 0-2 arity)
%            Number of variables   :   36 (   2 singleton)
%            Maximal term depth    :    5 (   2 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality 
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
cnf(p23_1,hypothesis,
    ( inverse(identity) = identity )).

cnf(p23_2,hypothesis,
    ( inverse(inverse(X)) = X )).

cnf(p23_3,hypothesis,
    ( inverse(multiply(X,Y)) = multiply(inverse(Y),inverse(X)) )).

cnf(prove_p23,negated_conjecture,
    (  least_upper_bound(multiply(a,b),identity) != multiply(a,inverse(greatest_lower_bound(a,inverse(b)))) )).

%--------------------------------------------------------------------------
