%--------------------------------------------------------------------------
% File     : GRP204-1 : TPTP v3.2.0. Released v2.2.0.
% Domain   : Group Theory (Loops)
% Problem  : A non-basis for Moufang loops.
% Version  : [MP96] (equality) axioms : Especial.
% English  : Left identity, left inverse, Moufang-1 do not imply Moufang-2;
%            that is, is not a basis for Moufang loops.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : MFL-8 [MP96]

% Status   : Satisfiable
% Rating   : 0.33 v3.2.0, 0.67 v3.1.0, 0.33 v2.4.0, 0.67 v2.3.0, 1.00 v2.2.1
% Syntax   : Number of clauses     :    4 (   0 non-Horn;   4 unit;   1 RR)
%            Number of atoms       :    4 (   4 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   4 constant; 0-2 arity)
%            Number of variables   :    5 (   0 singleton)
%            Maximal term depth    :    4 (   3 average)

% Comments : The smallest model has 3 elements.
%--------------------------------------------------------------------------
%----Left identity and left inverse:
cnf(left_identity,axiom,
    ( multiply(identity,X) = X )).

cnf(left_inverse,axiom,
    ( multiply(left_inverse(X),X) = identity )).

%----Moufang-1:
cnf(moufang1,axiom,
    ( multiply(multiply(X,multiply(Y,Z)),X) = multiply(multiply(X,Y),multiply(Z,X)) )).

%----Denial of Moufang-2:
cnf(prove_moufang2,negated_conjecture,
    (  multiply(multiply(multiply(a,b),c),b) != multiply(a,multiply(b,multiply(c,b))) )).

%--------------------------------------------------------------------------
