%--------------------------------------------------------------------------
% File     : GRP401-1 : TPTP v3.2.0. Released v2.5.0.
% Domain   : Group Theory (Cancellative Semigroups)
% Problem  : Prove distributivity implies nilpotent in cancellative semigroup
% Version  : [EF+02] axioms.
% English  : Assume a cancellative semigroup admits a commutator operation.
%            Then the following three properties are equivalent:
%            (1) commutator is associative;
%            (2) commutator distributes over product;
%            (3) the semigroup is nilpotent of class 2.
%            This is a generalization of the corresponding theorem for group
%            theory. The problem here is to prove (1) implies (2).

% Refs     : [Kur56] Kurosh (1956), The Theory of Groups
%          : [EF+02] Ernst et al. (2002), More First-order Test Problems in
% Source   : [EF+02]
% Names    : cs-comm-dn [EF+02]

% Status   : Unsatisfiable
% Rating   : 0.33 v3.1.0, 0.20 v2.7.0, 0.50 v2.6.0, 0.40 v2.5.0
% Syntax   : Number of clauses     :    6 (   0 non-Horn;   4 unit;   3 RR)
%            Number of atoms       :    8 (   8 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :   14 (   0 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Cancellative semigroups axioms
include('Axioms/GRP008-0.ax').
include('Axioms/GRP008-1.ax').
%--------------------------------------------------------------------------
%----CS admits commutator
cnf(commutator,axiom,
    ( multiply(A,B) = multiply(B,multiply(A,commutator(A,B))) )).

%----Commutator distributes over product
cnf(commutator_distributes_over_product,axiom,
    ( commutator(multiply(A,B),C) = multiply(commutator(A,C),commutator(B,C)) )).

%----Denial: nilpotent class 2
cnf(prove_nilpotency,negated_conjecture,
    (  multiply(commutator(a,b),c) != multiply(c,commutator(a,b)) )).

%--------------------------------------------------------------------------
