%--------------------------------------------------------------------------
% File     : HEN005-1 : TPTP v3.2.0. Bugfixed v1.2.1.
% Domain   : Henkin Models
% Problem  : The relation less_equal is transitive
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : hp5.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v3.1.0, 0.22 v2.7.0, 0.00 v2.6.0, 0.29 v2.5.0, 0.00 v2.3.0, 0.17 v2.2.1, 0.25 v2.2.0, 0.33 v2.1.0, 0.33 v2.0.0
% Syntax   : Number of clauses     :   12 (   0 non-Horn;   6 unit;   9 RR)
%            Number of atoms       :   24 (   2 equality)
%            Maximal clause size   :    6 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    6 (   5 constant; 0-2 arity)
%            Number of variables   :   25 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Duplicate equality axioms removed.
%--------------------------------------------------------------------------
%----Include Henkin model axioms 
include('Axioms/HEN001-0.ax').
%--------------------------------------------------------------------------
cnf(xLEy,hypothesis,
    ( less_equal(x,y) )).

cnf(yLEz,hypothesis,
    ( less_equal(y,z) )).

cnf(prove_transitivity_of_less_equal,negated_conjecture,
    ( ~ less_equal(x,z) )).

%--------------------------------------------------------------------------
