%--------------------------------------------------------------------------
% File     : HEN005-4 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : The relation less_equal is transitive
% Version  : [MOW76] axioms : Augmented.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.00 v3.1.0, 0.11 v2.7.0, 0.00 v2.6.0, 0.29 v2.5.0, 0.00 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.40 v2.0.0
% Syntax   : Number of clauses     :   14 (   0 non-Horn;  11 unit;   6 RR)
%            Number of atoms       :   18 (   7 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   5 constant; 0-2 arity)
%            Number of variables   :   17 (   5 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Henkin model axioms for equality formulation 
include('Axioms/HEN002-0.ax').
%--------------------------------------------------------------------------
cnf(everything_divide_id_is_zero,axiom,
    ( divide(X,identity) = zero )).

cnf(zero_divide_anything_is_zero,axiom,
    ( divide(zero,X) = zero )).

cnf(x_divide_x_is_zero,axiom,
    ( divide(X,X) = zero )).

cnf(x_divide_zero_is_x,axiom,
    ( divide(X,zero) = X )).

cnf(a_LE_b,hypothesis,
    ( less_equal(a,b) )).

cnf(b_LE_c,hypothesis,
    ( less_equal(b,c) )).

cnf(prove_a_LE_c,negated_conjecture,
    ( ~ less_equal(a,c) )).

%--------------------------------------------------------------------------
