%--------------------------------------------------------------------------
% File     : HEN007-6 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : X <= Y => Z/Y <= Z/X
% Version  : [MOW76] axioms : Augmented.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : hp7.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v3.1.0, 0.11 v2.7.0, 0.00 v2.6.0, 0.14 v2.5.0, 0.00 v2.3.0, 0.17 v2.2.1, 0.22 v2.2.0, 0.29 v2.1.0, 0.20 v2.0.0
% Syntax   : Number of clauses     :   18 (   0 non-Horn;  11 unit;  11 RR)
%            Number of atoms       :   32 (   2 equality)
%            Maximal clause size   :    6 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    8 (   7 constant; 0-2 arity)
%            Number of variables   :   32 (   5 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Henkin model axioms 
include('Axioms/HEN001-0.ax').
%--------------------------------------------------------------------------
%----McCharen uses these earlier results too. I don't 
cnf(everything_divide_identity_is_zero,axiom,
    ( quotient(X,identity,zero) )).

cnf(zero_divide_anything_is_zero,axiom,
    ( quotient(zero,X,zero) )).

cnf(x_divide_x_is_zero,axiom,
    ( quotient(X,X,zero) )).

cnf(x_divde_zero_is_x,axiom,
    ( quotient(X,zero,X) )).

cnf(transitivity_of_less_equal,axiom,
    ( ~ less_equal(X,Y)
    | ~ less_equal(Y,Z)
    | less_equal(X,Z) )).

cnf(xLEy,hypothesis,
    ( less_equal(x,y) )).

cnf(zQy,hypothesis,
    ( quotient(z,y,zQy) )).

cnf(zQx,hypothesis,
    ( quotient(z,x,zQx) )).

cnf(prove_zQyLEzQx,negated_conjecture,
    ( ~ less_equal(zQy,zQx) )).

%--------------------------------------------------------------------------
