%--------------------------------------------------------------------------
% File     : HEN011-1 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : This operation is commutative
% Version  : [MOW76] axioms.
% English  : Define & on the set of Z', where Z' = identity/Z, 
%            by X' & Y' = X'/(identity/Y'). The operation is commutative.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.14 v3.2.0, 0.00 v3.1.0, 0.22 v2.7.0, 0.17 v2.6.0, 0.43 v2.5.0, 0.20 v2.4.0, 0.33 v2.3.0, 0.17 v2.2.1, 0.67 v2.2.0, 0.71 v2.1.0, 0.80 v2.0.0
% Syntax   : Number of clauses     :   16 (   0 non-Horn;  10 unit;  13 RR)
%            Number of atoms       :   28 (   3 equality)
%            Maximal clause size   :    6 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :   11 (  10 constant; 0-2 arity)
%            Number of variables   :   25 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Henkin model axioms 
include('Axioms/HEN001-0.ax').
%--------------------------------------------------------------------------
cnf(identity_divide_a,hypothesis,
    ( quotient(identity,a,idQa) )).

cnf(identity_divide_b,hypothesis,
    ( quotient(identity,b,idQb) )).

cnf(identity_divide_idQb,hypothesis,
    ( quotient(identity,idQb,idQ_idQb) )).

cnf(idQa_divide_idQ_idQb,hypothesis,
    ( quotient(idQa,idQ_idQb,idQa_Q__idQ_idQb) )).

cnf(identity_divide_idQa,hypothesis,
    ( quotient(identity,idQa,idQ_idQa) )).

cnf(idQb_divide_idQ_idQa,hypothesis,
    ( quotient(idQb,idQ_idQa,idQb_Q__idQ_idQa) )).

cnf(prove_idQa_Q__idQ_idQb_equals_idQb_Q__idQ_idQa,negated_conjecture,
    (  idQa_Q__idQ_idQb != idQb_Q__idQ_idQa )).

%--------------------------------------------------------------------------
