%--------------------------------------------------------------------------
% File     : HWV006-2 : TPTP v3.2.0. Bugfixed v2.7.0.
% Domain   : Hardware Verification
% Problem  : A fulladder built from two halfadders and an or gate
% Version  : [Gei96] axioms.
% English  :

% Refs     : [Gei96] Geisler (1996), Email to G. Sutcliffe
% Source   : [Gei96]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.00 v2.7.0
% Syntax   : Number of clauses     :   64 (   5 non-Horn;  11 unit;  64 RR)
%            Number of atoms       :  144 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :   12 (   0 propositional; 1-2 arity)
%            Number of functors    :   13 (   1 constant; 0-1 arity)
%            Number of variables   :   55 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
% Bugfixes : v2.7.0 - Bugfix in HWV002-0.ax
%--------------------------------------------------------------------------
%----Include basic diagnosis axioms
include('Axioms/HWV002-0.ax').
%----Include model of halfadder
include('Axioms/HWV002-1.ax').
%----Include model of fulladder
include('Axioms/HWV002-2.ax').
%--------------------------------------------------------------------------
%----Observations
cnf(f_isa_fulladder,hypothesis,
    ( fulladder(f) )).

cnf(in1_1,hypothesis,
    ( one(in1(f)) )).

cnf(in2_0,hypothesis,
    ( zero(in2(f)) )).

cnf(inc_1,hypothesis,
    ( one(inc(f)) )).

cnf(outs_1,hypothesis,
    ( one(outs(f)) )).

cnf(outc_0,hypothesis,
    ( zero(outc(f)) )).

%----Minimal diagnosis
cnf(diagnosis_or1_not1h2,negated_conjecture,
    ( ~ abnormal(or1(f))
    | ~ abnormal(not1(h2(f))) )).

cnf(diagnosis_and2,negated_conjecture,
    ( ~ abnormal(and2(h2(f))) )).

cnf(diagnosis_or1_and1h2,negated_conjecture,
    ( ~ abnormal(or1(f))
    | ~ abnormal(and1(h2(f))) )).

cnf(diagnosis_or1h1,negated_conjecture,
    ( ~ abnormal(or1(h1(f))) )).

cnf(diagnosis_not1h1,negated_conjecture,
    ( ~ abnormal(not1(h1(f))) )).

cnf(diagnosis_and2h1,negated_conjecture,
    ( ~ abnormal(and2(h1(f))) )).

cnf(diagnosis_and1h1,negated_conjecture,
    ( ~ abnormal(and1(h1(f))) )).

%--------------------------------------------------------------------------
