%--------------------------------------------------------------------------
% File     : LAT016-1 : TPTP v3.2.0. Bugfixed v2.2.1.
% Domain   : Lattice Theory (Ortholattices)
% Problem  : E1 fails for Ortholattices.
% Version  : [McC98b] (equality) axioms.
% English  : Show that Ortholattices do not necessarily satisfy equation E1.

% Refs     : [McC98a] McCune (1998), Automatic Proofs and Counterexamples f
%          : [McC98b] McCune (1998), Email to G. Sutcliffe
% Source   : [McC98b]
% Names    : OL-1 [McC98b]

% Status   : Satisfiable
% Rating   : 0.33 v2.6.0, 0.67 v2.5.0, 1.00 v2.2.1
% Syntax   : Number of clauses     :   11 (   0 non-Horn;  11 unit;   1 RR)
%            Number of atoms       :   11 (  11 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :   19 (   2 singleton)
%            Maximal term depth    :    9 (   3 average)

% Comments : Ortholattice lemmas are included in McCunes original, but have
%            been removed here.
%          : The smallest model has 10 elements.
% Bugfixes : v2.2.1 - Bugfix in LAT003-0.ax.
%--------------------------------------------------------------------------
%----Include ortholattice axioms
include('Axioms/LAT003-0.ax').
%--------------------------------------------------------------------------
%----Denial of equation E1
cnf(prove_e1,negated_conjecture,
    (  join(complement(join(meet(a,complement(b)),complement(a))),join(meet(a,complement(b)),join(meet(complement(a),meet(join(a,complement(b)),join(a,b))),meet(complement(a),complement(meet(join(a,complement(b)),join(a,b))))))) != n1 )).

%--------------------------------------------------------------------------
