%--------------------------------------------------------------------------
% File     : LAT021-1 : TPTP v3.2.0. Released v2.2.0.
% Domain   : Lattice Theory (Quasilattices)
% Problem  : Bowden's inequality gives distributivity in lattice theory.
% Version  : [MP96] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : QLT-4 [MP96]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.5.0, 0.25 v2.4.0, 0.00 v2.2.1
% Syntax   : Number of clauses     :   10 (   0 non-Horn;  10 unit;   1 RR)
%            Number of atoms       :   10 (  10 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :   21 (   0 singleton)
%            Maximal term depth    :    4 (   3 average)

% Comments : Bowden's inequality is written as an equation.
%--------------------------------------------------------------------------
%----Include Quasilattice theory (equality) axioms
include('Axioms/LAT004-0.ax').
%--------------------------------------------------------------------------
%----Bowden's inequality (as an equation):
cnf(bowden,hypothesis,
    ( join(join(X,meet(Y,Z)),meet(join(X,Y),Z)) = join(X,meet(Y,Z)) )).

%----Denial of distributivity:
cnf(prove_distributivity,negated_conjecture,
    (  meet(a,join(b,c)) != join(meet(a,b),meet(a,c)) )).

%--------------------------------------------------------------------------
