%--------------------------------------------------------------------------
% File     : LAT033-1 : TPTP v3.2.0. Bugfixed v2.5.0.
% Domain   : Lattice Theory
% Problem  : Idempotency of join
% Version  : [McC88] (equality) axioms.
% English  :

% Refs     : [DeN00] DeNivelle (2000), Email to G. Sutcliffe
%            [McC88] McCune (1988), Challenge Equality Problems in Lattice
% Source   : [DeN00]
% Names    : idemp_of_join [DeN00]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses     :    7 (   0 non-Horn;   7 unit;   1 RR)
%            Number of atoms       :    7 (   7 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    3 (   1 constant; 0-2 arity)
%            Number of variables   :   14 (   2 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
% Bugfixes : v2.5.0 - Used axioms without the conjecture
%--------------------------------------------------------------------------
%----Include lattice theory axioms
%include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
cnf(absorption1,axiom,
    ( meet(X,join(X,Y)) = X )).

cnf(absorption2,axiom,
    ( join(X,meet(X,Y)) = X )).

cnf(commutativity_of_meet,axiom,
    ( meet(X,Y) = meet(Y,X) )).

cnf(commutativity_of_join,axiom,
    ( join(X,Y) = join(Y,X) )).

cnf(associativity_of_meet,axiom,
    ( meet(meet(X,Y),Z) = meet(X,meet(Y,Z)) )).

cnf(associativity_of_join,axiom,
    ( join(join(X,Y),Z) = join(X,join(Y,Z)) )).

cnf(idempotence_of_join,negated_conjecture,
    (  join(xx,xx) != xx )).

%--------------------------------------------------------------------------
