%--------------------------------------------------------------------------
% File     : LAT043-1 : TPTP v3.2.0. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : Lattice compatability from Boolean algebra
% Version  : [McC88] (equality) axioms.
% English  : 

% Refs     : [McC88] McCune (1988), Challenge Equality Problems in Lattice 
%          : [RW01]  Rose & Wilkinson (2001), Application of Model Search
% Source   : [RW01]
% Names    : eqp-a2.in [RW01]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;  13 unit;   1 RR)
%            Number of atoms       :   13 (  13 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :   22 (   2 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include lattice axioms 
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----Distributivity (4)
cnf(distributivity,axiom,
    ( meet(X,join(Y,Z)) = join(meet(X,Y),meet(X,Z)) )).

%----Invertability (5)
cnf(invertability1,axiom,
    ( join(complement(X),X) = n1 )).

cnf(invertability2,axiom,
    ( meet(complement(X),X) = n0 )).

cnf(invertability3,axiom,
    ( complement(complement(X)) = X )).

%----Preceding gives us Boolean Algebra
%----Denial of compatability
cnf(prove_compatability_law,negated_conjecture,
    (  complement(join(c,d)) != meet(complement(c),complement(d)) )).

%--------------------------------------------------------------------------
