%--------------------------------------------------------------------------
% File     : LAT049-1 : TPTP v3.2.0. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : Ortholattice is not weakly orthomodular lattice
% Version  : [McC88] (equality) axioms.
% English  : 

% Refs     : [McC88] McCune (1988), Challenge Equality Problems in Lattice 
%          : [RW01]  Rose & Wilkinson (2001), Application of Model Search
% Source   : [RW01]
% Names    : mace-d.in [RW01]

% Status   : Satisfiable
% Rating   : 0.33 v2.5.0
% Syntax   : Number of clauses     :   14 (   0 non-Horn;  14 unit;   1 RR)
%            Number of atoms       :   14 (  14 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :   23 (   2 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include lattice axioms 
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----Compatibility (6)
cnf(compatibility1,axiom,
    ( complement(join(X,Y)) = meet(complement(X),complement(Y)) )).

cnf(compatibility2,axiom,
    ( complement(meet(X,Y)) = join(complement(X),complement(Y)) )).

%----Invertability (5)
cnf(invertability1,axiom,
    ( join(complement(X),X) = n1 )).

cnf(invertability2,axiom,
    ( meet(complement(X),X) = n0 )).

cnf(invertability3,axiom,
    ( complement(complement(X)) = X )).

%----Denial of weak orthomodular law (10)
cnf(prove_weak_orthomodular_law,negated_conjecture,
    (  join(meet(complement(a),join(a,b)),join(complement(b),meet(a,b))) != n1 )).

%--------------------------------------------------------------------------
