%--------------------------------------------------------------------------
% File     : LAT050-1 : TPTP v3.2.0. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : Orthomodular lattice is not modular lattice
% Version  : [McC88] (equality) axioms.
% English  : 

% Refs     : [McC88] McCune (1988), Challenge Equality Problems in Lattice 
%          : [RW01]  Rose & Wilkinson (2001), Application of Model Search
%          : [EF+02] Ernst et al. (2002), More First-order Test Problems in
% Source   : [RW01]
% Names    : mace-f.in [RW01]
%          : oml-mod [EF+02]

% Status   : Satisfiable
% Rating   : 0.33 v3.2.0, 0.67 v3.1.0, 0.33 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses     :   15 (   0 non-Horn;  15 unit;   1 RR)
%            Number of atoms       :   15 (  15 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   5 constant; 0-2 arity)
%            Number of variables   :   25 (   2 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : This is well known, but it is a good test problem for finite
%            model search.
%--------------------------------------------------------------------------
%----Include lattice axioms 
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----Compatibility (6)
cnf(compatibility1,axiom,
    ( complement(join(X,Y)) = meet(complement(X),complement(Y)) )).

cnf(compatibility2,axiom,
    ( complement(meet(X,Y)) = join(complement(X),complement(Y)) )).

%----Invertability (5)
cnf(invertability1,axiom,
    ( join(complement(X),X) = n1 )).

cnf(invertability2,axiom,
    ( meet(complement(X),X) = n0 )).

cnf(invertability3,axiom,
    ( complement(complement(X)) = X )).

%----Orthomodular law (8)
cnf(orthomodular_law,axiom,
    ( join(X,meet(complement(X),join(X,Y))) = join(X,Y) )).

%----Denial of modular law:
cnf(prove_modular_law,negated_conjecture,
    (  join(a,meet(b,join(a,c))) != meet(join(a,b),join(a,c)) )).

%--------------------------------------------------------------------------
