%------------------------------------------------------------------------------
% File     : LAT107-1 : TPTP v3.2.0. Released v3.1.0.
% Domain   : Lattice Theory
% Problem  : Huntington equation H17 is independent of H22
% Version  : [McC05] (equality) axioms : Especial.
% English  : Show that Huntington equation H22 does not imply Huntington 
%            equation H17 in lattice theory.

% Refs     : [McC05] McCune (2005), Email to Geoff Sutcliffe
% Source   : [McC05]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.67 v3.2.0, 1.00 v3.1.0
% Syntax   : Number of clauses     :   10 (   0 non-Horn;  10 unit;   1 RR)
%            Number of atoms       :   10 (  10 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :   19 (   2 singleton)
%            Maximal term depth    :    6 (   3 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include Lattice theory (equality) axioms
include('Axioms/LAT001-0.ax').
%------------------------------------------------------------------------------
cnf(equation_H22,axiom,
    ( join(meet(X,Y),meet(X,Z)) = meet(X,join(meet(Y,join(Z,meet(X,Y))),meet(Z,join(X,Y)))) )).

cnf(prove_H17,negated_conjecture,
    (  meet(a,join(meet(a,b),meet(a,c))) != meet(a,join(meet(b,join(a,meet(b,c))),meet(c,join(a,b)))) )).

%------------------------------------------------------------------------------
