%------------------------------------------------------------------------------
% File     : LAT131-1 : TPTP v3.2.0. Released v3.1.0.
% Domain   : Lattice Theory
% Problem  : Huntington equation H42 is independent of H68_dual
% Version  : [McC05] (equality) axioms : Especial.
% English  : Show that Huntington equation H68_dual does not imply Huntington 
%            equation H42 in lattice theory.

% Refs     : [McC05] McCune (2005), Email to Geoff Sutcliffe
% Source   : [McC05]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.33 v3.2.0, 0.67 v3.1.0
% Syntax   : Number of clauses     :   10 (   0 non-Horn;  10 unit;   1 RR)
%            Number of atoms       :   10 (  10 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   4 constant; 0-2 arity)
%            Number of variables   :   19 (   2 singleton)
%            Maximal term depth    :    7 (   3 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include Lattice theory (equality) axioms
include('Axioms/LAT001-0.ax').
%------------------------------------------------------------------------------
cnf(equation_H68_dual,axiom,
    ( join(X,meet(Y,Z)) = join(X,meet(Y,join(X,meet(Z,join(X,Y))))) )).

cnf(prove_H42,negated_conjecture,
    (  meet(a,join(b,meet(c,join(a,d)))) != meet(a,join(b,meet(c,join(b,join(d,meet(a,c)))))) )).

%------------------------------------------------------------------------------
