%------------------------------------------------------------------------------
% File     : LAT189-1 : TPTP v3.2.0. Released v3.1.0.
% Domain   : Lattice Theory
% Problem  : Equation H17 is Huntington by distributivity
% Version  : [McC05] (equality) axioms : Especial.
% English  : Show that H17 is Huntington by deriving distributivity in uniquely
%            complemented lattices.

% Refs     : [McC05] McCune (2005), Email to Geoff Sutcliffe
% Source   : [McC05]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 1.00 v3.1.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;  12 unit;   2 RR)
%            Number of atoms       :   15 (  15 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   5 constant; 0-2 arity)
%            Number of variables   :   23 (   2 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include Lattice theory (equality) axioms
include('Axioms/LAT001-0.ax').
%----Include Lattice theory unique complementation (equality) axioms
include('Axioms/LAT001-4.ax').
%------------------------------------------------------------------------------
cnf(equation_H17,axiom,
    ( meet(X,join(meet(X,Y),meet(X,Z))) = meet(X,join(meet(Y,join(X,meet(Y,Z))),meet(Z,join(X,Y)))) )).

cnf(prove_distributivity,negated_conjecture,
    (  meet(a,join(b,c)) != join(meet(a,b),meet(a,c)) )).

%------------------------------------------------------------------------------
