%------------------------------------------------------------------------------
% File     : LAT259-1 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Analysis
% Problem  : Problem about Tarski's fixed point theorem
% Version  : [Pau06] axioms : Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : Tarski__antisymE [Pau06]

% Status   : Unsatisfiable
% Rating   : 0.43 v3.2.0
% Syntax   : Number of clauses     : 2750 ( 250 non-Horn; 656 unit;1973 RR)
%            Number of atoms       : 6026 (1294 equality)
%            Maximal clause size   :    7 (   2 average)
%            Number of predicates  :   89 (   0 propositional; 1-3 arity)
%            Number of functors    :  249 (  51 constant; 0-18 arity)
%            Number of variables   : 5745 (1174 singleton)
%            Maximal term depth    :    8 (   1 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found.
%------------------------------------------------------------------------------
include('Axioms/LAT006-0.ax').
include('Axioms/MSC001-1.ax').
include('Axioms/MSC001-0.ax').
%------------------------------------------------------------------------------
cnf(cls_Relation_Oantisym__def_0,axiom,
    ( ~ c_Relation_Oantisym(V_r,T_a)
    | ~ c_in(c_Pair(V_V,V_U,T_a,T_a),V_r,tc_prod(T_a,T_a))
    | ~ c_in(c_Pair(V_U,V_V,T_a,T_a),V_r,tc_prod(T_a,T_a))
    | V_U = V_V )).

cnf(cls_Relation_Oantisym__def_1,axiom,
    ( c_Relation_Oantisym(V_r,T_a)
    | c_in(c_Pair(c_Main_Oantisym__def__1(V_r,T_a),c_Main_Oantisym__def__2(V_r,T_a),T_a,T_a),V_r,tc_prod(T_a,T_a)) )).

cnf(cls_Relation_Oantisym__def_2,axiom,
    ( c_Relation_Oantisym(V_r,T_a)
    | c_in(c_Pair(c_Main_Oantisym__def__2(V_r,T_a),c_Main_Oantisym__def__1(V_r,T_a),T_a,T_a),V_r,tc_prod(T_a,T_a)) )).

cnf(cls_Relation_Oantisym__def_3,axiom,
    ( c_Main_Oantisym__def__1(V_r,T_a) != c_Main_Oantisym__def__2(V_r,T_a)
    | c_Relation_Oantisym(V_r,T_a) )).

cnf(cls_Tarski_OA_A_61_61_Apset_Acl_0,axiom,
    ( v_A = c_Tarski_Opotype_Opset(v_cl,t_a,tc_Product__Type_Ounit) )).

cnf(cls_Tarski_OPartialOrder__iff_0,axiom,
    ( ~ c_in(V_P,c_Tarski_OPartialOrder,tc_Tarski_Opotype_Opotype__ext__type(T_a,tc_Product__Type_Ounit))
    | c_Relation_Orefl(c_Tarski_Opotype_Opset(V_P,T_a,tc_Product__Type_Ounit),c_Tarski_Opotype_Oorder(V_P,T_a,tc_Product__Type_Ounit),T_a) )).

cnf(cls_Tarski_OPartialOrder__iff_1,axiom,
    ( ~ c_in(V_P,c_Tarski_OPartialOrder,tc_Tarski_Opotype_Opotype__ext__type(T_a,tc_Product__Type_Ounit))
    | c_Relation_Oantisym(c_Tarski_Opotype_Oorder(V_P,T_a,tc_Product__Type_Ounit),T_a) )).

cnf(cls_Tarski_OPartialOrder__iff_2,axiom,
    ( ~ c_in(V_P,c_Tarski_OPartialOrder,tc_Tarski_Opotype_Opotype__ext__type(T_a,tc_Product__Type_Ounit))
    | c_Relation_Otrans(c_Tarski_Opotype_Oorder(V_P,T_a,tc_Product__Type_Ounit),T_a) )).

cnf(cls_Tarski_OPartialOrder__iff_3,axiom,
    ( ~ c_Relation_Oantisym(c_Tarski_Opotype_Oorder(V_P,T_a,tc_Product__Type_Ounit),T_a)
    | ~ c_Relation_Orefl(c_Tarski_Opotype_Opset(V_P,T_a,tc_Product__Type_Ounit),c_Tarski_Opotype_Oorder(V_P,T_a,tc_Product__Type_Ounit),T_a)
    | ~ c_Relation_Otrans(c_Tarski_Opotype_Oorder(V_P,T_a,tc_Product__Type_Ounit),T_a)
    | c_in(V_P,c_Tarski_OPartialOrder,tc_Tarski_Opotype_Opotype__ext__type(T_a,tc_Product__Type_Ounit)) )).

cnf(cls_Tarski_Ocl_A_58_APartialOrder_0,axiom,
    ( c_in(v_cl,c_Tarski_OPartialOrder,tc_Tarski_Opotype_Opotype__ext__type(t_a,tc_Product__Type_Ounit)) )).

cnf(cls_Tarski_Or_A_61_61_Aorder_Acl_0,axiom,
    ( v_r = c_Tarski_Opotype_Oorder(v_cl,t_a,tc_Product__Type_Ounit) )).

cnf(cls_conjecture_0,negated_conjecture,
    ( c_in(c_Pair(v_a,v_b,t_a,t_a),v_r,tc_prod(t_a,t_a)) )).

cnf(cls_conjecture_1,negated_conjecture,
    ( c_in(c_Pair(v_b,v_a,t_a,t_a),v_r,tc_prod(t_a,t_a)) )).

cnf(cls_conjecture_2,negated_conjecture,
    ( v_a != v_b )).

%------------------------------------------------------------------------------
