%--------------------------------------------------------------------------
% File     : LCL109-3 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Logic Calculi (Many valued sentential)
% Problem  : MV-4 depends on the Merideth system
% Version  : [Bon91] (equality) axioms : Augmented.
%            Theorem formulation : Wajsberg algebra formulation.
% English  : An axiomatisation of the many valued sentential calculus 
%            is {MV-1,MV-2,MV-3,MV-5} by Meredith. Show that MV-4 depends 
%            on the Meredith system.

% Refs     : [Bon91] Bonacina (1991), Problems in Lukasiewicz Logic
%          : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
% Source   : [Bon91]
% Names    : - [Bon91]

% Status   : Unsatisfiable
% Rating   : 0.22 v3.2.0, 0.11 v3.1.0, 0.20 v2.7.0, 0.25 v2.6.0, 0.00 v2.4.0, 0.25 v2.2.1, 0.17 v2.2.0, 0.50 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   15 (   0 non-Horn;  13 unit;   3 RR)
%            Number of atoms       :   17 (  17 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :   27 (   2 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Wajsberg algebra axioms 
include('Axioms/LCL001-0.ax').
%--------------------------------------------------------------------------
%----Lemmas that are true in any Wajsberg algebra 
cnf(lemma_1,axiom,
    ( implies(X,X) = truth )).

cnf(lemma_2,axiom,
    ( implies(X,Y) != implies(Y,X)
    | X = Y )).

cnf(lemma_3,axiom,
    ( implies(X,truth) = truth )).

cnf(lemma_4,axiom,
    ( implies(X,implies(Y,X)) = truth )).

cnf(lemma_5,axiom,
    ( implies(X,Y) != implies(Y,Z)
    | implies(X,Z) = truth )).

cnf(lemma_6,axiom,
    ( implies(implies(X,Y),implies(implies(Z,X),implies(Z,Y))) = truth )).

cnf(lemma_7,axiom,
    ( implies(X,implies(Y,Z)) = implies(Y,implies(X,Z)) )).

cnf(lemma_8,axiom,
    ( implies(X,not(truth)) = not(X) )).

cnf(lemma_9,axiom,
    ( not(not(X)) = X )).

cnf(lemma_10,axiom,
    ( implies(not(X),not(Y)) = implies(Y,X) )).

cnf(prove_wajsberg_mv_4,negated_conjecture,
    (  implies(implies(implies(a,b),implies(b,a)),implies(b,a)) != truth )).

%--------------------------------------------------------------------------
