%--------------------------------------------------------------------------
% File     : LCL406-1 : TPTP v3.2.0. Released v2.4.0.
% Domain   : Logic Calculi (Linear-time temporal)
% Problem  : Generate LTL structures of size 4
% Version  : [Zha00] axioms.
% English  : 

% Refs     : [Zha00] Zhang (2000), Test Problem and Perl Scripts for Finite
% Source   : [Zha00]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.00 v3.2.0, 0.40 v3.1.0, 0.00 v2.6.0, 0.43 v2.5.0, 0.17 v2.4.0
% Syntax   : Number of clauses     :    5 (   2 non-Horn;   1 unit;   3 RR)
%            Number of atoms       :   13 (   5 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    1 (   0 constant; 1-1 arity)
%            Number of variables   :   10 (   0 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : Intuitively, LTL is based on the model of natural numbers: 
%            {0,1,2, ...}. But *propositional* temporal logic has the finite 
%            model property, which means, any satisfiable formula has finite 
%            models. Such a model is usually like this:
%              next(0) = 1, next(1) = 2, ...
%              next(k-2) = k-1, next(k-1) = l, 0 <= l < k.
%            So the "nexttime" operator is not exactly the same as "<" or ">".
%            There are k different models.
%--------------------------------------------------------------------------
cnf(reflexivity_of_less_or_equal,axiom,
    ( less_or_equal(X,X) )).

cnf(transitivity_of_less_or_equal,axiom,
    ( ~ less_or_equal(X,Y)
    | ~ less_or_equal(Y,Z)
    | less_or_equal(X,Z) )).

cnf(completeness_of_less_or_equal,axiom,
    ( less_or_equal(X,Y)
    | less_or_equal(Y,X) )).

cnf(predecessor_less_or_equal,axiom,
    ( successor(X) != Y
    | less_or_equal(X,Y) )).

cnf(four_step_successor,axiom,
    ( ~ less_or_equal(X,Y)
    | Y = X
    | Y = successor(X)
    | Y = successor(successor(X))
    | Y = successor(successor(successor(X))) )).

%--------------------------------------------------------------------------
