%------------------------------------------------------------------------------
% File     : LCL431-1 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Logic Calculi (Propositional)
% Problem  : Problem about propositional logic
% Version  : [Pau06] axioms : Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : PropLog__completeness_0 [Pau06]

% Status   : Unsatisfiable
% Rating   : 0.71 v3.2.0
% Syntax   : Number of clauses     : 2753 ( 249 non-Horn; 658 unit;1976 RR)
%            Number of atoms       : 6028 (1294 equality)
%            Maximal clause size   :    7 (   2 average)
%            Number of predicates  :   89 (   0 propositional; 1-3 arity)
%            Number of functors    :  240 (  47 constant; 0-18 arity)
%            Number of variables   : 5749 (1183 singleton)
%            Maximal term depth    :    8 (   1 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found.
%------------------------------------------------------------------------------
include('Axioms/MSC001-1.ax').
include('Axioms/MSC001-0.ax').
%------------------------------------------------------------------------------
cnf(cls_PropLog_Ocompleteness__0__lemma__dest_0,axiom,
    ( ~ c_PropLog_Osat(c_emptyset,V_p,T_a)
    | c_in(V_p,c_PropLog_Othms(c_minus(c_PropLog_Ohyps(V_p,V_U,T_a),c_PropLog_Ohyps(V_p,V_t0,T_a),tc_set(tc_PropLog_Opl(T_a))),T_a),tc_PropLog_Opl(T_a)) )).

cnf(cls_PropLog_Odeduction_0,axiom,
    ( ~ c_in(V_q,c_PropLog_Othms(c_insert(V_p,V_H,tc_PropLog_Opl(T_a)),T_a),tc_PropLog_Opl(T_a))
    | c_in(c_PropLog_Opl_Oop_A_N_62(V_p,V_q,T_a),c_PropLog_Othms(V_H,T_a),tc_PropLog_Opl(T_a)) )).

cnf(cls_PropLog_Oeval_Oeval__imp_0,axiom,
    ( ~ c_PropLog_Oeval(V_tt,V_p,T_a__2)
    | ~ c_PropLog_Oeval(V_tt,c_PropLog_Opl_Oop_A_N_62(V_p,V_q,T_a__2),T_a__2)
    | c_PropLog_Oeval(V_tt,V_q,T_a__2) )).

cnf(cls_PropLog_Oeval_Oeval__imp_1,axiom,
    ( c_PropLog_Oeval(V_tt,V_p,T_a__2)
    | c_PropLog_Oeval(V_tt,c_PropLog_Opl_Oop_A_N_62(V_p,V_q,T_a__2),T_a__2) )).

cnf(cls_PropLog_Oeval_Oeval__imp_2,axiom,
    ( ~ c_PropLog_Oeval(V_tt,V_q,T_a__2)
    | c_PropLog_Oeval(V_tt,c_PropLog_Opl_Oop_A_N_62(V_p,V_q,T_a__2),T_a__2) )).

cnf(cls_PropLog_Oeval_Osimps__1_0,axiom,
    ( ~ c_PropLog_Oeval(V_tt,c_PropLog_Opl_Ofalse,T_a__2) )).

cnf(cls_PropLog_Oeval_Osimps__2_0,axiom,
    ( ~ c_PropLog_Oeval(V_tt,c_PropLog_Opl_Ovar(V_v,T_a__2),T_a__2)
    | c_in(V_v,V_tt,T_a__2) )).

cnf(cls_PropLog_Oeval_Osimps__2_1,axiom,
    ( ~ c_in(V_v,V_tt,T_a__2)
    | c_PropLog_Oeval(V_tt,c_PropLog_Opl_Ovar(V_v,T_a__2),T_a__2) )).

cnf(cls_PropLog_Ohyps_Osimps__1_0,axiom,
    ( c_PropLog_Ohyps(c_PropLog_Opl_Ofalse,V_tt,T_a__2) = c_emptyset )).

cnf(cls_PropLog_Ohyps_Osimps__3_0,axiom,
    ( c_PropLog_Ohyps(c_PropLog_Opl_Oop_A_N_62(V_p,V_q,T_a__2),V_tt,T_a__2) = c_union(c_PropLog_Ohyps(V_p,V_tt,T_a__2),c_PropLog_Ohyps(V_q,V_tt,T_a__2),tc_PropLog_Opl(T_a__2)) )).

cnf(cls_PropLog_Opl_Odistinct__1_0,axiom,
    ( c_PropLog_Opl_Ofalse != c_PropLog_Opl_Ovar(V_a_H,T_a) )).

cnf(cls_PropLog_Opl_Odistinct__2_0,axiom,
    ( c_PropLog_Opl_Ovar(V_a_H,T_a) != c_PropLog_Opl_Ofalse )).

cnf(cls_PropLog_Opl_Odistinct__3_0,axiom,
    ( c_PropLog_Opl_Ofalse != c_PropLog_Opl_Oop_A_N_62(V_pl1_H,V_pl2_H,T_a) )).

cnf(cls_PropLog_Opl_Odistinct__4_0,axiom,
    ( c_PropLog_Opl_Oop_A_N_62(V_pl1_H,V_pl2_H,T_a) != c_PropLog_Opl_Ofalse )).

cnf(cls_PropLog_Opl_Odistinct__5_0,axiom,
    ( c_PropLog_Opl_Ovar(V_a,T_a) != c_PropLog_Opl_Oop_A_N_62(V_pl1_H,V_pl2_H,T_a) )).

cnf(cls_PropLog_Opl_Odistinct__6_0,axiom,
    ( c_PropLog_Opl_Oop_A_N_62(V_pl1_H,V_pl2_H,T_a) != c_PropLog_Opl_Ovar(V_a,T_a) )).

cnf(cls_PropLog_Opl_Oinject__1_0,axiom,
    ( c_PropLog_Opl_Ovar(V_a,T_a) != c_PropLog_Opl_Ovar(V_a_H,T_a)
    | V_a = V_a_H )).

cnf(cls_PropLog_Opl_Oinject__2_0,axiom,
    ( c_PropLog_Opl_Oop_A_N_62(V_pl1,V_pl2,T_a) != c_PropLog_Opl_Oop_A_N_62(V_pl1_H,V_pl2_H,T_a)
    | V_pl1 = V_pl1_H )).

cnf(cls_PropLog_Opl_Oinject__2_1,axiom,
    ( c_PropLog_Opl_Oop_A_N_62(V_pl1,V_pl2,T_a) != c_PropLog_Opl_Oop_A_N_62(V_pl1_H,V_pl2_H,T_a)
    | V_pl2 = V_pl2_H )).

cnf(cls_PropLog_Opl_Osize__1_0,axiom,
    ( c_Nat_Osize(c_PropLog_Opl_Ofalse,tc_PropLog_Opl(T_a)) = c_0 )).

cnf(cls_PropLog_Opl_Osize__2_0,axiom,
    ( c_Nat_Osize(c_PropLog_Opl_Ovar(V_a,T_a),tc_PropLog_Opl(T_a)) = c_0 )).

cnf(cls_PropLog_Opl_Osize__3_0,axiom,
    ( c_Nat_Osize(c_PropLog_Opl_Oop_A_N_62(V_pl1,V_pl2,T_a),tc_PropLog_Opl(T_a)) = c_plus(c_plus(c_Nat_Osize(V_pl1,tc_PropLog_Opl(T_a)),c_Nat_Osize(V_pl2,tc_PropLog_Opl(T_a)),tc_nat),c_Suc(c_0),tc_nat) )).

cnf(cls_PropLog_Othms_OH_0,axiom,
    ( ~ c_in(V_p,V_H,tc_PropLog_Opl(T_a))
    | c_in(V_p,c_PropLog_Othms(V_H,T_a),tc_PropLog_Opl(T_a)) )).

cnf(cls_PropLog_Othms__H__MP_0,axiom,
    ( ~ c_in(V_p,c_PropLog_Othms(V_H,T_a),tc_PropLog_Opl(T_a))
    | ~ c_in(c_PropLog_Opl_Oop_A_N_62(V_p,V_q,T_a),V_H,tc_PropLog_Opl(T_a))
    | c_in(V_q,c_PropLog_Othms(V_H,T_a),tc_PropLog_Opl(T_a)) )).

cnf(cls_conjecture_0,negated_conjecture,
    ( c_PropLog_Osat(c_emptyset,v_p,t_a) )).

cnf(cls_conjecture_1,negated_conjecture,
    ( ~ c_in(v_p,c_PropLog_Othms(c_emptyset,t_a),tc_PropLog_Opl(t_a)) )).

%------------------------------------------------------------------------------
