%--------------------------------------------------------------------------
% File     : LDA004-1 : TPTP v3.2.0. Released v1.0.0.
% Domain   : LD-Algebras (Left segments)
% Problem  : Show that 3*2(U2) is a left segment of U1(U3)
% Version  : [Jec93] axioms.
% English  : 

% Refs     : [Jec93] Jech (1993), LD-Algebras
% Source   : [Jec93]
% Names    : Problem 4 [Jec93]

% Status   : Unsatisfiable
% Rating   : 0.57 v3.2.0, 0.43 v3.1.0, 0.56 v2.7.0, 0.50 v2.6.0, 0.43 v2.5.0, 0.40 v2.4.0, 0.67 v2.3.0, 0.83 v2.2.1, 1.00 v2.0.0
% Syntax   : Number of clauses     :   12 (   0 non-Horn;  11 unit;  10 RR)
%            Number of atoms       :   14 (   9 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :   10 (   9 constant; 0-2 arity)
%            Number of variables   :    8 (   1 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----A1: x(yz)=xy(xz) 
cnf(a1,axiom,
    ( f(X,f(Y,Z)) = f(f(X,Y),f(X,Z)) )).

%----x is a left segment of xy 
cnf(a2,axiom,
    ( left(X,f(X,Y)) )).

%----transitive 
cnf(a3,axiom,
    ( ~ left(X,Y)
    | ~ left(Y,Z)
    | left(X,Z) )).

cnf(clause_4,axiom,
    ( n2 = f(n1,n1) )).

cnf(clause_5,axiom,
    ( n3 = f(n2,n1) )).

cnf(clause_6,axiom,
    ( u = f(n2,n2) )).

cnf(clause_7,axiom,
    ( u1 = f(u,n1) )).

cnf(clause_8,axiom,
    ( u2 = f(u,n2) )).

cnf(clause_9,axiom,
    ( u3 = f(u,n3) )).

cnf(clause_10,axiom,
    ( a = f(f(n3,n2),u2) )).

cnf(clause_11,axiom,
    ( b = f(u1,u3) )).

%----3*2*U2 is a left segment of U1*U3 
cnf(prove_equation,negated_conjecture,
    ( ~ left(a,b) )).

%--------------------------------------------------------------------------
