%--------------------------------------------------------------------------
% File     : LDA009-1 : TPTP v3.2.0. Bugfixed v2.6.0.
% Domain   : LD-Algebras (Embedding algebras)
% Problem  : Let g = cr(t). If g < sg, then st(ts)g < stt(sg)
% Version  : [Jec93] axioms : Incomplete.
% English  : 

% Refs     : [Jec93] Jech (1993), LD-Algebras
% Source   : [Jec93]
% Names    : Problem 10 [Jec93]

% Status   : Unsatisfiable
% Rating   : 1.00 v2.6.0
% Syntax   : Number of clauses     :   21 (   2 non-Horn;  16 unit;  15 RR)
%            Number of atoms       :   28 (  15 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :   15 (  12 constant; 0-2 arity)
%            Number of variables   :   21 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
% Bugfixes : v2.6.0 - Bugfix in LDA001-0.ax
%--------------------------------------------------------------------------
%----Include Embedding algebra axioms 
include('Axioms/LDA001-0.ax').
%--------------------------------------------------------------------------
cnf(clause_1,axiom,
    ( st = f(s,t) )).

cnf(clause_2,axiom,
    ( stt = f(st,t) )).

cnf(clause_3,axiom,
    ( sttt = f(stt,t) )).

cnf(clause_4,axiom,
    ( stts = f(stt,s) )).

cnf(clause_5,axiom,
    ( ts = f(t,s) )).

cnf(clause_6,axiom,
    ( sts = f(st,s) )).

cnf(clause_7,axiom,
    ( st_ts = f(st,ts) )).

cnf(clause_8,axiom,
    ( k = critical_point(t) )).

cnf(clause_9,axiom,
    ( sk = f(s,k) )).

cnf(clause_10,axiom,
    ( stk = f(st,k) )).

cnf(clause_11,hypothesis,
    ( less(k,sk) )).

%----st(ts)k < stt(sk)   if crit(t)=k < sk 
cnf(prove_equation,negated_conjecture,
    ( ~ less(f(st_ts,k),f(stt,sk)) )).

%--------------------------------------------------------------------------
