%------------------------------------------------------------------------------
% File     : MED001+1 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Medicine
% Problem  : Sulfonylurea treatment
% Version  : [HLB05] axioms : Especial.
% English  : Whether or not patients with subnormal production of glucose in 
%            the B-cells and a low QI index are cured with sulfonylurea.

% Refs     : [HLB05] Hommersom et al. (2005), Automated Theorem Proving for
%          : [Hom06] Hommersom (2006), Email to G. Sutcliffe
% Source   : [Hom06]
% Names    : 

% Status   : Theorem
% Rating   : 0.11 v3.2.0
% Syntax   : Number of formulae    :   19 (   1 unit)
%            Number of atoms       :   84 (   0 equality)
%            Maximal formula depth :    9 (   6 average)
%            Number of connectives :  104 (  39 ~  ;  12  |;  18  &)
%                                         (   0 <=>;  35 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   15 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   1 constant; 0-0 arity)
%            Number of variables   :   45 (   0 singleton;  45 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%------------------------------------------------------------------------------
include('Axioms/MED001+0.ax').
%------------------------------------------------------------------------------
fof(treatmentsn2,conjecture,
    ( ( ! [X0] : 
          ( ~ gt(n0,X0)
         => drugsu(X0) )
      & ! [X0] : 
          ( gt(n0,X0)
         => conditionhyper(X0) )
      & bcapacitysn(n0)
      & qilt27(n0) )
   => ! [X0] : 
        ( ~ gt(n0,X0)
       => conditionnormo(X0) ) )).

%------------------------------------------------------------------------------
