%------------------------------------------------------------------------------
% File     : MED004+1 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Medicine
% Problem  : No suitable therapy for patients with exhausted B-cells
% Version  : [HLB05] axioms : Especial.
% English  : There is not a suitable therapy for patients with exhausted 
%            B-cells available.

% Refs     : [HLB05] Hommersom et al. (2005), Automated Theorem Proving for
%          : [Hom06] Hommersom (2006), Email to G. Sutcliffe
% Source   : [Hom06]
% Names    : 

% Status   : CounterSatisfiable
% Rating   : 0.33 v3.2.0
% Syntax   : Number of formulae    :   19 (   1 unit)
%            Number of atoms       :   85 (   0 equality)
%            Maximal formula depth :    9 (   6 average)
%            Number of connectives :  105 (  39 ~  ;  12  |;  19  &)
%                                         (   0 <=>;  35 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   15 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   1 constant; 0-0 arity)
%            Number of variables   :   45 (   0 singleton;  45 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments :
%------------------------------------------------------------------------------
include('Axioms/MED001+0.ax').
%------------------------------------------------------------------------------
fof(treatmentex_sub,conjecture,
    ( ( ! [X0] : 
          ( ~ gt(n0,X0)
         => ( drugi(X0)
            & drugsu(X0)
            & drugbg(X0) ) )
      & ! [X0] : 
          ( gt(n0,X0)
         => conditionhyper(X0) )
      & bcapacityex(n0) )
   => ! [X0] : 
        ( ~ gt(n0,X0)
       => conditionnormo(X0) ) )).

%------------------------------------------------------------------------------
