%------------------------------------------------------------------------------
% File     : MED007+1 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Medicine
% Problem  : Unsuccessful s1-qilt27 treatment next step
% Version  : [HLB05] axioms : Especial.
% English  : After unsuccessful treatment with single oral anti-diabetic for 
%            patients with QI less than 27 medical management moves to next 
%            step.

% Refs     : [HLB05] Hommersom et al. (2005), Automated Theorem Proving for
%          : [Hom06] Hommersom (2006), Email to G. Sutcliffe
% Source   : [Hom06]
% Names    :

% Status   : Theorem 
% Rating   : 0.67 v3.2.0
% Syntax   : Number of formulae    :   41 (   1 unit)
%            Number of atoms       :  201 (   0 equality)
%            Maximal formula depth :   12 (   6 average)
%            Number of connectives :  244 (  84 ~  ;  34  |;  51  &)
%                                         (   0 <=>;  75 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   1 constant; 0-0 arity)
%            Number of variables   :   96 (   0 singleton;  92 !;   4 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments :
%------------------------------------------------------------------------------
include('Axioms/MED001+0.ax').
include('Axioms/MED001+1.ax').
%------------------------------------------------------------------------------
fof(transs1s2_qilt27,conjecture,
    ( ( s1(n0)
      & ! [X0] : 
          ( gt(n0,X0)
         => conditionhyper(X0) )
      & ~ bcapacitysn(n0)
      & qilt27(n0) )
   => ? [X0] : 
        ( ~ gt(n0,X0)
        & s2(X0)
        & ! [X1] : 
            ( gt(X0,X1)
           => conditionhyper(X1) )
        & ( bcapacityne(X0)
          | bcapacityex(X0) ) ) )).

%------------------------------------------------------------------------------
