%------------------------------------------------------------------------------
% File     : MED008+1 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Medicine
% Problem  : Unsuccessful s1-qige27 treatment
% Version  : [HLB05] axioms : Especial.
% English  : Unsuccessful treatment with single oral anti-diabetic for patients
%            with QI greater equal than 27 deductively follows in completed 
%            theory.

% Refs     : [HLB05] Hommersom et al. (2005), Automated Theorem Proving for
%          : [Hom06] Hommersom (2006), Email to G. Sutcliffe
% Source   : [Hom06]
% Names    :

% Status   : Theorem
% Rating   : 0.33 v3.2.0
% Syntax   : Number of formulae    :   41 (   1 unit)
%            Number of atoms       :  197 (   0 equality)
%            Maximal formula depth :   12 (   6 average)
%            Number of connectives :  242 (  86 ~  ;  33  |;  48  &)
%                                         (   0 <=>;  75 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   1 constant; 0-0 arity)
%            Number of variables   :   95 (   0 singleton;  92 !;   3 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments :
%------------------------------------------------------------------------------
include('Axioms/MED001+0.ax').
include('Axioms/MED001+1.ax').
%------------------------------------------------------------------------------
fof(unsuccessfuls1_qige27,conjecture,
    ( ( s1(n0)
      & ! [X0] : 
          ( gt(n0,X0)
         => conditionhyper(X0) )
      & ~ bcapacitysn(n0)
      & ~ qilt27(n0) )
   => ~ ! [X0] : 
          ( ~ gt(n0,X0)
         => conditionnormo(X0) ) )).

%------------------------------------------------------------------------------
