%--------------------------------------------------------------------------
% File     : MGT023-1 : TPTP v3.2.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Stable environments have a critical point.
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.14 v3.2.0, 0.15 v3.1.0, 0.18 v2.7.0, 0.17 v2.6.0, 0.11 v2.4.0
% Syntax   : Number of clauses     :    9 (   3 non-Horn;   3 unit;   9 RR)
%            Number of atoms       :   29 (   3 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    6 (   0 propositional; 1-4 arity)
%            Number of functors    :    7 (   3 constant; 0-2 arity)
%            Number of variables   :   10 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT023+1.p 
%--------------------------------------------------------------------------
cnf(d1_17,hypothesis,
    ( ~ environment(A)
    | greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B))
    | ~ in_environment(A,B)
    | subpopulations(first_movers,efficient_producers,A,sk1(B,A))
    | B = critical_point(A) )).

cnf(d1_18,hypothesis,
    ( ~ environment(A)
    | greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B))
    | ~ in_environment(A,B)
    | greater(sk1(B,A),B)
    | B = critical_point(A) )).

cnf(d1_19,hypothesis,
    ( ~ environment(A)
    | greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B))
    | ~ in_environment(A,B)
    | ~ greater(growth_rate(efficient_producers,sk1(B,A)),growth_rate(first_movers,sk1(B,A)))
    | B = critical_point(A) )).

cnf(l12_20,hypothesis,
    ( ~ environment(A)
    | ~ stable(A)
    | in_environment(A,sk2(A)) )).

cnf(l12_21,hypothesis,
    ( ~ environment(A)
    | ~ stable(A)
    | ~ greater(growth_rate(efficient_producers,sk2(A)),growth_rate(first_movers,sk2(A))) )).

cnf(l12_22,hypothesis,
    ( ~ environment(A)
    | ~ stable(A)
    | ~ subpopulations(first_movers,efficient_producers,A,B)
    | ~ greater(B,sk2(A))
    | greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B)) )).

cnf(prove_l5_23,negated_conjecture,
    ( environment(sk3) )).

cnf(prove_l5_24,negated_conjecture,
    ( stable(sk3) )).

cnf(prove_l5_25,negated_conjecture,
    ( ~ in_environment(sk3,critical_point(sk3)) )).

%--------------------------------------------------------------------------
