%--------------------------------------------------------------------------
% File     : MGT035-1 : TPTP v3.2.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : EPs outcompete FMs in stable environments
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : Efficient producers outcompete first movers past a certain
%            time in stable environments. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.43 v3.2.0, 0.62 v3.1.0, 0.45 v2.7.0, 0.58 v2.6.0, 0.44 v2.4.0
% Syntax   : Number of clauses     :   25 (  10 non-Horn;   2 unit;  25 RR)
%            Number of atoms       :   98 (  11 equality)
%            Maximal clause size   :    6 (   4 average)
%            Number of predicates  :    8 (   0 propositional; 1-4 arity)
%            Number of functors    :    9 (   4 constant; 0-2 arity)
%            Number of variables   :   48 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT035+1.p 
%--------------------------------------------------------------------------
cnf(mp_greater_transitivity_22,axiom,
    ( ~ greater(A,B)
    | ~ greater(B,C)
    | greater(A,C) )).

cnf(mp_times_in_environment_23,axiom,
    ( ~ in_environment(A,B)
    | ~ in_environment(A,C)
    | greater(C,B)
    | C = B
    | greater(B,C) )).

cnf(mp_greater_or_equal_24,axiom,
    ( ~ greater_or_equal(A,B)
    | greater(A,B)
    | A = B )).

cnf(mp_greater_or_equal_25,axiom,
    ( ~ greater(A,B)
    | greater_or_equal(A,B) )).

cnf(mp_greater_or_equal_26,axiom,
    ( A != B
    | greater_or_equal(A,B) )).

cnf(d2_27,hypothesis,
    ( ~ environment(A)
    | ~ subpopulations(B,C,A,D)
    | ~ greater_or_equal(growth_rate(C,D),zero)
    | ~ greater(zero,growth_rate(B,D))
    | outcompetes(C,B,D) )).

cnf(d2_28,hypothesis,
    ( ~ environment(A)
    | ~ subpopulations(B,C,A,D)
    | ~ outcompetes(C,B,D)
    | greater_or_equal(growth_rate(C,D),zero) )).

cnf(d2_29,hypothesis,
    ( ~ environment(A)
    | ~ subpopulations(B,C,A,D)
    | ~ outcompetes(C,B,D)
    | greater(zero,growth_rate(B,D)) )).

cnf(l6_30,hypothesis,
    ( ~ environment(A)
    | ~ subpopulations(first_movers,efficient_producers,A,B)
    | ~ greater_or_equal(B,equilibrium(A))
    | growth_rate(first_movers,B) = zero
    | greater(growth_rate(first_movers,B),zero)
    | greater(growth_rate(efficient_producers,B),zero) )).

cnf(l6_31,hypothesis,
    ( ~ environment(A)
    | ~ subpopulations(first_movers,efficient_producers,A,B)
    | ~ greater_or_equal(B,equilibrium(A))
    | growth_rate(first_movers,B) = zero
    | greater(growth_rate(first_movers,B),zero)
    | greater(zero,growth_rate(first_movers,B)) )).

cnf(l6_32,hypothesis,
    ( ~ environment(A)
    | ~ subpopulations(first_movers,efficient_producers,A,B)
    | ~ greater_or_equal(B,equilibrium(A))
    | growth_rate(first_movers,B) = zero
    | greater(zero,growth_rate(efficient_producers,B))
    | greater(growth_rate(efficient_producers,B),zero) )).

cnf(l6_33,hypothesis,
    ( ~ environment(A)
    | ~ subpopulations(first_movers,efficient_producers,A,B)
    | ~ greater_or_equal(B,equilibrium(A))
    | growth_rate(first_movers,B) = zero
    | greater(zero,growth_rate(efficient_producers,B))
    | greater(zero,growth_rate(first_movers,B)) )).

cnf(l6_34,hypothesis,
    ( ~ environment(A)
    | ~ subpopulations(first_movers,efficient_producers,A,B)
    | ~ greater_or_equal(B,equilibrium(A))
    | growth_rate(efficient_producers,B) = zero
    | greater(growth_rate(first_movers,B),zero)
    | greater(growth_rate(efficient_producers,B),zero) )).

cnf(l6_35,hypothesis,
    ( ~ environment(A)
    | ~ subpopulations(first_movers,efficient_producers,A,B)
    | ~ greater_or_equal(B,equilibrium(A))
    | growth_rate(efficient_producers,B) = zero
    | greater(growth_rate(first_movers,B),zero)
    | greater(zero,growth_rate(first_movers,B)) )).

cnf(l6_36,hypothesis,
    ( ~ environment(A)
    | ~ subpopulations(first_movers,efficient_producers,A,B)
    | ~ greater_or_equal(B,equilibrium(A))
    | growth_rate(efficient_producers,B) = zero
    | greater(zero,growth_rate(efficient_producers,B))
    | greater(growth_rate(efficient_producers,B),zero) )).

cnf(l6_37,hypothesis,
    ( ~ environment(A)
    | ~ subpopulations(first_movers,efficient_producers,A,B)
    | ~ greater_or_equal(B,equilibrium(A))
    | growth_rate(efficient_producers,B) = zero
    | greater(zero,growth_rate(efficient_producers,B))
    | greater(zero,growth_rate(first_movers,B)) )).

cnf(l1_38,hypothesis,
    ( ~ environment(A)
    | ~ stable(A)
    | in_environment(A,sk1(A)) )).

cnf(l1_39,hypothesis,
    ( ~ environment(A)
    | ~ stable(A)
    | ~ subpopulations(first_movers,efficient_producers,A,B)
    | ~ greater_or_equal(B,sk1(A))
    | greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B)) )).

cnf(a4_40,hypothesis,
    ( ~ environment(A)
    | ~ stable(A)
    | in_environment(A,sk2(A)) )).

cnf(a4_41,hypothesis,
    ( ~ environment(A)
    | ~ stable(A)
    | greater_or_equal(sk2(A),equilibrium(A)) )).

cnf(prove_t4_42,negated_conjecture,
    ( environment(sk3) )).

cnf(prove_t4_43,negated_conjecture,
    ( stable(sk3) )).

cnf(prove_t4_44,negated_conjecture,
    ( ~ in_environment(sk3,A)
    | subpopulations(first_movers,efficient_producers,sk3,sk4(A)) )).

cnf(prove_t4_45,negated_conjecture,
    ( ~ in_environment(sk3,A)
    | greater_or_equal(sk4(A),A) )).

cnf(prove_t4_46,negated_conjecture,
    ( ~ in_environment(sk3,A)
    | ~ outcompetes(efficient_producers,first_movers,sk4(A)) )).

%--------------------------------------------------------------------------
