%--------------------------------------------------------------------------
% File     : MGT036-2 : TPTP v3.2.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : First movers never outcompete efficient producers. 
% Version  : [PM93] axioms.
% English  : 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses     :   14 (   1 non-Horn;   4 unit;  12 RR)
%            Number of atoms       :   38 (   0 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    6 (   0 propositional; 1-4 arity)
%            Number of functors    :    7 (   5 constant; 0-2 arity)
%            Number of variables   :   35 (   6 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT036+2.p 
%--------------------------------------------------------------------------
cnf(mp_symmetry_of_subpopulations_1,axiom,
    ( ~ environment(A)
    | ~ subpopulations(B,C,A,D)
    | subpopulations(C,B,A,D) )).

cnf(mp_time_point_occur_2,axiom,
    ( ~ environment(A)
    | ~ subpopulations(first_movers,efficient_producers,A,B)
    | in_environment(A,B) )).

cnf(mp_growth_rate_relationships_3,axiom,
    ( environment(A)
    | ~ greater(zero,growth_rate(B,C)) )).

cnf(mp_growth_rate_relationships_4,axiom,
    ( subpopulations(A,B,C,D)
    | ~ greater(zero,growth_rate(A,D)) )).

cnf(mp_growth_rate_relationships_5,axiom,
    ( ~ greater_or_equal(growth_rate(A,B),zero)
    | ~ greater(zero,growth_rate(A,B)) )).

cnf(mp_growth_rate_relationships_6,axiom,
    ( greater(zero,growth_rate(A,B))
    | ~ environment(C)
    | ~ subpopulations(A,D,C,B)
    | greater_or_equal(growth_rate(A,B),zero) )).

cnf(d2_7,hypothesis,
    ( ~ environment(A)
    | ~ subpopulations(B,C,A,D)
    | ~ greater_or_equal(growth_rate(C,D),zero)
    | ~ greater(zero,growth_rate(B,D))
    | outcompetes(C,B,D) )).

cnf(d2_8,hypothesis,
    ( ~ environment(A)
    | ~ subpopulations(B,C,A,D)
    | ~ outcompetes(C,B,D)
    | greater_or_equal(growth_rate(C,D),zero) )).

cnf(d2_9,hypothesis,
    ( ~ environment(A)
    | ~ subpopulations(B,C,A,D)
    | ~ outcompetes(C,B,D)
    | greater(zero,growth_rate(B,D)) )).

cnf(a2_10,hypothesis,
    ( greater(resilience(efficient_producers),resilience(first_movers)) )).

cnf(a13_11,hypothesis,
    ( ~ environment(A)
    | ~ in_environment(A,B)
    | greater(zero,growth_rate(C,B))
    | ~ greater(resilience(D),resilience(C))
    | ~ greater(zero,growth_rate(D,B)) )).

cnf(prove_t5_12,negated_conjecture,
    ( environment(sk1) )).

cnf(prove_t5_13,negated_conjecture,
    ( subpopulations(first_movers,efficient_producers,sk1,sk2) )).

cnf(prove_t5_14,negated_conjecture,
    ( outcompetes(first_movers,efficient_producers,sk2) )).

%--------------------------------------------------------------------------
