%--------------------------------------------------------------------------
% File     : MGT048-1 : TPTP v3.2.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Capability decreases monotonically with its age
% Version  : [Han98] axioms.
% English  : An organization's capability decreases monotonically with its age.

% Refs     : [Kam00] Kamps (2000), Email to G. Sutcliffe
%            [CH00]  Carroll & Hannan (2000), The Demography of Corporation
%            [Han98] Hannan (1998), Rethinking Age Dependence in Organizati
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.07 v3.2.0, 0.08 v3.1.0, 0.09 v2.7.0, 0.08 v2.6.0, 0.00 v2.4.0
% Syntax   : Number of clauses     :   19 (   3 non-Horn;   3 unit;  17 RR)
%            Number of atoms       :   46 (   9 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :    7 (   3 constant; 0-2 arity)
%            Number of variables   :   38 (   2 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : See MGT042+1.p for the mnemonic names.
%          : Created with tptp2X -f tptp -t clausify:otter MGT048+1.p 
%--------------------------------------------------------------------------
include('Axioms/MGT001-0.ax').
%--------------------------------------------------------------------------
cnf(assumption_5_32,axiom,
    ( ~ organization(A)
    | ~ greater(stock_of_knowledge(A,B),stock_of_knowledge(A,C))
    | ~ smaller_or_equal(internal_friction(A,B),internal_friction(A,C))
    | greater(capability(A,B),capability(A,C)) )).

cnf(assumption_5_33,axiom,
    ( ~ organization(A)
    | ~ smaller_or_equal(stock_of_knowledge(A,B),stock_of_knowledge(A,C))
    | ~ greater(internal_friction(A,B),internal_friction(A,C))
    | smaller(capability(A,B),capability(A,C)) )).

cnf(assumption_5_34,axiom,
    ( ~ organization(A)
    | stock_of_knowledge(A,B) != stock_of_knowledge(A,C)
    | internal_friction(A,B) != internal_friction(A,C)
    | capability(A,B) = capability(A,C) )).

cnf(assumption_10_35,axiom,
    ( ~ organization(A)
    | stock_of_knowledge(A,B) = stock_of_knowledge(A,C) )).

cnf(assumption_12_36,axiom,
    ( ~ organization(A)
    | ~ greater(age(A,B),age(A,C))
    | greater(internal_friction(A,B),internal_friction(A,C)) )).

cnf(lemma_5_37,negated_conjecture,
    ( organization(sk1) )).

cnf(lemma_5_38,negated_conjecture,
    ( greater(age(sk1,sk3),age(sk1,sk2)) )).

cnf(lemma_5_39,negated_conjecture,
    ( ~ smaller(capability(sk1,sk3),capability(sk1,sk2)) )).

%--------------------------------------------------------------------------
