%--------------------------------------------------------------------------
% File     : NLP021-1 : TPTP v3.2.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : "The old dirty white Chevy" problem 21
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement "The old dirty white Chevy barrels down a lonely
%            street in Hollywood".

% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [TPTP]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.00 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of clauses     :   73 (   0 non-Horn;  27 unit;  71 RR)
%            Number of atoms       :  127 (   2 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :   43 (   0 propositional; 1-3 arity)
%            Number of functors    :    8 (   7 constant; 0-2 arity)
%            Number of variables   :   62 (   8 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Created from NLP021+1.p using FLOTTER
%--------------------------------------------------------------------------
cnf(clause1,axiom,
    ( event(skf1(U,V)) )).

cnf(clause2,axiom,
    ( ~ nonhuman(U)
    | entity(U) )).

cnf(clause3,axiom,
    ( ~ drs(U)
    | proposition(U) )).

cnf(clause4,axiom,
    ( ~ proposition(U)
    | drs(U) )).

cnf(clause5,axiom,
    ( ~ woman(U)
    | female(U) )).

cnf(clause6,axiom,
    ( ~ female(U)
    | human(U) )).

cnf(clause7,axiom,
    ( ~ male(U)
    | human(U) )).

cnf(clause8,axiom,
    ( ~ man(U)
    | male(U) )).

cnf(clause9,axiom,
    ( ~ object(U)
    | entity(U) )).

cnf(clause10,axiom,
    ( ~ location(U)
    | object(U) )).

cnf(clause11,axiom,
    ( ~ city(U)
    | location(U) )).

cnf(clause12,axiom,
    ( ~ hollywood(U)
    | city(U) )).

cnf(clause13,axiom,
    ( ~ event(U)
    | eventuality(U) )).

cnf(clause14,axiom,
    ( ~ artifact(U)
    | object(U) )).

cnf(clause15,axiom,
    ( ~ instrumentality(U)
    | artifact(U) )).

cnf(clause16,axiom,
    ( ~ transport(U)
    | instrumentality(U) )).

cnf(clause17,axiom,
    ( ~ vehicle(U)
    | transport(U) )).

cnf(clause18,axiom,
    ( ~ car(U)
    | vehicle(U) )).

cnf(clause19,axiom,
    ( ~ chevy(U)
    | car(U) )).

cnf(clause20,axiom,
    ( ~ way(U)
    | artifact(U) )).

cnf(clause21,axiom,
    ( ~ street(U)
    | way(U) )).

cnf(clause22,axiom,
    ( ~ furniture(U)
    | instrumentality(U) )).

cnf(clause23,axiom,
    ( ~ seat(U)
    | furniture(U) )).

cnf(clause24,axiom,
    ( ~ front(U)
    | nonhuman(U) )).

cnf(clause25,axiom,
    ( ~ organism(U)
    | entity(U) )).

cnf(clause26,axiom,
    ( ~ human(U)
    | organism(U) )).

cnf(clause27,axiom,
    ( ~ man(U)
    | human(U) )).

cnf(clause28,axiom,
    ( ~ fellow(U)
    | man(U) )).

cnf(clause29,axiom,
    ( ~ nonhuman(U)
    | ~ human(U) )).

cnf(clause30,axiom,
    ( ~ woman(U)
    | ~ man(U) )).

cnf(clause31,axiom,
    ( ~ female(U)
    | ~ male(U) )).

cnf(clause32,axiom,
    ( ~ eventuality(U)
    | ~ abstraction(U) )).

cnf(clause33,axiom,
    ( ~ entity(U)
    | ~ abstraction(U) )).

cnf(clause34,axiom,
    ( ~ entity(U)
    | ~ eventuality(U) )).

cnf(clause35,axiom,
    ( ~ new(U)
    | ~ old(U) )).

cnf(clause36,axiom,
    ( ~ location(U)
    | ~ artifact(U) )).

cnf(clause37,axiom,
    ( ~ instrumentality(U)
    | ~ way(U) )).

cnf(clause38,axiom,
    ( ~ transport(U)
    | ~ furniture(U) )).

cnf(clause39,axiom,
    ( ~ object(U)
    | ~ organism(U) )).

cnf(clause40,axiom,
    ( ~ owner(U)
    | ~ of(U,V)
    | human(U) )).

cnf(clause41,axiom,
    ( ~ of(U,V)
    | have(skf1(U,V),V,U) )).

cnf(clause42,axiom,
    ( ~ human(U)
    | ~ have(V,U,W)
    | owner(U) )).

cnf(clause43,axiom,
    ( ~ partof(U,V)
    | ~ partof(U,W)
    | W = V )).

cnf(clause44,axiom,
    ( ~ have(U,V,W)
    | ~ event(U)
    | of(V,W) )).

cnf(clause45,axiom,
    ( ~ human(U)
    | ~ have(V,U,W)
    | of(U,W) )).

cnf(clause46,axiom,
    ( ~ owner(U)
    | ~ of(U,V)
    | have(W,U,V) )).

cnf(clause47,axiom,
    ( ~ nonhuman(U)
    | ~ nonhuman(V)
    | ~ have(W,V,U)
    | partof(U,V) )).

cnf(clause48,negated_conjecture,
    ( city(skc13) )).

cnf(clause49,negated_conjecture,
    ( hollywood(skc13) )).

cnf(clause50,negated_conjecture,
    ( event(skc12) )).

cnf(clause51,negated_conjecture,
    ( lonely(skc11) )).

cnf(clause52,negated_conjecture,
    ( way(skc11) )).

cnf(clause53,negated_conjecture,
    ( street(skc11) )).

cnf(clause54,negated_conjecture,
    ( seat(skc9) )).

cnf(clause55,negated_conjecture,
    ( furniture(skc9) )).

cnf(clause56,negated_conjecture,
    ( front(skc9) )).

cnf(clause57,negated_conjecture,
    ( young(skc8) )).

cnf(clause58,negated_conjecture,
    ( man(skc8) )).

cnf(clause59,negated_conjecture,
    ( fellow(skc8) )).

cnf(clause60,negated_conjecture,
    ( fellow(skc7) )).

cnf(clause61,negated_conjecture,
    ( man(skc7) )).

cnf(clause62,negated_conjecture,
    ( young(skc7) )).

cnf(clause63,negated_conjecture,
    ( chevy(skc10) )).

cnf(clause64,negated_conjecture,
    ( car(skc10) )).

cnf(clause65,negated_conjecture,
    ( white(skc10) )).

cnf(clause66,negated_conjecture,
    ( dirty(skc10) )).

cnf(clause67,negated_conjecture,
    ( old(skc10) )).

cnf(clause68,negated_conjecture,
    ( in(skc12,skc13) )).

cnf(clause69,negated_conjecture,
    ( barrel(skc12,skc10) )).

cnf(clause70,negated_conjecture,
    ( down(skc12,skc11) )).

cnf(clause71,negated_conjecture,
    ( in(skc8,skc9) )).

cnf(clause72,negated_conjecture,
    ( in(skc7,skc9) )).

cnf(clause73,negated_conjecture,
    (  skc8 != skc7 )).

%--------------------------------------------------------------------------
