%--------------------------------------------------------------------------
% File     : NUM019-1 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : Symmetry of equality can be derived
% Version  : [LS74] axioms : Incomplete.
% English  : 

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls41 [LS74]
%          : Problem 41 [LS74]
%          : ls41 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :   12 (   0 non-Horn;   8 unit;   7 RR)
%            Number of atoms       :   17 (   0 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   3 constant; 0-2 arity)
%            Number of variables   :   17 (   2 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include recursive function + and * axioms 
include('Axioms/NUM001-0.ax').
%--------------------------------------------------------------------------
cnf(reflexivity,hypothesis,
    ( equalish(X,X) )).

cnf(transitivity,hypothesis,
    ( ~ equalish(X,Y)
    | ~ equalish(X,Z)
    | equalish(Y,Z) )).

cnf(zero_is_the_first_number,hypothesis,
    ( ~ equalish(successor(A),n0) )).

cnf(a_equals_aa,hypothesis,
    ( equalish(a,aa) )).

cnf(prove_b_equals_a,negated_conjecture,
    ( ~ equalish(aa,a) )).

%--------------------------------------------------------------------------
