%--------------------------------------------------------------------------
% File     : NUM023-1 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : Zero is less than all successor numbers
% Version  : [LS74] axioms : Incomplete.
% English  : 

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls68 [LS74]
%          : ls68 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   16 (   0 non-Horn;   8 unit;  10 RR)
%            Number of atoms       :   26 (   0 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   2 constant; 0-2 arity)
%            Number of variables   :   28 (   3 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : Surplus transitivity axiom removed and transitivity of less 
%            included.
%--------------------------------------------------------------------------
%----Include recursive function + and * axioms 
include('Axioms/NUM001-0.ax').
%----Include recursive function less axioms 
include('Axioms/NUM001-1.ax').
%--------------------------------------------------------------------------
cnf(reflexivity,axiom,
    ( equalish(X,X) )).

cnf(symmetry,axiom,
    ( ~ equalish(X,Y)
    | equalish(Y,X) )).

cnf(transitivity,axiom,
    ( ~ equalish(X,Y)
    | ~ equalish(Y,Z)
    | equalish(X,Z) )).

cnf(zero_is_first_number,axiom,
    ( ~ equalish(successor(A),n0) )).

cnf(numbers_less_than_its_successor,axiom,
    ( less(A,successor(A)) )).

cnf(prove_zero_is_less_than_all_successors,negated_conjecture,
    ( ~ less(n0,successor(a)) )).

%--------------------------------------------------------------------------
