%--------------------------------------------------------------------------
% File     : NUM025-1 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : If a<b then not b<a
% Version  : [LS74] axioms : Incomplete > Reduced > Incomplete.
% English  : 

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls76t1 [LS74]
%          : ls76t1 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.2.1, 0.11 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   17 (   0 non-Horn;   9 unit;  12 RR)
%            Number of atoms       :   27 (   0 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   3 constant; 0-2 arity)
%            Number of variables   :   28 (   3 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include recursive function + and * axioms 
include('Axioms/NUM001-0.ax').
%----Include recursive function less axioms 
include('Axioms/NUM001-1.ax').
%--------------------------------------------------------------------------
cnf(reflexivity,axiom,
    ( equalish(X,X) )).

cnf(symmetry,axiom,
    ( ~ equalish(X,Y)
    | equalish(Y,X) )).

cnf(transitivity,axiom,
    ( ~ equalish(X,Y)
    | ~ equalish(Y,Z)
    | equalish(X,Z) )).

cnf(zero_is_the_first_number,axiom,
    ( ~ equalish(successor(A),n0) )).

cnf(no_number_less_than_itself,axiom,
    ( ~ less(A,A) )).

cnf(a_less_than_b,hypothesis,
    ( less(a,b) )).

cnf(prove_b_not_less_than_a,negated_conjecture,
    ( less(b,a) )).

%--------------------------------------------------------------------------
