%------------------------------------------------------------------------------
% File     : NUM376+1.020 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Number Theory
% Problem  : Find assignment in 0-20 to satisfy inequality, hard
% Version  : [Cim05] axioms.
% English  : Find an assignment to two variables which are in range, so that 
%            sum(sum(pred(x), succ(y)), sum(pred(y), succ(x))) and 
%            sum(sum(pred(x), succ(x)), sum(pred(y), succ(y))) are not equal.

% Refs     : [Cim05] Cimatti (2006), Email to G. Sutcliffe
% Source   : [Cim05]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.00 v3.2.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  736 ( 736 equality)
%            Maximal formula depth :  699 ( 699 average)
%            Number of connectives :  946 ( 211 ~  ;  40  |; 695  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   24 (  21 constant; 0-2 arity)
%            Number of variables   :    2 (   0 singleton;   0 !;   2 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments :
%------------------------------------------------------------------------------
fof(try_satisfy_this,axiom,(
    ? [X,Y] : 
      ( succ(n0) = n1
      & succ(n1) = n2
      & succ(n2) = n3
      & succ(n3) = n4
      & succ(n4) = n5
      & succ(n5) = n6
      & succ(n6) = n7
      & succ(n7) = n8
      & succ(n8) = n9
      & succ(n9) = n10
      & succ(n10) = n11
      & succ(n11) = n12
      & succ(n12) = n13
      & succ(n13) = n14
      & succ(n14) = n15
      & succ(n15) = n16
      & succ(n16) = n17
      & succ(n17) = n18
      & succ(n18) = n19
      & succ(n19) = n20
      & succ(n20) = n0
      & pred(n0) = n20
      & pred(n1) = n0
      & pred(n2) = n1
      & pred(n3) = n2
      & pred(n4) = n3
      & pred(n5) = n4
      & pred(n6) = n5
      & pred(n7) = n6
      & pred(n8) = n7
      & pred(n9) = n8
      & pred(n10) = n9
      & pred(n11) = n10
      & pred(n12) = n11
      & pred(n13) = n12
      & pred(n14) = n13
      & pred(n15) = n14
      & pred(n16) = n15
      & pred(n17) = n16
      & pred(n18) = n17
      & pred(n19) = n18
      & pred(n20) = n19
      & sum(n0,n0) = n0
      & sum(n0,n1) = n1
      & sum(n0,n2) = n2
      & sum(n0,n3) = n3
      & sum(n0,n4) = n4
      & sum(n0,n5) = n5
      & sum(n0,n6) = n6
      & sum(n0,n7) = n7
      & sum(n0,n8) = n8
      & sum(n0,n9) = n9
      & sum(n0,n10) = n10
      & sum(n0,n11) = n11
      & sum(n0,n12) = n12
      & sum(n0,n13) = n13
      & sum(n0,n14) = n14
      & sum(n0,n15) = n15
      & sum(n0,n16) = n16
      & sum(n0,n17) = n17
      & sum(n0,n18) = n18
      & sum(n0,n19) = n19
      & sum(n0,n20) = n20
      & sum(n1,n0) = n1
      & sum(n1,n1) = n2
      & sum(n1,n2) = n3
      & sum(n1,n3) = n4
      & sum(n1,n4) = n5
      & sum(n1,n5) = n6
      & sum(n1,n6) = n7
      & sum(n1,n7) = n8
      & sum(n1,n8) = n9
      & sum(n1,n9) = n10
      & sum(n1,n10) = n11
      & sum(n1,n11) = n12
      & sum(n1,n12) = n13
      & sum(n1,n13) = n14
      & sum(n1,n14) = n15
      & sum(n1,n15) = n16
      & sum(n1,n16) = n17
      & sum(n1,n17) = n18
      & sum(n1,n18) = n19
      & sum(n1,n19) = n20
      & sum(n1,n20) = n0
      & sum(n2,n0) = n2
      & sum(n2,n1) = n3
      & sum(n2,n2) = n4
      & sum(n2,n3) = n5
      & sum(n2,n4) = n6
      & sum(n2,n5) = n7
      & sum(n2,n6) = n8
      & sum(n2,n7) = n9
      & sum(n2,n8) = n10
      & sum(n2,n9) = n11
      & sum(n2,n10) = n12
      & sum(n2,n11) = n13
      & sum(n2,n12) = n14
      & sum(n2,n13) = n15
      & sum(n2,n14) = n16
      & sum(n2,n15) = n17
      & sum(n2,n16) = n18
      & sum(n2,n17) = n19
      & sum(n2,n18) = n20
      & sum(n2,n19) = n0
      & sum(n2,n20) = n1
      & sum(n3,n0) = n3
      & sum(n3,n1) = n4
      & sum(n3,n2) = n5
      & sum(n3,n3) = n6
      & sum(n3,n4) = n7
      & sum(n3,n5) = n8
      & sum(n3,n6) = n9
      & sum(n3,n7) = n10
      & sum(n3,n8) = n11
      & sum(n3,n9) = n12
      & sum(n3,n10) = n13
      & sum(n3,n11) = n14
      & sum(n3,n12) = n15
      & sum(n3,n13) = n16
      & sum(n3,n14) = n17
      & sum(n3,n15) = n18
      & sum(n3,n16) = n19
      & sum(n3,n17) = n20
      & sum(n3,n18) = n0
      & sum(n3,n19) = n1
      & sum(n3,n20) = n2
      & sum(n4,n0) = n4
      & sum(n4,n1) = n5
      & sum(n4,n2) = n6
      & sum(n4,n3) = n7
      & sum(n4,n4) = n8
      & sum(n4,n5) = n9
      & sum(n4,n6) = n10
      & sum(n4,n7) = n11
      & sum(n4,n8) = n12
      & sum(n4,n9) = n13
      & sum(n4,n10) = n14
      & sum(n4,n11) = n15
      & sum(n4,n12) = n16
      & sum(n4,n13) = n17
      & sum(n4,n14) = n18
      & sum(n4,n15) = n19
      & sum(n4,n16) = n20
      & sum(n4,n17) = n0
      & sum(n4,n18) = n1
      & sum(n4,n19) = n2
      & sum(n4,n20) = n3
      & sum(n5,n0) = n5
      & sum(n5,n1) = n6
      & sum(n5,n2) = n7
      & sum(n5,n3) = n8
      & sum(n5,n4) = n9
      & sum(n5,n5) = n10
      & sum(n5,n6) = n11
      & sum(n5,n7) = n12
      & sum(n5,n8) = n13
      & sum(n5,n9) = n14
      & sum(n5,n10) = n15
      & sum(n5,n11) = n16
      & sum(n5,n12) = n17
      & sum(n5,n13) = n18
      & sum(n5,n14) = n19
      & sum(n5,n15) = n20
      & sum(n5,n16) = n0
      & sum(n5,n17) = n1
      & sum(n5,n18) = n2
      & sum(n5,n19) = n3
      & sum(n5,n20) = n4
      & sum(n6,n0) = n6
      & sum(n6,n1) = n7
      & sum(n6,n2) = n8
      & sum(n6,n3) = n9
      & sum(n6,n4) = n10
      & sum(n6,n5) = n11
      & sum(n6,n6) = n12
      & sum(n6,n7) = n13
      & sum(n6,n8) = n14
      & sum(n6,n9) = n15
      & sum(n6,n10) = n16
      & sum(n6,n11) = n17
      & sum(n6,n12) = n18
      & sum(n6,n13) = n19
      & sum(n6,n14) = n20
      & sum(n6,n15) = n0
      & sum(n6,n16) = n1
      & sum(n6,n17) = n2
      & sum(n6,n18) = n3
      & sum(n6,n19) = n4
      & sum(n6,n20) = n5
      & sum(n7,n0) = n7
      & sum(n7,n1) = n8
      & sum(n7,n2) = n9
      & sum(n7,n3) = n10
      & sum(n7,n4) = n11
      & sum(n7,n5) = n12
      & sum(n7,n6) = n13
      & sum(n7,n7) = n14
      & sum(n7,n8) = n15
      & sum(n7,n9) = n16
      & sum(n7,n10) = n17
      & sum(n7,n11) = n18
      & sum(n7,n12) = n19
      & sum(n7,n13) = n20
      & sum(n7,n14) = n0
      & sum(n7,n15) = n1
      & sum(n7,n16) = n2
      & sum(n7,n17) = n3
      & sum(n7,n18) = n4
      & sum(n7,n19) = n5
      & sum(n7,n20) = n6
      & sum(n8,n0) = n8
      & sum(n8,n1) = n9
      & sum(n8,n2) = n10
      & sum(n8,n3) = n11
      & sum(n8,n4) = n12
      & sum(n8,n5) = n13
      & sum(n8,n6) = n14
      & sum(n8,n7) = n15
      & sum(n8,n8) = n16
      & sum(n8,n9) = n17
      & sum(n8,n10) = n18
      & sum(n8,n11) = n19
      & sum(n8,n12) = n20
      & sum(n8,n13) = n0
      & sum(n8,n14) = n1
      & sum(n8,n15) = n2
      & sum(n8,n16) = n3
      & sum(n8,n17) = n4
      & sum(n8,n18) = n5
      & sum(n8,n19) = n6
      & sum(n8,n20) = n7
      & sum(n9,n0) = n9
      & sum(n9,n1) = n10
      & sum(n9,n2) = n11
      & sum(n9,n3) = n12
      & sum(n9,n4) = n13
      & sum(n9,n5) = n14
      & sum(n9,n6) = n15
      & sum(n9,n7) = n16
      & sum(n9,n8) = n17
      & sum(n9,n9) = n18
      & sum(n9,n10) = n19
      & sum(n9,n11) = n20
      & sum(n9,n12) = n0
      & sum(n9,n13) = n1
      & sum(n9,n14) = n2
      & sum(n9,n15) = n3
      & sum(n9,n16) = n4
      & sum(n9,n17) = n5
      & sum(n9,n18) = n6
      & sum(n9,n19) = n7
      & sum(n9,n20) = n8
      & sum(n10,n0) = n10
      & sum(n10,n1) = n11
      & sum(n10,n2) = n12
      & sum(n10,n3) = n13
      & sum(n10,n4) = n14
      & sum(n10,n5) = n15
      & sum(n10,n6) = n16
      & sum(n10,n7) = n17
      & sum(n10,n8) = n18
      & sum(n10,n9) = n19
      & sum(n10,n10) = n20
      & sum(n10,n11) = n0
      & sum(n10,n12) = n1
      & sum(n10,n13) = n2
      & sum(n10,n14) = n3
      & sum(n10,n15) = n4
      & sum(n10,n16) = n5
      & sum(n10,n17) = n6
      & sum(n10,n18) = n7
      & sum(n10,n19) = n8
      & sum(n10,n20) = n9
      & sum(n11,n0) = n11
      & sum(n11,n1) = n12
      & sum(n11,n2) = n13
      & sum(n11,n3) = n14
      & sum(n11,n4) = n15
      & sum(n11,n5) = n16
      & sum(n11,n6) = n17
      & sum(n11,n7) = n18
      & sum(n11,n8) = n19
      & sum(n11,n9) = n20
      & sum(n11,n10) = n0
      & sum(n11,n11) = n1
      & sum(n11,n12) = n2
      & sum(n11,n13) = n3
      & sum(n11,n14) = n4
      & sum(n11,n15) = n5
      & sum(n11,n16) = n6
      & sum(n11,n17) = n7
      & sum(n11,n18) = n8
      & sum(n11,n19) = n9
      & sum(n11,n20) = n10
      & sum(n12,n0) = n12
      & sum(n12,n1) = n13
      & sum(n12,n2) = n14
      & sum(n12,n3) = n15
      & sum(n12,n4) = n16
      & sum(n12,n5) = n17
      & sum(n12,n6) = n18
      & sum(n12,n7) = n19
      & sum(n12,n8) = n20
      & sum(n12,n9) = n0
      & sum(n12,n10) = n1
      & sum(n12,n11) = n2
      & sum(n12,n12) = n3
      & sum(n12,n13) = n4
      & sum(n12,n14) = n5
      & sum(n12,n15) = n6
      & sum(n12,n16) = n7
      & sum(n12,n17) = n8
      & sum(n12,n18) = n9
      & sum(n12,n19) = n10
      & sum(n12,n20) = n11
      & sum(n13,n0) = n13
      & sum(n13,n1) = n14
      & sum(n13,n2) = n15
      & sum(n13,n3) = n16
      & sum(n13,n4) = n17
      & sum(n13,n5) = n18
      & sum(n13,n6) = n19
      & sum(n13,n7) = n20
      & sum(n13,n8) = n0
      & sum(n13,n9) = n1
      & sum(n13,n10) = n2
      & sum(n13,n11) = n3
      & sum(n13,n12) = n4
      & sum(n13,n13) = n5
      & sum(n13,n14) = n6
      & sum(n13,n15) = n7
      & sum(n13,n16) = n8
      & sum(n13,n17) = n9
      & sum(n13,n18) = n10
      & sum(n13,n19) = n11
      & sum(n13,n20) = n12
      & sum(n14,n0) = n14
      & sum(n14,n1) = n15
      & sum(n14,n2) = n16
      & sum(n14,n3) = n17
      & sum(n14,n4) = n18
      & sum(n14,n5) = n19
      & sum(n14,n6) = n20
      & sum(n14,n7) = n0
      & sum(n14,n8) = n1
      & sum(n14,n9) = n2
      & sum(n14,n10) = n3
      & sum(n14,n11) = n4
      & sum(n14,n12) = n5
      & sum(n14,n13) = n6
      & sum(n14,n14) = n7
      & sum(n14,n15) = n8
      & sum(n14,n16) = n9
      & sum(n14,n17) = n10
      & sum(n14,n18) = n11
      & sum(n14,n19) = n12
      & sum(n14,n20) = n13
      & sum(n15,n0) = n15
      & sum(n15,n1) = n16
      & sum(n15,n2) = n17
      & sum(n15,n3) = n18
      & sum(n15,n4) = n19
      & sum(n15,n5) = n20
      & sum(n15,n6) = n0
      & sum(n15,n7) = n1
      & sum(n15,n8) = n2
      & sum(n15,n9) = n3
      & sum(n15,n10) = n4
      & sum(n15,n11) = n5
      & sum(n15,n12) = n6
      & sum(n15,n13) = n7
      & sum(n15,n14) = n8
      & sum(n15,n15) = n9
      & sum(n15,n16) = n10
      & sum(n15,n17) = n11
      & sum(n15,n18) = n12
      & sum(n15,n19) = n13
      & sum(n15,n20) = n14
      & sum(n16,n0) = n16
      & sum(n16,n1) = n17
      & sum(n16,n2) = n18
      & sum(n16,n3) = n19
      & sum(n16,n4) = n20
      & sum(n16,n5) = n0
      & sum(n16,n6) = n1
      & sum(n16,n7) = n2
      & sum(n16,n8) = n3
      & sum(n16,n9) = n4
      & sum(n16,n10) = n5
      & sum(n16,n11) = n6
      & sum(n16,n12) = n7
      & sum(n16,n13) = n8
      & sum(n16,n14) = n9
      & sum(n16,n15) = n10
      & sum(n16,n16) = n11
      & sum(n16,n17) = n12
      & sum(n16,n18) = n13
      & sum(n16,n19) = n14
      & sum(n16,n20) = n15
      & sum(n17,n0) = n17
      & sum(n17,n1) = n18
      & sum(n17,n2) = n19
      & sum(n17,n3) = n20
      & sum(n17,n4) = n0
      & sum(n17,n5) = n1
      & sum(n17,n6) = n2
      & sum(n17,n7) = n3
      & sum(n17,n8) = n4
      & sum(n17,n9) = n5
      & sum(n17,n10) = n6
      & sum(n17,n11) = n7
      & sum(n17,n12) = n8
      & sum(n17,n13) = n9
      & sum(n17,n14) = n10
      & sum(n17,n15) = n11
      & sum(n17,n16) = n12
      & sum(n17,n17) = n13
      & sum(n17,n18) = n14
      & sum(n17,n19) = n15
      & sum(n17,n20) = n16
      & sum(n18,n0) = n18
      & sum(n18,n1) = n19
      & sum(n18,n2) = n20
      & sum(n18,n3) = n0
      & sum(n18,n4) = n1
      & sum(n18,n5) = n2
      & sum(n18,n6) = n3
      & sum(n18,n7) = n4
      & sum(n18,n8) = n5
      & sum(n18,n9) = n6
      & sum(n18,n10) = n7
      & sum(n18,n11) = n8
      & sum(n18,n12) = n9
      & sum(n18,n13) = n10
      & sum(n18,n14) = n11
      & sum(n18,n15) = n12
      & sum(n18,n16) = n13
      & sum(n18,n17) = n14
      & sum(n18,n18) = n15
      & sum(n18,n19) = n16
      & sum(n18,n20) = n17
      & sum(n19,n0) = n19
      & sum(n19,n1) = n20
      & sum(n19,n2) = n0
      & sum(n19,n3) = n1
      & sum(n19,n4) = n2
      & sum(n19,n5) = n3
      & sum(n19,n6) = n4
      & sum(n19,n7) = n5
      & sum(n19,n8) = n6
      & sum(n19,n9) = n7
      & sum(n19,n10) = n8
      & sum(n19,n11) = n9
      & sum(n19,n12) = n10
      & sum(n19,n13) = n11
      & sum(n19,n14) = n12
      & sum(n19,n15) = n13
      & sum(n19,n16) = n14
      & sum(n19,n17) = n15
      & sum(n19,n18) = n16
      & sum(n19,n19) = n17
      & sum(n19,n20) = n18
      & sum(n20,n0) = n20
      & sum(n20,n1) = n0
      & sum(n20,n2) = n1
      & sum(n20,n3) = n2
      & sum(n20,n4) = n3
      & sum(n20,n5) = n4
      & sum(n20,n6) = n5
      & sum(n20,n7) = n6
      & sum(n20,n8) = n7
      & sum(n20,n9) = n8
      & sum(n20,n10) = n9
      & sum(n20,n11) = n10
      & sum(n20,n12) = n11
      & sum(n20,n13) = n12
      & sum(n20,n14) = n13
      & sum(n20,n15) = n14
      & sum(n20,n16) = n15
      & sum(n20,n17) = n16
      & sum(n20,n18) = n17
      & sum(n20,n19) = n18
      & sum(n20,n20) = n19
      & ( X = n0
        | X = n1
        | X = n2
        | X = n3
        | X = n4
        | X = n5
        | X = n6
        | X = n7
        | X = n8
        | X = n9
        | X = n10
        | X = n11
        | X = n12
        | X = n13
        | X = n14
        | X = n15
        | X = n16
        | X = n17
        | X = n18
        | X = n19
        | X = n20 )
      & ( Y = n0
        | Y = n1
        | Y = n2
        | Y = n3
        | Y = n4
        | Y = n5
        | Y = n6
        | Y = n7
        | Y = n8
        | Y = n9
        | Y = n10
        | Y = n11
        | Y = n12
        | Y = n13
        | Y = n14
        | Y = n15
        | Y = n16
        | Y = n17
        | Y = n18
        | Y = n19
        | Y = n20 )
      & sum(sum(pred(X),succ(Y)),sum(pred(Y),succ(X))) != sum(sum(pred(X),succ(X)),sum(pred(Y),succ(Y)))
      & n0 != n1
      & n0 != n2
      & n0 != n3
      & n0 != n4
      & n0 != n5
      & n0 != n6
      & n0 != n7
      & n0 != n8
      & n0 != n9
      & n0 != n10
      & n0 != n11
      & n0 != n12
      & n0 != n13
      & n0 != n14
      & n0 != n15
      & n0 != n16
      & n0 != n17
      & n0 != n18
      & n0 != n19
      & n0 != n20
      & n1 != n2
      & n1 != n3
      & n1 != n4
      & n1 != n5
      & n1 != n6
      & n1 != n7
      & n1 != n8
      & n1 != n9
      & n1 != n10
      & n1 != n11
      & n1 != n12
      & n1 != n13
      & n1 != n14
      & n1 != n15
      & n1 != n16
      & n1 != n17
      & n1 != n18
      & n1 != n19
      & n1 != n20
      & n2 != n3
      & n2 != n4
      & n2 != n5
      & n2 != n6
      & n2 != n7
      & n2 != n8
      & n2 != n9
      & n2 != n10
      & n2 != n11
      & n2 != n12
      & n2 != n13
      & n2 != n14
      & n2 != n15
      & n2 != n16
      & n2 != n17
      & n2 != n18
      & n2 != n19
      & n2 != n20
      & n3 != n4
      & n3 != n5
      & n3 != n6
      & n3 != n7
      & n3 != n8
      & n3 != n9
      & n3 != n10
      & n3 != n11
      & n3 != n12
      & n3 != n13
      & n3 != n14
      & n3 != n15
      & n3 != n16
      & n3 != n17
      & n3 != n18
      & n3 != n19
      & n3 != n20
      & n4 != n5
      & n4 != n6
      & n4 != n7
      & n4 != n8
      & n4 != n9
      & n4 != n10
      & n4 != n11
      & n4 != n12
      & n4 != n13
      & n4 != n14
      & n4 != n15
      & n4 != n16
      & n4 != n17
      & n4 != n18
      & n4 != n19
      & n4 != n20
      & n5 != n6
      & n5 != n7
      & n5 != n8
      & n5 != n9
      & n5 != n10
      & n5 != n11
      & n5 != n12
      & n5 != n13
      & n5 != n14
      & n5 != n15
      & n5 != n16
      & n5 != n17
      & n5 != n18
      & n5 != n19
      & n5 != n20
      & n6 != n7
      & n6 != n8
      & n6 != n9
      & n6 != n10
      & n6 != n11
      & n6 != n12
      & n6 != n13
      & n6 != n14
      & n6 != n15
      & n6 != n16
      & n6 != n17
      & n6 != n18
      & n6 != n19
      & n6 != n20
      & n7 != n8
      & n7 != n9
      & n7 != n10
      & n7 != n11
      & n7 != n12
      & n7 != n13
      & n7 != n14
      & n7 != n15
      & n7 != n16
      & n7 != n17
      & n7 != n18
      & n7 != n19
      & n7 != n20
      & n8 != n9
      & n8 != n10
      & n8 != n11
      & n8 != n12
      & n8 != n13
      & n8 != n14
      & n8 != n15
      & n8 != n16
      & n8 != n17
      & n8 != n18
      & n8 != n19
      & n8 != n20
      & n9 != n10
      & n9 != n11
      & n9 != n12
      & n9 != n13
      & n9 != n14
      & n9 != n15
      & n9 != n16
      & n9 != n17
      & n9 != n18
      & n9 != n19
      & n9 != n20
      & n10 != n11
      & n10 != n12
      & n10 != n13
      & n10 != n14
      & n10 != n15
      & n10 != n16
      & n10 != n17
      & n10 != n18
      & n10 != n19
      & n10 != n20
      & n11 != n12
      & n11 != n13
      & n11 != n14
      & n11 != n15
      & n11 != n16
      & n11 != n17
      & n11 != n18
      & n11 != n19
      & n11 != n20
      & n12 != n13
      & n12 != n14
      & n12 != n15
      & n12 != n16
      & n12 != n17
      & n12 != n18
      & n12 != n19
      & n12 != n20
      & n13 != n14
      & n13 != n15
      & n13 != n16
      & n13 != n17
      & n13 != n18
      & n13 != n19
      & n13 != n20
      & n14 != n15
      & n14 != n16
      & n14 != n17
      & n14 != n18
      & n14 != n19
      & n14 != n20
      & n15 != n16
      & n15 != n17
      & n15 != n18
      & n15 != n19
      & n15 != n20
      & n16 != n17
      & n16 != n18
      & n16 != n19
      & n16 != n20
      & n17 != n18
      & n17 != n19
      & n17 != n20
      & n18 != n19
      & n18 != n20
      & n19 != n20 ) )).

