%--------------------------------------------------------------------------
% File     : ROB012-1 : TPTP v3.2.0. Bugfixed v1.2.0.
% Domain   : Robbins Algebra
% Problem  : If -(a + -b) = c then -(a + -(b + k(a + c))) = c, k=k + 1
% Version  : [Win90] (equality) axioms.
% English  : This is the induction step of an induction proof.

% Refs     : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
% Source   : [Win90]
% Names    : Lemma 3.4 [Win90]

% Status   : Satisfiable
% Rating   : 0.33 v3.2.0, 0.80 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.86 v2.5.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   11 (   0 non-Horn;   9 unit;   6 RR)
%            Number of atoms       :   13 (   8 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    2 (   0 propositional; 1-2 arity)
%            Number of functors    :    9 (   5 constant; 0-2 arity)
%            Number of variables   :   11 (   0 singleton)
%            Maximal term depth    :    7 (   3 average)

% Comments : 
% Bugfixes : v1.2.0 - Fixed sign in prove_induction_step.
%--------------------------------------------------------------------------
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%----Include axioms for numbers in Robbins algebras 
include('Axioms/ROB001-1.ax').
%--------------------------------------------------------------------------
cnf(condition,hypothesis,
    ( negate(add(a,negate(b))) = c )).

cnf(k_an_integer,hypothesis,
    ( positive_integer(k) )).

cnf(base_step,axiom,
    ( negate(add(a,negate(add(b,multiply(k,add(a,c)))))) = c )).

cnf(prove_induction_step,negated_conjecture,
    (  negate(add(a,negate(add(b,multiply(successor(k),add(a,c)))))) != c )).

%--------------------------------------------------------------------------
