%--------------------------------------------------------------------------
% File     : ROB018-1 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Robbins Algebra
% Problem  : If -(d + e) = -e then e + 2(d + -(d + -e)) absorbs d + -(d + -e)
% Version  : [Win90] (equality) axioms.
% English  : 

% Refs     : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
% Source   : [Win90]
% Names    : Corollary 3.9 [Win90]

% Status   : Unsatisfiable
% Rating   : 0.57 v3.1.0, 0.78 v2.7.0, 0.67 v2.6.0, 0.86 v2.5.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :    9 (   0 non-Horn;   7 unit;   4 RR)
%            Number of atoms       :   11 (   7 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    2 (   0 propositional; 1-2 arity)
%            Number of functors    :    7 (   3 constant; 0-2 arity)
%            Number of variables   :   11 (   0 singleton)
%            Maximal term depth    :    7 (   3 average)

% Comments : This could be done with the second part, together
%--------------------------------------------------------------------------
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%----Include axioms for numbers in Robbins algebras 
include('Axioms/ROB001-1.ax').
%--------------------------------------------------------------------------
cnf(condition,hypothesis,
    ( negate(add(d,negate(e))) = negate(e) )).

cnf(prove_result,negated_conjecture,
    (  add(e,multiply(successor(successor(one)),add(d,negate(add(d,negate(e)))))) != add(e,multiply(successor(one),add(d,negate(add(d,negate(e)))))) )).

%--------------------------------------------------------------------------
