%--------------------------------------------------------------------------
% File     : ROB020-2 : TPTP v3.2.0. Bugfixed v3.1.0.
% Domain   : Robbins Algebra
% Problem  : -(a + -b)=b => Exists idempotent element
% Version  : [Win90] (equality) axioms.
%            Theorem formulation : Denies Huntington's axiom, double 
%            negation, and idempotence.
% English  : If there exist a, b such that -(a + -b) = b, the algebra 
%            is Boolean.

% Refs     : [HMT71] Henkin et al. (1971), Cylindrical Algebras
%          : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
% Source   : [Win90]
% Names    : Corollary 3.10 [Win90]

% Status   : Unknown
% Rating   : 1.00 v3.1.0
% Syntax   : Number of clauses     :    5 (   0 non-Horn;   5 unit;   2 RR)
%            Number of atoms       :    5 (   5 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   2 constant; 0-2 arity)
%            Number of variables   :    8 (   0 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : Commutativity, associativity, and Huntington's axiom 
%            axiomatize Boolean algebra.
% Bugfixes : v3.1.0 - Removed extra negated_conjecture clauses.
%--------------------------------------------------------------------------
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%--------------------------------------------------------------------------
cnf(condition1,hypothesis,
    ( negate(add(a,negate(b))) = b )).

cnf(prove_idempotence,negated_conjecture,
    (  add(X,X) != X )).

%--------------------------------------------------------------------------
