%------------------------------------------------------------------------------
% File     : SET796+4 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Set Theory (Order relations)
% Problem  : If R(a,b) then a is the greatest lower bound of unordered_pair(a,b)
% Version  : [Pas05] axioms.
% English  :

% Refs     : [Pas05] Pastre (2005), Email to G. Sutcliffe
% Source   : [Pas05]
% Names    :

% Status   : Theorem
% Rating   : 0.93 v3.2.0
% Syntax   : Number of formulae    :   32 (   1 unit)
%            Number of atoms       :  146 (   9 equality)
%            Maximal formula depth :   12 (   8 average)
%            Number of connectives :  116 (   2 ~  ;   4  |;  49  &)
%                                         (  30 <=>;  31 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   15 (   0 propositional; 2-4 arity)
%            Number of functors    :    9 (   1 constant; 0-2 arity)
%            Number of variables   :  124 (   0 singleton; 123 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments :
%------------------------------------------------------------------------------
%----Include set theory definitions
include('Axioms/SET006+0.ax').
%----Include order relation axioms
include('Axioms/SET006+3.ax').
%------------------------------------------------------------------------------
include('Axioms/SET006+3.ax').
fof(thIV8,conjecture,(
    ! [R,E,A,B] : 
      ( ( order(R,E)
        & member(A,E)
        & member(B,E)
        & apply(R,A,B) )
     => greatest_lower_bound(A,unordered_pair(A,B),R,E) ) )).

%------------------------------------------------------------------------------
