%------------------------------------------------------------------------------
% File     : SET877+1 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Set theory
% Problem  : Basic properties of sets, theorem 18
% Version  : [Urb06] axioms : Especial.
% English  :

% Refs     : [Byl89] Bylinski (1989), Some Basic Properties of Sets
%            [Urb06] Urban (2006), Email to G. Sutcliffe
% Source   : [Urb06]
% Names    : zfmisc_1__t18_zfmisc_1 [Urb06]

% Status   : Theorem
% Rating   : 0.14 v3.2.0
% Syntax   : Number of formulae    :    8 (   4 unit)
%            Number of atoms       :   13 (   7 equality)
%            Maximal formula depth :    6 (   4 average)
%            Number of connectives :    7 (   2 ~  ;   0  |;   0  &)
%                                         (   2 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    2 (   0 constant; 1-2 arity)
%            Number of variables   :   15 (   1 singleton;  13 !;   2 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : Translated by MPTP 0.2 from the original problem in the Mizar 
%            library, www.mizar.org
%------------------------------------------------------------------------------
fof(antisymmetry_r2_hidden,axiom,(
    ! [A,B] : 
      ( in(A,B)
     => ~ in(B,A) ) )).

fof(commutativity_k3_xboole_0,axiom,(
    ! [A,B] : set_intersection2(A,B) = set_intersection2(B,A) )).

fof(d1_tarski,axiom,(
    ! [A,B] : 
      ( B = singleton(A)
    <=> ! [C] : 
          ( in(C,B)
        <=> C = A ) ) )).

fof(idempotence_k3_xboole_0,axiom,(
    ! [A,B] : set_intersection2(A,A) = A )).

fof(l30_zfmisc_1,axiom,(
    ! [A,B] : 
      ( set_intersection2(A,singleton(B)) = singleton(B)
     => in(B,A) ) )).

fof(rc1_xboole_0,axiom,(
    ? [A] : empty(A) )).

fof(rc2_xboole_0,axiom,(
    ? [A] : ~ empty(A) )).

fof(t18_zfmisc_1,conjecture,(
    ! [A,B] : 
      ( set_intersection2(singleton(A),singleton(B)) = singleton(A)
     => A = B ) )).
%------------------------------------------------------------------------------
