%------------------------------------------------------------------------------
% File     : SET971+1 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Set theory
% Problem  : Basic properties of sets, theorem 124
% Version  : [Urb06] axioms : Especial.
% English  :

% Refs     : [Byl89] Bylinski (1989), Some Basic Properties of Sets
%            [Urb06] Urban (2006), Email to G. Sutcliffe
% Source   : [Urb06]
% Names    : zfmisc_1__t124_zfmisc_1 [Urb06]

% Status   : Theorem
% Rating   : 0.14 v3.2.0
% Syntax   : Number of formulae    :    8 (   6 unit)
%            Number of atoms       :   11 (   5 equality)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :    4 (   1 ~  ;   0  |;   1  &)
%                                         (   0 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    2 (   0 constant; 2-2 arity)
%            Number of variables   :   18 (   2 singleton;  16 !;   2 ?)
%            Maximal term depth    :    3 (   2 average)

% Comments : Translated by MPTP 0.2 from the original problem in the Mizar 
%            library, www.mizar.org
%------------------------------------------------------------------------------
fof(commutativity_k3_xboole_0,axiom,(
    ! [A,B] : set_intersection2(A,B) = set_intersection2(B,A) )).

fof(idempotence_k3_xboole_0,axiom,(
    ! [A,B] : set_intersection2(A,A) = A )).

fof(rc1_xboole_0,axiom,(
    ? [A] : empty(A) )).

fof(rc2_xboole_0,axiom,(
    ? [A] : ~ empty(A) )).

fof(reflexivity_r1_tarski,axiom,(
    ! [A,B] : subset(A,A) )).

fof(t123_zfmisc_1,axiom,(
    ! [A,B,C,D] : cartesian_product2(set_intersection2(A,B),set_intersection2(C,D)) = set_intersection2(cartesian_product2(A,C),cartesian_product2(B,D)) )).

fof(t124_zfmisc_1,conjecture,(
    ! [A,B,C,D] : 
      ( ( subset(A,B)
        & subset(C,D) )
     => set_intersection2(cartesian_product2(A,D),cartesian_product2(B,C)) = cartesian_product2(A,C) ) )).

fof(t28_xboole_1,axiom,(
    ! [A,B] : 
      ( subset(A,B)
     => set_intersection2(A,B) = A ) )).
%------------------------------------------------------------------------------
