%------------------------------------------------------------------------------
% File     : SWV253-2 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Software Verification
% Problem  : Cryptographic protocol problem for messages
% Version  : [Pau06] axioms : Reduced > Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.11 v3.2.0
% Syntax   : Number of clauses     :    3 (   1 non-Horn;   1 unit;   2 RR)
%            Number of atoms       :    5 (   5 equality)
%            Maximal clause size   :    2 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    3 (   2 constant; 0-1 arity)
%            Number of variables   :    1 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found. This version has only the necessary
%            axioms.
%------------------------------------------------------------------------------
cnf(cls_conjecture_0,negated_conjecture,
    ( v_K != v_K_H
    | c_Message_OinvKey(v_K) != c_Message_OinvKey(v_K_H) )).

cnf(cls_conjecture_1,negated_conjecture,
    ( c_Message_OinvKey(v_K) = c_Message_OinvKey(v_K_H)
    | v_K = v_K_H )).

cnf(cls_Message_OinvKey_A_IinvKey_Ay_J_A_61_61_Ay_0,axiom,
    ( c_Message_OinvKey(c_Message_OinvKey(V_y)) = V_y )).

%------------------------------------------------------------------------------
