%------------------------------------------------------------------------------
% File     : SWV267-1 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Software Verification
% Problem  : Cryptographic protocol problem for messages
% Version  : [Pau06] axioms : Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : Message__parts_subset_iff_1 [Pau06]

% Status   : Unsatisfiable
% Rating   : 0.50 v3.2.0
% Syntax   : Number of clauses     : 2780 ( 249 non-Horn; 678 unit;1990 RR)
%            Number of atoms       : 6062 (1329 equality)
%            Maximal clause size   :    7 (   2 average)
%            Number of predicates  :   87 (   0 propositional; 1-3 arity)
%            Number of functors    :  249 (  50 constant; 0-18 arity)
%            Number of variables   : 5764 (1183 singleton)
%            Maximal term depth    :    8 (   1 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found.
%------------------------------------------------------------------------------
include('Axioms/SWV005-0.ax').
include('Axioms/MSC001-1.ax').
include('Axioms/MSC001-0.ax').
%------------------------------------------------------------------------------
cnf(cls_Message_Oin__parts__UnE_0,axiom,
    ( ~ c_in(V_c,c_Message_Oparts(c_union(V_G,V_H,tc_Message_Omsg)),tc_Message_Omsg)
    | c_in(V_c,c_Message_Oparts(V_H),tc_Message_Omsg)
    | c_in(V_c,c_Message_Oparts(V_G),tc_Message_Omsg) )).

cnf(cls_Message_Oparts_OBody__dest_0,axiom,
    ( ~ c_in(c_Message_Omsg_OCrypt(V_K,V_X),c_Message_Oparts(V_H),tc_Message_Omsg)
    | c_in(V_X,c_Message_Oparts(V_H),tc_Message_Omsg) )).

cnf(cls_Message_Oparts__idem_0,axiom,
    ( c_Message_Oparts(c_Message_Oparts(V_H)) = c_Message_Oparts(V_H) )).

cnf(cls_Message_Oparts__increasing_0,axiom,
    ( c_lessequals(V_H,c_Message_Oparts(V_H),tc_set(tc_Message_Omsg)) )).

cnf(cls_Message_Oparts__mono_0,axiom,
    ( ~ c_lessequals(V_G,V_H,tc_set(tc_Message_Omsg))
    | c_lessequals(c_Message_Oparts(V_G),c_Message_Oparts(V_H),tc_set(tc_Message_Omsg)) )).

cnf(cls_Message_Oparts__partsD__dest_0,axiom,
    ( ~ c_in(V_X,c_Message_Oparts(c_Message_Oparts(V_H)),tc_Message_Omsg)
    | c_in(V_X,c_Message_Oparts(V_H),tc_Message_Omsg) )).

cnf(cls_Set_Osubset__trans_0,axiom,
    ( ~ c_lessequals(V_B,V_C,tc_set(T_a))
    | ~ c_lessequals(V_A,V_B,tc_set(T_a))
    | c_lessequals(V_A,V_C,tc_set(T_a)) )).

cnf(cls_conjecture_0,negated_conjecture,
    ( c_lessequals(c_Message_Oparts(v_G),c_Message_Oparts(v_H),tc_set(tc_Message_Omsg)) )).

cnf(cls_conjecture_1,negated_conjecture,
    ( ~ c_lessequals(v_G,c_Message_Oparts(v_H),tc_set(tc_Message_Omsg)) )).

%------------------------------------------------------------------------------
