%------------------------------------------------------------------------------
% File     : SWV275-1 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Software Verification
% Problem  : Cryptographic protocol problem for messages
% Version  : [Pau06] axioms : Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : Message__synth_insert [Pau06]

% Status   : Unsatisfiable
% Rating   : 1.00 v3.2.0
% Syntax   : Number of clauses     : 1400 (  34 non-Horn; 226 unit;1312 RR)
%            Number of atoms       : 2645 ( 219 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :   82 (   0 propositional; 1-3 arity)
%            Number of functors    :  137 (  22 constant; 0-6 arity)
%            Number of variables   : 2004 ( 232 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found.
%------------------------------------------------------------------------------
include('Axioms/SWV004-0.ax').
include('Axioms/MSC001-2.ax').
include('Axioms/MSC001-0.ax').
%------------------------------------------------------------------------------
cnf(cls_Message_Oparts_OBody__dest_0,axiom,
    ( ~ c_in(c_Message_Omsg_OCrypt(V_K,V_X),c_Message_Oparts(V_H),tc_Message_Omsg)
    | c_in(V_X,c_Message_Oparts(V_H),tc_Message_Omsg) )).

cnf(cls_Message_Osynth__mono_0,axiom,
    ( ~ c_lessequals(V_G,V_H,tc_set(tc_Message_Omsg))
    | c_lessequals(c_Message_Osynth(V_G),c_Message_Osynth(V_H),tc_set(tc_Message_Omsg)) )).

cnf(cls_conjecture_0,negated_conjecture,
    ( ~ c_lessequals(c_insert(v_X,c_Message_Osynth(v_H),tc_Message_Omsg),c_Message_Osynth(c_insert(v_X,v_H,tc_Message_Omsg)),tc_set(tc_Message_Omsg)) )).

%------------------------------------------------------------------------------
