%------------------------------------------------------------------------------
% File     : SWV281-2 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Software Verification
% Problem  : Cryptographic protocol problem for public
% Version  : [Pau06] axioms : Reduced > Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.36 v3.2.0
% Syntax   : Number of clauses     :    6 (   1 non-Horn;   3 unit;   3 RR)
%            Number of atoms       :   10 (   5 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :   11 (   6 constant; 0-3 arity)
%            Number of variables   :   19 (  16 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found. This version has only the necessary
%            axioms.
%------------------------------------------------------------------------------
cnf(cls_conjecture_0,negated_conjecture,
    ( V_U = V_V
    | c_in(c_Message_Omsg_ONonce(V_V),c_Event_Oused(v_evs_H),tc_Message_Omsg)
    | c_in(c_Message_Omsg_ONonce(V_U),c_Event_Oused(v_evs),tc_Message_Omsg) )).

cnf(cls_List_Olist_Odistinct__1_0,axiom,
    ( c_List_Olist_ONil != c_List_Olist_OCons(V_a_H,V_list_H,T_a) )).

cnf(cls_Nat_Ole__add2_0,axiom,
    ( c_lessequals(V_n,c_plus(V_m,V_n,tc_nat),tc_nat) )).

cnf(cls_Nat_Onat__add__right__cancel_0,axiom,
    ( c_plus(V_m,V_k,tc_nat) != c_plus(V_n,V_k,tc_nat)
    | V_m = V_n )).

cnf(cls_Nat_Oop_A_L_Oadd__0_0,axiom,
    ( c_plus(c_0,V_y,tc_nat) = V_y )).

cnf(cls_Public_ONonce__supply__lemma_0,axiom,
    ( ~ c_in(c_Message_Omsg_ONonce(V_U),c_Event_Oused(V_evs),tc_Message_Omsg)
    | ~ c_lessequals(v_sko__urX(V_evs),V_U,tc_nat) )).

%------------------------------------------------------------------------------
