%------------------------------------------------------------------------------
% File     : SWV282-1 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Software Verification
% Problem  : Cryptographic protocol problem for public
% Version  : [Pau06] axioms : Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : Public__Nonce_supply_3 [Pau06]

% Status   : Unsatisfiable
% Rating   : 1.00 v3.2.0
% Syntax   : Number of clauses     : 2938 ( 266 non-Horn; 765 unit;2088 RR)
%            Number of atoms       : 6312 (1442 equality)
%            Maximal clause size   :    7 (   2 average)
%            Number of predicates  :   87 (   0 propositional; 1-3 arity)
%            Number of functors    :  271 (  57 constant; 0-18 arity)
%            Number of variables   : 6177 (1376 singleton)
%            Maximal term depth    :    8 (   1 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found.
%------------------------------------------------------------------------------
include('Axioms/SWV005-3.ax').
include('Axioms/SWV005-2.ax').
include('Axioms/SWV005-0.ax').
include('Axioms/MSC001-1.ax').
include('Axioms/MSC001-0.ax').
%------------------------------------------------------------------------------
cnf(cls_Nat_Ole__add1_0,axiom,
    ( c_lessequals(V_n,c_plus(V_n,V_m,tc_nat),tc_nat) )).

cnf(cls_Nat_Ole__add2_0,axiom,
    ( c_lessequals(V_n,c_plus(V_m,V_n,tc_nat),tc_nat) )).

cnf(cls_Nat_Oless__Suc__eq__le_0,axiom,
    ( ~ c_less(V_m,c_Suc(V_n),tc_nat)
    | c_lessequals(V_m,V_n,tc_nat) )).

cnf(cls_Nat_Oless__Suc__eq__le_1,axiom,
    ( ~ c_lessequals(V_m,V_n,tc_nat)
    | c_less(V_m,c_Suc(V_n),tc_nat) )).

cnf(cls_Public_ONonce__supply__lemma_0,axiom,
    ( ~ c_in(c_Message_Omsg_ONonce(V_U),c_Event_Oused(V_evs),tc_Message_Omsg)
    | ~ c_lessequals(v_sko__urX(V_evs),V_U,tc_nat) )).

cnf(cls_conjecture_0,negated_conjecture,
    ( V_U = V_W
    | V_V = V_W
    | V_U = V_V
    | c_in(c_Message_Omsg_ONonce(V_W),c_Event_Oused(v_evs_H_H),tc_Message_Omsg)
    | c_in(c_Message_Omsg_ONonce(V_V),c_Event_Oused(v_evs_H),tc_Message_Omsg)
    | c_in(c_Message_Omsg_ONonce(V_U),c_Event_Oused(v_evs),tc_Message_Omsg) )).

%------------------------------------------------------------------------------
