%------------------------------------------------------------------------------
% File     : SWV329-1 : TPTP v3.2.0. Released v3.2.0.
% Domain   : Software Verification
% Problem  : Cryptographic protocol problem for Yahalom
% Version  : [Pau06] axioms : Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : Yahalom__A_Said_YM3_lemma_2 [Pau06]

% Status   : Unsatisfiable
% Rating   : 0.86 v3.2.0
% Syntax   : Number of clauses     : 2969 ( 269 non-Horn; 772 unit;2118 RR)
%            Number of atoms       : 6389 (1448 equality)
%            Maximal clause size   :    7 (   2 average)
%            Number of predicates  :   88 (   0 propositional; 1-3 arity)
%            Number of functors    :  281 (  62 constant; 0-18 arity)
%            Number of variables   : 6312 (1432 singleton)
%            Maximal term depth    :    9 (   1 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found.
%------------------------------------------------------------------------------
include('Axioms/SWV005-6.ax').
include('Axioms/SWV005-5.ax').
include('Axioms/SWV005-4.ax').
include('Axioms/SWV005-3.ax').
include('Axioms/SWV005-2.ax').
include('Axioms/SWV005-0.ax').
include('Axioms/MSC001-1.ax').
include('Axioms/MSC001-0.ax').
%------------------------------------------------------------------------------
cnf(cls_conjecture_0,negated_conjecture,
    ( c_in(v_evsf,c_Yahalom_Oyahalom,tc_List_Olist(tc_Event_Oevent)) )).

cnf(cls_conjecture_1,negated_conjecture,
    ( c_in(v_X,c_Message_Osynth(c_Message_Oanalz(c_Event_Oknows(c_Message_Oagent_OSpy,v_evsf))),tc_Message_Omsg) )).

cnf(cls_conjecture_2,negated_conjecture,
    ( ~ c_in(c_Message_Omsg_OKey(v_K),c_Message_Oanalz(c_Event_Oknows(c_Message_Oagent_OSpy,v_evsf)),tc_Message_Omsg) )).

cnf(cls_conjecture_3,negated_conjecture,
    ( c_in(c_Message_Omsg_OCrypt(v_K,c_Message_Omsg_ONonce(v_NB)),c_Message_Oparts(c_insert(v_X,c_Event_Oknows(c_Message_Oagent_OSpy,v_evsf),tc_Message_Omsg)),tc_Message_Omsg) )).

cnf(cls_conjecture_4,negated_conjecture,
    ( c_in(c_Message_Omsg_OCrypt(c_Public_OshrK(v_B),c_Message_Omsg_OMPair(c_Message_Omsg_OAgent(v_A),c_Message_Omsg_OKey(v_K))),c_Message_Oparts(c_insert(v_X,c_Event_Oknows(c_Message_Oagent_OSpy,v_evsf),tc_Message_Omsg)),tc_Message_Omsg) )).

cnf(cls_conjecture_5,negated_conjecture,
    ( ~ c_in(v_B,c_Event_Obad,tc_Message_Oagent) )).

cnf(cls_conjecture_6,negated_conjecture,
    ( ~ c_in(c_Message_Omsg_OCrypt(c_Public_OshrK(v_B),c_Message_Omsg_OMPair(c_Message_Omsg_OAgent(v_A),c_Message_Omsg_OKey(v_K))),c_Message_Oparts(c_Event_Oknows(c_Message_Oagent_OSpy,v_evsf)),tc_Message_Omsg) )).

cnf(cls_conjecture_7,negated_conjecture,
    ( ~ c_in(c_Event_Oevent_OSays(v_A,v_B,c_Message_Omsg_OMPair(V_U,c_Message_Omsg_OCrypt(v_K,c_Message_Omsg_ONonce(v_NB)))),c_List_Oset(v_evsf,tc_Event_Oevent),tc_Event_Oevent) )).

cnf(cls_conjecture_8,negated_conjecture,
    ( c_Message_Omsg_OMPair(V_U,c_Message_Omsg_OCrypt(v_K,c_Message_Omsg_ONonce(v_NB))) != v_X
    | v_B != v_Ba
    | v_A != c_Message_Oagent_OSpy )).

%------------------------------------------------------------------------------
