%--------------------------------------------------------------------------
% File     : SYN335-1 : TPTP v3.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.14 (7)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch14N7 [Tam94]

% Status   : Satisfiable
% Rating   : 0.33 v3.2.0, 0.20 v3.1.0, 0.29 v2.7.0, 0.00 v2.6.0, 0.25 v2.5.0, 0.50 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.67 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   12 (   4 non-Horn;   1 unit;   7 RR)
%            Number of atoms       :   26 (   0 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :   24 (   1 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( f(X,z(X,Y)) )).

cnf(clause2,negated_conjecture,
    ( ~ f(z(X,Y),z(X,Y))
    | g(z(X,Y),z(X,Y))
    | ~ f(X,Y) )).

cnf(clause3,negated_conjecture,
    ( f(z(X,Y),z(X,Y))
    | f(X,Y) )).

cnf(clause4,negated_conjecture,
    ( ~ g(z(X,Y),z(X,Y))
    | f(X,Y) )).

cnf(clause5,negated_conjecture,
    ( ~ g(z(X,Y),z(X,Y))
    | f(z(X,Y),z(X,Y))
    | ~ g(X,Y) )).

cnf(clause6,negated_conjecture,
    ( g(z(X,Y),z(X,Y))
    | g(X,Y) )).

cnf(clause7,negated_conjecture,
    ( ~ f(z(X,Y),z(X,Y))
    | g(X,Y) )).

cnf(clause8,negated_conjecture,
    ( ~ g(X,Y)
    | f(Y,X)
    | ~ g(Y,z(X,Y)) )).

cnf(clause9,negated_conjecture,
    ( g(X,Y)
    | g(Y,z(X,Y)) )).

cnf(clause10,negated_conjecture,
    ( ~ f(Y,X)
    | g(Y,z(X,Y)) )).

cnf(clause11,negated_conjecture,
    ( f(z(X,Y),Y)
    | f(Y,X) )).

cnf(clause12,negated_conjecture,
    ( ~ f(z(X,Y),Y)
    | ~ f(Y,X) )).

%--------------------------------------------------------------------------
