%--------------------------------------------------------------------------
% File     : SYN521-1 : TPTP v3.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=20, K=3, D=2, P=0, Index=049
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-20-3-2-049.cnf [Wei97]

% Status   : Satisfiable
% Rating   : 0.00 v2.2.1, 0.33 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses     :  102 (  54 non-Horn;   0 unit;  89 RR)
%            Number of atoms       :  334 (   0 equality)
%            Maximal clause size   :    9 (   3 average)
%            Number of predicates  :   24 (  12 propositional; 0-2 arity)
%            Number of functors    :   34 (  34 constant; 0-0 arity)
%            Number of variables   :   41 (   0 singleton)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( ndr1_0
    | c3_0 )).

cnf(clause2,negated_conjecture,
    ( ndr1_0
    | ssSkC5 )).

cnf(clause3,negated_conjecture,
    ( ndr1_0
    | ssSkC4 )).

cnf(clause4,negated_conjecture,
    ( ndr1_0
    | ssSkC3 )).

cnf(clause5,negated_conjecture,
    ( ndr1_0
    | ssSkC2 )).

cnf(clause6,negated_conjecture,
    ( ndr1_0
    | ssSkC1 )).

cnf(clause7,negated_conjecture,
    ( ndr1_0
    | ssSkC0 )).

cnf(clause8,negated_conjecture,
    ( ~ ssSkC3
    | ndr1_0
    | c4_0 )).

cnf(clause9,negated_conjecture,
    ( ~ c3_0
    | ndr1_0 )).

cnf(clause10,negated_conjecture,
    ( ndr1_1(a74)
    | c3_0 )).

cnf(clause11,negated_conjecture,
    ( ~ c4_0
    | ndr1_0 )).

cnf(clause12,negated_conjecture,
    ( ndr1_1(a97)
    | ssSkC4 )).

cnf(clause13,negated_conjecture,
    ( ndr1_1(a93)
    | ssSkC3 )).

cnf(clause14,negated_conjecture,
    ( c4_1(a93)
    | ssSkC3 )).

cnf(clause15,negated_conjecture,
    ( c3_1(a93)
    | ssSkC3 )).

cnf(clause16,negated_conjecture,
    ( ndr1_1(U)
    | ssSkP0(U) )).

cnf(clause17,negated_conjecture,
    ( ndr1_1(a88)
    | ssSkC1 )).

cnf(clause18,negated_conjecture,
    ( c1_1(a88)
    | ssSkC1 )).

cnf(clause19,negated_conjecture,
    ( c4_1(a80)
    | ssSkC0 )).

cnf(clause20,negated_conjecture,
    ( ~ ssSkC5
    | ndr1_1(a102)
    | c3_0 )).

cnf(clause21,negated_conjecture,
    ( ~ ssSkC5
    | c2_1(a102)
    | c3_0 )).

cnf(clause22,negated_conjecture,
    ( ~ ssSkC4
    | ~ c5_0
    | ndr1_0 )).

cnf(clause23,negated_conjecture,
    ( ~ ssSkC3
    | ndr1_1(a95)
    | c4_0 )).

cnf(clause24,negated_conjecture,
    ( ~ c2_0
    | ndr1_0
    | c4_0 )).

cnf(clause25,negated_conjecture,
    ( ~ c3_0
    | ndr1_1(a82) )).

cnf(clause26,negated_conjecture,
    ( ~ c3_0
    | c1_1(a82) )).

cnf(clause27,negated_conjecture,
    ( c5_2(a74,a75)
    | c3_0 )).

cnf(clause28,negated_conjecture,
    ( ~ c2_1(a74)
    | c3_0 )).

cnf(clause29,negated_conjecture,
    ( ~ c4_0
    | ndr1_1(a70) )).

cnf(clause30,negated_conjecture,
    ( ~ c5_0
    | ~ c2_0 )).

cnf(clause31,negated_conjecture,
    ( c5_2(a97,a99)
    | ssSkC4 )).

cnf(clause32,negated_conjecture,
    ( c5_2(a97,a98)
    | ssSkC4 )).

cnf(clause33,negated_conjecture,
    ( c2_2(a93,a94)
    | ssSkC3 )).

cnf(clause34,negated_conjecture,
    ( ~ c4_1(a90)
    | ssSkC2 )).

cnf(clause35,negated_conjecture,
    ( ~ c3_1(a90)
    | ssSkC2 )).

cnf(clause36,negated_conjecture,
    ( ~ c2_1(a90)
    | ssSkC2 )).

cnf(clause37,negated_conjecture,
    ( c4_2(a88,a89)
    | ssSkC1 )).

cnf(clause38,negated_conjecture,
    ( ~ c2_1(a80)
    | ssSkC0 )).

cnf(clause39,negated_conjecture,
    ( ~ c3_1(a80)
    | ssSkC0 )).

cnf(clause40,negated_conjecture,
    ( ~ ssSkC5
    | c1_2(a102,a103)
    | c3_0 )).

cnf(clause41,negated_conjecture,
    ( ~ ssSkC4
    | ~ c5_0
    | c4_1(a100) )).

cnf(clause42,negated_conjecture,
    ( ~ ssSkC4
    | ~ c5_0
    | c2_1(a100) )).

cnf(clause43,negated_conjecture,
    ( ~ ssSkC3
    | c1_2(a95,a96)
    | c4_0 )).

cnf(clause44,negated_conjecture,
    ( ~ ssSkC3
    | c5_2(a95,a96)
    | c4_0 )).

cnf(clause45,negated_conjecture,
    ( ~ c2_0
    | ndr1_1(a85)
    | c4_0 )).

cnf(clause46,negated_conjecture,
    ( ~ c2_0
    | c5_1(a85)
    | c4_0 )).

cnf(clause47,negated_conjecture,
    ( ~ c3_0
    | c4_2(a82,a83) )).

cnf(clause48,negated_conjecture,
    ( ~ c4_0
    | c1_1(a76)
    | c1_0 )).

cnf(clause49,negated_conjecture,
    ( ~ c4_0
    | c3_1(a76)
    | c1_0 )).

cnf(clause50,negated_conjecture,
    ( ~ c2_2(a74,a75)
    | c3_0 )).

cnf(clause51,negated_conjecture,
    ( ~ c1_2(a74,a75)
    | c3_0 )).

cnf(clause52,negated_conjecture,
    ( ~ c4_0
    | c4_2(a70,a71) )).

cnf(clause53,negated_conjecture,
    ( ~ c4_0
    | c1_2(a70,a71) )).

cnf(clause54,negated_conjecture,
    ( ~ c2_2(a97,a99)
    | ssSkC4 )).

cnf(clause55,negated_conjecture,
    ( ~ c1_2(a97,a99)
    | ssSkC4 )).

cnf(clause56,negated_conjecture,
    ( ~ c2_2(a97,a98)
    | ssSkC4 )).

cnf(clause57,negated_conjecture,
    ( ~ c1_2(a93,a94)
    | ssSkC3 )).

cnf(clause58,negated_conjecture,
    ( ~ c4_2(a93,a94)
    | ssSkC3 )).

cnf(clause59,negated_conjecture,
    ( ~ c2_2(U,a91)
    | ssSkP0(U) )).

cnf(clause60,negated_conjecture,
    ( ~ c4_2(U,a91)
    | ssSkP0(U) )).

cnf(clause61,negated_conjecture,
    ( ~ c1_2(U,a91)
    | ssSkP0(U) )).

cnf(clause62,negated_conjecture,
    ( ~ c2_2(a88,a89)
    | ssSkC1 )).

cnf(clause63,negated_conjecture,
    ( ~ c5_2(a88,a89)
    | ssSkC1 )).

cnf(clause64,negated_conjecture,
    ( ~ ssSkC5
    | ~ c5_2(a102,a103)
    | c3_0 )).

cnf(clause65,negated_conjecture,
    ( ~ ssSkC3
    | ~ c4_2(a95,a96)
    | c4_0 )).

cnf(clause66,negated_conjecture,
    ( ~ c2_0
    | c4_2(a85,a87)
    | c4_0 )).

cnf(clause67,negated_conjecture,
    ( ~ c2_0
    | c5_2(a85,a87)
    | c4_0 )).

cnf(clause68,negated_conjecture,
    ( ~ c2_2(a82,a84)
    | ~ c3_0 )).

cnf(clause69,negated_conjecture,
    ( ~ c4_2(a82,a84)
    | ~ c3_0 )).

cnf(clause70,negated_conjecture,
    ( ~ c5_2(a82,a84)
    | ~ c3_0 )).

cnf(clause71,negated_conjecture,
    ( ~ c5_2(a82,a83)
    | ~ c3_0 )).

cnf(clause72,negated_conjecture,
    ( ~ c5_2(a70,a73)
    | ~ c4_0 )).

cnf(clause73,negated_conjecture,
    ( ~ c4_2(a70,a73)
    | ~ c4_0 )).

cnf(clause74,negated_conjecture,
    ( ~ c5_2(a70,a72)
    | ~ c4_0 )).

cnf(clause75,negated_conjecture,
    ( ~ c2_2(a70,a72)
    | ~ c4_0 )).

cnf(clause76,negated_conjecture,
    ( ~ c3_2(a70,a72)
    | ~ c4_0 )).

cnf(clause77,negated_conjecture,
    ( ~ c2_2(a70,a71)
    | ~ c4_0 )).

cnf(clause78,negated_conjecture,
    ( ~ c3_2(a85,a87)
    | ~ c2_0
    | c4_0 )).

cnf(clause79,negated_conjecture,
    ( ~ c3_2(a85,a86)
    | ~ c2_0
    | c4_0 )).

cnf(clause80,negated_conjecture,
    ( ~ c1_2(a85,a86)
    | ~ c2_0
    | c4_0 )).

cnf(clause81,negated_conjecture,
    ( ~ ndr1_1(a88)
    | c5_2(a88,U)
    | c2_2(a88,U)
    | ssSkC1 )).

cnf(clause82,negated_conjecture,
    ( ~ c2_2(a101,U)
    | ~ c5_2(a101,U)
    | ~ ndr1_1(a101)
    | ssSkC5 )).

cnf(clause83,negated_conjecture,
    ( ~ ndr1_1(a97)
    | c3_2(a97,U)
    | c2_2(a97,U)
    | c1_2(a97,U)
    | ssSkC4 )).

cnf(clause84,negated_conjecture,
    ( ~ ndr1_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c4_2(U,V)
    | c1_2(U,V)
    | ndr1_1(a77)
    | c3_0 )).

cnf(clause85,negated_conjecture,
    ( ~ c1_2(a101,U)
    | ~ c5_2(a101,U)
    | ~ ndr1_1(a101)
    | c3_2(a101,U)
    | ssSkC5 )).

cnf(clause86,negated_conjecture,
    ( ~ ssSkC3
    | ~ c1_2(a95,U)
    | ~ c3_2(a95,U)
    | ~ ndr1_1(a95)
    | c5_2(a95,U)
    | c4_0 )).

cnf(clause87,negated_conjecture,
    ( ~ ndr1_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c4_2(U,V)
    | c1_2(U,V)
    | c3_2(a77,a79)
    | c3_0 )).

cnf(clause88,negated_conjecture,
    ( ~ ndr1_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c3_1(a77)
    | c4_2(U,V)
    | c1_2(U,V)
    | c3_0 )).

cnf(clause89,negated_conjecture,
    ( ~ ssSkC5
    | ~ c1_2(a102,U)
    | ~ c5_2(a102,U)
    | ~ c3_2(a102,U)
    | ~ ndr1_1(a102)
    | c3_0 )).

cnf(clause90,negated_conjecture,
    ( ~ ssSkC0
    | ~ ndr1_1(U)
    | ~ ndr1_0
    | ~ c1_0
    | c4_2(U,V)
    | c2_2(U,V)
    | c4_2(U,a81)
    | c1_1(U) )).

cnf(clause91,negated_conjecture,
    ( ~ ssSkC0
    | ~ ndr1_1(U)
    | ~ ndr1_0
    | ~ c1_0
    | c4_2(U,V)
    | c2_2(U,V)
    | c1_2(U,a81)
    | c1_1(U) )).

cnf(clause92,negated_conjecture,
    ( ~ ndr1_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c5_2(a77,a79)
    | c4_2(U,V)
    | c1_2(U,V)
    | c3_0 )).

cnf(clause93,negated_conjecture,
    ( ~ ndr1_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c2_2(a77,a79)
    | c4_2(U,V)
    | c1_2(U,V)
    | c3_0 )).

cnf(clause94,negated_conjecture,
    ( ~ ndr1_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c5_2(a77,a78)
    | c4_2(U,V)
    | c1_2(U,V)
    | c3_0 )).

cnf(clause95,negated_conjecture,
    ( ~ ndr1_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c3_2(a77,a78)
    | c4_2(U,V)
    | c1_2(U,V)
    | c3_0 )).

cnf(clause96,negated_conjecture,
    ( ~ ssSkC4
    | ~ c4_2(a100,U)
    | ~ c3_2(a100,U)
    | ~ c2_2(a100,U)
    | ~ ndr1_1(a100)
    | ~ c5_0 )).

cnf(clause97,negated_conjecture,
    ( ~ ssSkC0
    | ~ ndr1_1(U)
    | ~ c5_2(U,a81)
    | ~ ndr1_0
    | ~ c1_0
    | c4_2(U,V)
    | c2_2(U,V)
    | c1_1(U) )).

cnf(clause98,negated_conjecture,
    ( ~ c5_2(U,V)
    | ~ ndr1_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | ~ c1_0
    | c4_2(U,V)
    | c3_2(U,V)
    | c3_0 )).

cnf(clause99,negated_conjecture,
    ( ~ c1_2(U,V)
    | ~ c3_2(U,V)
    | ~ c5_2(U,V)
    | ~ ndr1_1(U)
    | ~ ndr1_0
    | c4_1(U)
    | c2_1(U)
    | c5_0 )).

cnf(clause100,negated_conjecture,
    ( ~ ssSkP0(U)
    | ~ ssSkC1
    | ~ ssSkC2
    | ~ c3_2(U,V)
    | ~ c1_2(U,V)
    | ~ ndr1_1(U)
    | ~ ndr1_0
    | c5_2(U,V)
    | c1_2(U,a92) )).

cnf(clause101,negated_conjecture,
    ( ~ ssSkP0(U)
    | ~ ssSkC1
    | ~ ssSkC2
    | ~ c3_2(U,V)
    | ~ c1_2(U,V)
    | ~ ndr1_1(U)
    | ~ ndr1_0
    | c5_2(U,V)
    | c5_2(U,a92) )).

cnf(clause102,negated_conjecture,
    ( ~ c3_2(U,V)
    | ~ c5_2(U,V)
    | ~ ndr1_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c4_0
    | c1_2(U,V)
    | c4_1(U)
    | c2_0 )).

%--------------------------------------------------------------------------
