%--------------------------------------------------------------------------
% File     : SYN543-1 : TPTP v3.2.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=6, R=1, L=60, K=3, D=1, P=0, Index=088
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-6-1-60-3-1-088.cnf [Wei97]

% Status   : Satisfiable
% Rating   : 0.33 v3.2.0, 0.17 v3.1.0, 0.33 v2.7.0, 0.25 v2.6.0, 0.50 v2.5.0, 0.20 v2.4.0, 0.00 v2.2.1, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses     :  320 (  60 non-Horn;   0 unit; 309 RR)
%            Number of atoms       :  952 (   0 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :   72 (  66 propositional; 0-1 arity)
%            Number of functors    :   65 (  65 constant; 0-0 arity)
%            Number of variables   :  100 (   0 singleton)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( ~ hskp64
    | ndr1_0 )).

cnf(clause2,negated_conjecture,
    ( ~ hskp63
    | ndr1_0 )).

cnf(clause3,negated_conjecture,
    ( ~ hskp62
    | ndr1_0 )).

cnf(clause4,negated_conjecture,
    ( ~ hskp61
    | ndr1_0 )).

cnf(clause5,negated_conjecture,
    ( ~ hskp60
    | ndr1_0 )).

cnf(clause6,negated_conjecture,
    ( ~ hskp59
    | ndr1_0 )).

cnf(clause7,negated_conjecture,
    ( ~ hskp58
    | ndr1_0 )).

cnf(clause8,negated_conjecture,
    ( ~ hskp57
    | ndr1_0 )).

cnf(clause9,negated_conjecture,
    ( ~ hskp56
    | ndr1_0 )).

cnf(clause10,negated_conjecture,
    ( ~ hskp55
    | ndr1_0 )).

cnf(clause11,negated_conjecture,
    ( ~ hskp54
    | ndr1_0 )).

cnf(clause12,negated_conjecture,
    ( ~ hskp53
    | ndr1_0 )).

cnf(clause13,negated_conjecture,
    ( ~ hskp52
    | ndr1_0 )).

cnf(clause14,negated_conjecture,
    ( ~ hskp51
    | ndr1_0 )).

cnf(clause15,negated_conjecture,
    ( ~ hskp50
    | ndr1_0 )).

cnf(clause16,negated_conjecture,
    ( ~ hskp49
    | ndr1_0 )).

cnf(clause17,negated_conjecture,
    ( ~ hskp48
    | ndr1_0 )).

cnf(clause18,negated_conjecture,
    ( ~ hskp47
    | ndr1_0 )).

cnf(clause19,negated_conjecture,
    ( ~ hskp46
    | ndr1_0 )).

cnf(clause20,negated_conjecture,
    ( ~ hskp45
    | ndr1_0 )).

cnf(clause21,negated_conjecture,
    ( ~ hskp44
    | ndr1_0 )).

cnf(clause22,negated_conjecture,
    ( ~ hskp43
    | ndr1_0 )).

cnf(clause23,negated_conjecture,
    ( ~ hskp42
    | ndr1_0 )).

cnf(clause24,negated_conjecture,
    ( ~ hskp41
    | ndr1_0 )).

cnf(clause25,negated_conjecture,
    ( ~ hskp40
    | ndr1_0 )).

cnf(clause26,negated_conjecture,
    ( ~ hskp39
    | ndr1_0 )).

cnf(clause27,negated_conjecture,
    ( ~ hskp38
    | ndr1_0 )).

cnf(clause28,negated_conjecture,
    ( ~ hskp37
    | ndr1_0 )).

cnf(clause29,negated_conjecture,
    ( ~ hskp36
    | ndr1_0 )).

cnf(clause30,negated_conjecture,
    ( ~ hskp35
    | ndr1_0 )).

cnf(clause31,negated_conjecture,
    ( ~ hskp34
    | ndr1_0 )).

cnf(clause32,negated_conjecture,
    ( ~ hskp33
    | ndr1_0 )).

cnf(clause33,negated_conjecture,
    ( ~ hskp32
    | ndr1_0 )).

cnf(clause34,negated_conjecture,
    ( ~ hskp31
    | ndr1_0 )).

cnf(clause35,negated_conjecture,
    ( ~ hskp30
    | ndr1_0 )).

cnf(clause36,negated_conjecture,
    ( ~ hskp29
    | ndr1_0 )).

cnf(clause37,negated_conjecture,
    ( ~ hskp28
    | ndr1_0 )).

cnf(clause38,negated_conjecture,
    ( ~ hskp27
    | ndr1_0 )).

cnf(clause39,negated_conjecture,
    ( ~ hskp26
    | ndr1_0 )).

cnf(clause40,negated_conjecture,
    ( ~ hskp25
    | ndr1_0 )).

cnf(clause41,negated_conjecture,
    ( ~ hskp24
    | ndr1_0 )).

cnf(clause42,negated_conjecture,
    ( ~ hskp23
    | ndr1_0 )).

cnf(clause43,negated_conjecture,
    ( ~ hskp22
    | ndr1_0 )).

cnf(clause44,negated_conjecture,
    ( ~ hskp21
    | ndr1_0 )).

cnf(clause45,negated_conjecture,
    ( ~ hskp20
    | ndr1_0 )).

cnf(clause46,negated_conjecture,
    ( ~ hskp19
    | ndr1_0 )).

cnf(clause47,negated_conjecture,
    ( ~ hskp18
    | ndr1_0 )).

cnf(clause48,negated_conjecture,
    ( ~ hskp17
    | ndr1_0 )).

cnf(clause49,negated_conjecture,
    ( ~ hskp16
    | ndr1_0 )).

cnf(clause50,negated_conjecture,
    ( ~ hskp15
    | ndr1_0 )).

cnf(clause51,negated_conjecture,
    ( ~ hskp14
    | ndr1_0 )).

cnf(clause52,negated_conjecture,
    ( ~ hskp13
    | ndr1_0 )).

cnf(clause53,negated_conjecture,
    ( ~ hskp12
    | ndr1_0 )).

cnf(clause54,negated_conjecture,
    ( ~ hskp11
    | ndr1_0 )).

cnf(clause55,negated_conjecture,
    ( ~ hskp10
    | ndr1_0 )).

cnf(clause56,negated_conjecture,
    ( ~ hskp9
    | ndr1_0 )).

cnf(clause57,negated_conjecture,
    ( ~ hskp8
    | ndr1_0 )).

cnf(clause58,negated_conjecture,
    ( ~ hskp7
    | ndr1_0 )).

cnf(clause59,negated_conjecture,
    ( ~ hskp6
    | ndr1_0 )).

cnf(clause60,negated_conjecture,
    ( ~ hskp5
    | ndr1_0 )).

cnf(clause61,negated_conjecture,
    ( ~ hskp4
    | ndr1_0 )).

cnf(clause62,negated_conjecture,
    ( ~ hskp3
    | ndr1_0 )).

cnf(clause63,negated_conjecture,
    ( ~ hskp2
    | ndr1_0 )).

cnf(clause64,negated_conjecture,
    ( ~ hskp1
    | ndr1_0 )).

cnf(clause65,negated_conjecture,
    ( ~ hskp0
    | ndr1_0 )).

cnf(clause66,negated_conjecture,
    ( hskp63
    | hskp43
    | hskp44 )).

cnf(clause67,negated_conjecture,
    ( hskp38
    | hskp45
    | hskp46 )).

cnf(clause68,negated_conjecture,
    ( hskp47
    | hskp48
    | hskp21 )).

cnf(clause69,negated_conjecture,
    ( hskp49
    | hskp50
    | hskp51 )).

cnf(clause70,negated_conjecture,
    ( hskp52
    | hskp53
    | hskp54 )).

cnf(clause71,negated_conjecture,
    ( hskp41
    | hskp55
    | hskp64 )).

cnf(clause72,negated_conjecture,
    ( hskp56
    | hskp33
    | hskp57 )).

cnf(clause73,negated_conjecture,
    ( ~ hskp64
    | c3_1(a153) )).

cnf(clause74,negated_conjecture,
    ( ~ hskp64
    | c4_1(a153) )).

cnf(clause75,negated_conjecture,
    ( ~ hskp64
    | c5_1(a153) )).

cnf(clause76,negated_conjecture,
    ( ~ hskp63
    | c0_1(a136) )).

cnf(clause77,negated_conjecture,
    ( ~ hskp63
    | c1_1(a136) )).

cnf(clause78,negated_conjecture,
    ( ~ hskp63
    | c4_1(a136) )).

cnf(clause79,negated_conjecture,
    ( ~ hskp62
    | c0_1(a119) )).

cnf(clause80,negated_conjecture,
    ( ~ hskp62
    | c1_1(a119) )).

cnf(clause81,negated_conjecture,
    ( ~ hskp62
    | c2_1(a119) )).

cnf(clause82,negated_conjecture,
    ( ~ hskp61
    | c0_1(a102) )).

cnf(clause83,negated_conjecture,
    ( ~ hskp61
    | c2_1(a102) )).

cnf(clause84,negated_conjecture,
    ( ~ hskp61
    | c3_1(a102) )).

cnf(clause85,negated_conjecture,
    ( ~ hskp60
    | c1_1(a101) )).

cnf(clause86,negated_conjecture,
    ( ~ hskp60
    | c3_1(a101) )).

cnf(clause87,negated_conjecture,
    ( ~ hskp60
    | c5_1(a101) )).

cnf(clause88,negated_conjecture,
    ( ~ hskp59
    | c0_1(a79) )).

cnf(clause89,negated_conjecture,
    ( ~ hskp59
    | c3_1(a79) )).

cnf(clause90,negated_conjecture,
    ( ~ hskp59
    | c4_1(a79) )).

cnf(clause91,negated_conjecture,
    ( ~ hskp58
    | c1_1(a78) )).

cnf(clause92,negated_conjecture,
    ( ~ hskp58
    | c2_1(a78) )).

cnf(clause93,negated_conjecture,
    ( ~ hskp58
    | c3_1(a78) )).

cnf(clause94,negated_conjecture,
    ( ~ hskp57
    | c5_1(a156) )).

cnf(clause95,negated_conjecture,
    ( ~ hskp56
    | c3_1(a154) )).

cnf(clause96,negated_conjecture,
    ( ~ hskp55
    | c2_1(a152) )).

cnf(clause97,negated_conjecture,
    ( ~ hskp54
    | c4_1(a150) )).

cnf(clause98,negated_conjecture,
    ( ~ hskp53
    | c2_1(a149) )).

cnf(clause99,negated_conjecture,
    ( ~ hskp52
    | c1_1(a148) )).

cnf(clause100,negated_conjecture,
    ( ~ hskp52
    | c4_1(a148) )).

cnf(clause101,negated_conjecture,
    ( ~ hskp51
    | c4_1(a147) )).

cnf(clause102,negated_conjecture,
    ( ~ hskp51
    | c5_1(a147) )).

cnf(clause103,negated_conjecture,
    ( ~ hskp50
    | c2_1(a146) )).

cnf(clause104,negated_conjecture,
    ( ~ hskp50
    | c5_1(a146) )).

cnf(clause105,negated_conjecture,
    ( ~ hskp49
    | c1_1(a145) )).

cnf(clause106,negated_conjecture,
    ( ~ hskp49
    | c3_1(a145) )).

cnf(clause107,negated_conjecture,
    ( ~ hskp48
    | c0_1(a143) )).

cnf(clause108,negated_conjecture,
    ( ~ hskp47
    | c0_1(a142) )).

cnf(clause109,negated_conjecture,
    ( ~ hskp47
    | c5_1(a142) )).

cnf(clause110,negated_conjecture,
    ( ~ hskp45
    | c4_1(a140) )).

cnf(clause111,negated_conjecture,
    ( ~ hskp44
    | c4_1(a138) )).

cnf(clause112,negated_conjecture,
    ( ~ hskp43
    | c3_1(a137) )).

cnf(clause113,negated_conjecture,
    ( ~ hskp41
    | c1_1(a133) )).

cnf(clause114,negated_conjecture,
    ( ~ hskp40
    | c1_1(a131) )).

cnf(clause115,negated_conjecture,
    ( ~ hskp40
    | c2_1(a131) )).

cnf(clause116,negated_conjecture,
    ( ~ hskp39
    | c1_1(a129) )).

cnf(clause117,negated_conjecture,
    ( ~ hskp39
    | c2_1(a129) )).

cnf(clause118,negated_conjecture,
    ( ~ hskp38
    | c0_1(a128) )).

cnf(clause119,negated_conjecture,
    ( ~ hskp38
    | c4_1(a128) )).

cnf(clause120,negated_conjecture,
    ( ~ hskp37
    | c2_1(a127) )).

cnf(clause121,negated_conjecture,
    ( ~ hskp36
    | c0_1(a126) )).

cnf(clause122,negated_conjecture,
    ( ~ hskp36
    | c3_1(a126) )).

cnf(clause123,negated_conjecture,
    ( ~ hskp35
    | c4_1(a125) )).

cnf(clause124,negated_conjecture,
    ( ~ hskp34
    | c0_1(a124) )).

cnf(clause125,negated_conjecture,
    ( ~ hskp34
    | c3_1(a124) )).

cnf(clause126,negated_conjecture,
    ( ~ hskp33
    | c4_1(a123) )).

cnf(clause127,negated_conjecture,
    ( ~ hskp33
    | c5_1(a123) )).

cnf(clause128,negated_conjecture,
    ( ~ hskp32
    | c3_1(a121) )).

cnf(clause129,negated_conjecture,
    ( ~ hskp32
    | c4_1(a121) )).

cnf(clause130,negated_conjecture,
    ( ~ hskp31
    | c0_1(a120) )).

cnf(clause131,negated_conjecture,
    ( ~ hskp31
    | c2_1(a120) )).

cnf(clause132,negated_conjecture,
    ( ~ hskp30
    | c5_1(a118) )).

cnf(clause133,negated_conjecture,
    ( ~ hskp29
    | c2_1(a117) )).

cnf(clause134,negated_conjecture,
    ( ~ hskp27
    | c5_1(a115) )).

cnf(clause135,negated_conjecture,
    ( ~ hskp25
    | c1_1(a113) )).

cnf(clause136,negated_conjecture,
    ( ~ hskp25
    | c2_1(a113) )).

cnf(clause137,negated_conjecture,
    ( ~ hskp24
    | c2_1(a111) )).

cnf(clause138,negated_conjecture,
    ( ~ hskp23
    | c1_1(a109) )).

cnf(clause139,negated_conjecture,
    ( ~ hskp21
    | c2_1(a106) )).

cnf(clause140,negated_conjecture,
    ( ~ hskp21
    | c3_1(a106) )).

cnf(clause141,negated_conjecture,
    ( ~ hskp20
    | c0_1(a105) )).

cnf(clause142,negated_conjecture,
    ( ~ hskp20
    | c1_1(a105) )).

cnf(clause143,negated_conjecture,
    ( ~ hskp19
    | c3_1(a103) )).

cnf(clause144,negated_conjecture,
    ( ~ hskp18
    | c3_1(a100) )).

cnf(clause145,negated_conjecture,
    ( ~ hskp17
    | c3_1(a99) )).

cnf(clause146,negated_conjecture,
    ( ~ hskp17
    | c4_1(a99) )).

cnf(clause147,negated_conjecture,
    ( ~ hskp16
    | c0_1(a98) )).

cnf(clause148,negated_conjecture,
    ( ~ hskp16
    | c3_1(a98) )).

cnf(clause149,negated_conjecture,
    ( ~ hskp15
    | c2_1(a97) )).

cnf(clause150,negated_conjecture,
    ( ~ hskp15
    | c5_1(a97) )).

cnf(clause151,negated_conjecture,
    ( ~ hskp14
    | c5_1(a96) )).

cnf(clause152,negated_conjecture,
    ( ~ hskp13
    | c0_1(a95) )).

cnf(clause153,negated_conjecture,
    ( ~ hskp13
    | c2_1(a95) )).

cnf(clause154,negated_conjecture,
    ( ~ hskp12
    | c3_1(a94) )).

cnf(clause155,negated_conjecture,
    ( ~ hskp11
    | c0_1(a93) )).

cnf(clause156,negated_conjecture,
    ( ~ hskp10
    | c3_1(a92) )).

cnf(clause157,negated_conjecture,
    ( ~ hskp8
    | c1_1(a90) )).

cnf(clause158,negated_conjecture,
    ( ~ hskp7
    | c1_1(a89) )).

cnf(clause159,negated_conjecture,
    ( ~ hskp7
    | c3_1(a89) )).

cnf(clause160,negated_conjecture,
    ( ~ hskp6
    | c2_1(a87) )).

cnf(clause161,negated_conjecture,
    ( ~ hskp6
    | c3_1(a87) )).

cnf(clause162,negated_conjecture,
    ( ~ hskp5
    | c2_1(a86) )).

cnf(clause163,negated_conjecture,
    ( ~ hskp5
    | c4_1(a86) )).

cnf(clause164,negated_conjecture,
    ( ~ hskp4
    | c0_1(a85) )).

cnf(clause165,negated_conjecture,
    ( ~ hskp4
    | c4_1(a85) )).

cnf(clause166,negated_conjecture,
    ( ~ hskp3
    | c5_1(a84) )).

cnf(clause167,negated_conjecture,
    ( ~ hskp2
    | c2_1(a82) )).

cnf(clause168,negated_conjecture,
    ( ~ hskp0
    | c4_1(a80) )).

cnf(clause169,negated_conjecture,
    ( ~ hskp0
    | c5_1(a80) )).

cnf(clause170,negated_conjecture,
    ( ~ c0_1(a156)
    | ~ hskp57 )).

cnf(clause171,negated_conjecture,
    ( ~ c3_1(a156)
    | ~ hskp57 )).

cnf(clause172,negated_conjecture,
    ( ~ c0_1(a154)
    | ~ hskp56 )).

cnf(clause173,negated_conjecture,
    ( ~ c2_1(a154)
    | ~ hskp56 )).

cnf(clause174,negated_conjecture,
    ( ~ c4_1(a152)
    | ~ hskp55 )).

cnf(clause175,negated_conjecture,
    ( ~ c5_1(a152)
    | ~ hskp55 )).

cnf(clause176,negated_conjecture,
    ( ~ c0_1(a150)
    | ~ hskp54 )).

cnf(clause177,negated_conjecture,
    ( ~ c1_1(a150)
    | ~ hskp54 )).

cnf(clause178,negated_conjecture,
    ( ~ c3_1(a149)
    | ~ hskp53 )).

cnf(clause179,negated_conjecture,
    ( ~ c4_1(a149)
    | ~ hskp53 )).

cnf(clause180,negated_conjecture,
    ( ~ c5_1(a148)
    | ~ hskp52 )).

cnf(clause181,negated_conjecture,
    ( ~ c3_1(a147)
    | ~ hskp51 )).

cnf(clause182,negated_conjecture,
    ( ~ c1_1(a146)
    | ~ hskp50 )).

cnf(clause183,negated_conjecture,
    ( ~ c5_1(a145)
    | ~ hskp49 )).

cnf(clause184,negated_conjecture,
    ( ~ c2_1(a143)
    | ~ hskp48 )).

cnf(clause185,negated_conjecture,
    ( ~ c3_1(a143)
    | ~ hskp48 )).

cnf(clause186,negated_conjecture,
    ( ~ c2_1(a142)
    | ~ hskp47 )).

cnf(clause187,negated_conjecture,
    ( ~ c0_1(a141)
    | ~ hskp46 )).

cnf(clause188,negated_conjecture,
    ( ~ c1_1(a141)
    | ~ hskp46 )).

cnf(clause189,negated_conjecture,
    ( ~ c2_1(a141)
    | ~ hskp46 )).

cnf(clause190,negated_conjecture,
    ( ~ c3_1(a140)
    | ~ hskp45 )).

cnf(clause191,negated_conjecture,
    ( ~ c5_1(a140)
    | ~ hskp45 )).

cnf(clause192,negated_conjecture,
    ( ~ c1_1(a138)
    | ~ hskp44 )).

cnf(clause193,negated_conjecture,
    ( ~ c3_1(a138)
    | ~ hskp44 )).

cnf(clause194,negated_conjecture,
    ( ~ c2_1(a137)
    | ~ hskp43 )).

cnf(clause195,negated_conjecture,
    ( ~ c5_1(a137)
    | ~ hskp43 )).

cnf(clause196,negated_conjecture,
    ( ~ c0_1(a135)
    | ~ hskp42 )).

cnf(clause197,negated_conjecture,
    ( ~ c2_1(a135)
    | ~ hskp42 )).

cnf(clause198,negated_conjecture,
    ( ~ c3_1(a135)
    | ~ hskp42 )).

cnf(clause199,negated_conjecture,
    ( ~ c3_1(a133)
    | ~ hskp41 )).

cnf(clause200,negated_conjecture,
    ( ~ c5_1(a133)
    | ~ hskp41 )).

cnf(clause201,negated_conjecture,
    ( ~ c3_1(a131)
    | ~ hskp40 )).

cnf(clause202,negated_conjecture,
    ( ~ c4_1(a129)
    | ~ hskp39 )).

cnf(clause203,negated_conjecture,
    ( ~ c1_1(a128)
    | ~ hskp38 )).

cnf(clause204,negated_conjecture,
    ( ~ c1_1(a127)
    | ~ hskp37 )).

cnf(clause205,negated_conjecture,
    ( ~ c4_1(a127)
    | ~ hskp37 )).

cnf(clause206,negated_conjecture,
    ( ~ c2_1(a126)
    | ~ hskp36 )).

cnf(clause207,negated_conjecture,
    ( ~ c0_1(a125)
    | ~ hskp35 )).

cnf(clause208,negated_conjecture,
    ( ~ c3_1(a125)
    | ~ hskp35 )).

cnf(clause209,negated_conjecture,
    ( ~ c5_1(a124)
    | ~ hskp34 )).

cnf(clause210,negated_conjecture,
    ( ~ c0_1(a123)
    | ~ hskp33 )).

cnf(clause211,negated_conjecture,
    ( ~ c0_1(a121)
    | ~ hskp32 )).

cnf(clause212,negated_conjecture,
    ( ~ c4_1(a120)
    | ~ hskp31 )).

cnf(clause213,negated_conjecture,
    ( ~ c0_1(a118)
    | ~ hskp30 )).

cnf(clause214,negated_conjecture,
    ( ~ c1_1(a118)
    | ~ hskp30 )).

cnf(clause215,negated_conjecture,
    ( ~ c3_1(a117)
    | ~ hskp29 )).

cnf(clause216,negated_conjecture,
    ( ~ c5_1(a117)
    | ~ hskp29 )).

cnf(clause217,negated_conjecture,
    ( ~ c3_1(a116)
    | ~ hskp28 )).

cnf(clause218,negated_conjecture,
    ( ~ c4_1(a116)
    | ~ hskp28 )).

cnf(clause219,negated_conjecture,
    ( ~ c5_1(a116)
    | ~ hskp28 )).

cnf(clause220,negated_conjecture,
    ( ~ c0_1(a115)
    | ~ hskp27 )).

cnf(clause221,negated_conjecture,
    ( ~ c2_1(a115)
    | ~ hskp27 )).

cnf(clause222,negated_conjecture,
    ( ~ c1_1(a114)
    | ~ hskp26 )).

cnf(clause223,negated_conjecture,
    ( ~ c2_1(a114)
    | ~ hskp26 )).

cnf(clause224,negated_conjecture,
    ( ~ c4_1(a114)
    | ~ hskp26 )).

cnf(clause225,negated_conjecture,
    ( ~ c0_1(a113)
    | ~ hskp25 )).

cnf(clause226,negated_conjecture,
    ( ~ c0_1(a111)
    | ~ hskp24 )).

cnf(clause227,negated_conjecture,
    ( ~ c5_1(a111)
    | ~ hskp24 )).

cnf(clause228,negated_conjecture,
    ( ~ c3_1(a109)
    | ~ hskp23 )).

cnf(clause229,negated_conjecture,
    ( ~ c4_1(a109)
    | ~ hskp23 )).

cnf(clause230,negated_conjecture,
    ( ~ c0_1(a108)
    | ~ hskp22 )).

cnf(clause231,negated_conjecture,
    ( ~ c3_1(a108)
    | ~ hskp22 )).

cnf(clause232,negated_conjecture,
    ( ~ c5_1(a108)
    | ~ hskp22 )).

cnf(clause233,negated_conjecture,
    ( ~ c4_1(a106)
    | ~ hskp21 )).

cnf(clause234,negated_conjecture,
    ( ~ c5_1(a105)
    | ~ hskp20 )).

cnf(clause235,negated_conjecture,
    ( ~ c1_1(a103)
    | ~ hskp19 )).

cnf(clause236,negated_conjecture,
    ( ~ c5_1(a103)
    | ~ hskp19 )).

cnf(clause237,negated_conjecture,
    ( ~ c0_1(a100)
    | ~ hskp18 )).

cnf(clause238,negated_conjecture,
    ( ~ c5_1(a100)
    | ~ hskp18 )).

cnf(clause239,negated_conjecture,
    ( ~ c5_1(a99)
    | ~ hskp17 )).

cnf(clause240,negated_conjecture,
    ( ~ c4_1(a98)
    | ~ hskp16 )).

cnf(clause241,negated_conjecture,
    ( ~ c3_1(a97)
    | ~ hskp15 )).

cnf(clause242,negated_conjecture,
    ( ~ c1_1(a96)
    | ~ hskp14 )).

cnf(clause243,negated_conjecture,
    ( ~ c2_1(a96)
    | ~ hskp14 )).

cnf(clause244,negated_conjecture,
    ( ~ c5_1(a95)
    | ~ hskp13 )).

cnf(clause245,negated_conjecture,
    ( ~ c1_1(a94)
    | ~ hskp12 )).

cnf(clause246,negated_conjecture,
    ( ~ c4_1(a94)
    | ~ hskp12 )).

cnf(clause247,negated_conjecture,
    ( ~ c3_1(a93)
    | ~ hskp11 )).

cnf(clause248,negated_conjecture,
    ( ~ c5_1(a93)
    | ~ hskp11 )).

cnf(clause249,negated_conjecture,
    ( ~ c0_1(a92)
    | ~ hskp10 )).

cnf(clause250,negated_conjecture,
    ( ~ c4_1(a92)
    | ~ hskp10 )).

cnf(clause251,negated_conjecture,
    ( ~ c1_1(a91)
    | ~ hskp9 )).

cnf(clause252,negated_conjecture,
    ( ~ c2_1(a91)
    | ~ hskp9 )).

cnf(clause253,negated_conjecture,
    ( ~ c3_1(a91)
    | ~ hskp9 )).

cnf(clause254,negated_conjecture,
    ( ~ c2_1(a90)
    | ~ hskp8 )).

cnf(clause255,negated_conjecture,
    ( ~ c4_1(a90)
    | ~ hskp8 )).

cnf(clause256,negated_conjecture,
    ( ~ c0_1(a89)
    | ~ hskp7 )).

cnf(clause257,negated_conjecture,
    ( ~ c0_1(a87)
    | ~ hskp6 )).

cnf(clause258,negated_conjecture,
    ( ~ c3_1(a86)
    | ~ hskp5 )).

cnf(clause259,negated_conjecture,
    ( ~ c2_1(a85)
    | ~ hskp4 )).

cnf(clause260,negated_conjecture,
    ( ~ c3_1(a84)
    | ~ hskp3 )).

cnf(clause261,negated_conjecture,
    ( ~ c4_1(a84)
    | ~ hskp3 )).

cnf(clause262,negated_conjecture,
    ( ~ c0_1(a82)
    | ~ hskp2 )).

cnf(clause263,negated_conjecture,
    ( ~ c1_1(a82)
    | ~ hskp2 )).

cnf(clause264,negated_conjecture,
    ( ~ c1_1(a81)
    | ~ hskp1 )).

cnf(clause265,negated_conjecture,
    ( ~ c4_1(a81)
    | ~ hskp1 )).

cnf(clause266,negated_conjecture,
    ( ~ c5_1(a81)
    | ~ hskp1 )).

cnf(clause267,negated_conjecture,
    ( ~ c1_1(a80)
    | ~ hskp0 )).

cnf(clause268,negated_conjecture,
    ( ~ ndr1_0
    | c0_1(U)
    | c1_1(U)
    | c4_1(U)
    | hskp0
    | hskp1 )).

cnf(clause269,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c4_1(U)
    | c5_1(U)
    | hskp62 )).

cnf(clause270,negated_conjecture,
    ( ~ c4_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c2_1(U)
    | hskp13
    | hskp14 )).

cnf(clause271,negated_conjecture,
    ( ~ c4_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c3_1(U)
    | hskp17
    | hskp18 )).

cnf(clause272,negated_conjecture,
    ( ~ c5_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c4_1(U)
    | hskp10
    | hskp22 )).

cnf(clause273,negated_conjecture,
    ( ~ c4_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c5_1(U)
    | hskp27
    | hskp28 )).

cnf(clause274,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c4_1(U)
    | c5_1(U)
    | hskp29
    | hskp30 )).

cnf(clause275,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp8
    | hskp9 )).

cnf(clause276,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp24
    | hskp1 )).

cnf(clause277,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp25
    | hskp26 )).

cnf(clause278,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c4_1(U)
    | hskp31
    | hskp32 )).

cnf(clause279,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c5_1(U)
    | hskp13
    | hskp33 )).

cnf(clause280,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c5_1(U)
    | hskp34
    | hskp35 )).

cnf(clause281,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c5_1(U)
    | hskp36
    | hskp37 )).

cnf(clause282,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | c5_1(U)
    | hskp38
    | hskp39 )).

cnf(clause283,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | hskp25
    | hskp40 )).

cnf(clause284,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c4_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | hskp20
    | hskp41 )).

cnf(clause285,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c4_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | hskp12
    | hskp42 )).

cnf(clause286,negated_conjecture,
    ( ~ c4_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c3_1(U)
    | c0_1(V)
    | c1_1(V)
    | c4_1(V)
    | hskp59 )).

cnf(clause287,negated_conjecture,
    ( ~ c4_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c3_1(U)
    | c1_1(V)
    | c2_1(V)
    | c4_1(V)
    | hskp12 )).

cnf(clause288,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c0_1(V)
    | c1_1(V)
    | c4_1(V)
    | hskp58 )).

cnf(clause289,negated_conjecture,
    ( ~ c4_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c1_1(U)
    | c5_1(U)
    | c0_1(V)
    | c1_1(V)
    | hskp2 )).

cnf(clause290,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c0_1(U)
    | c4_1(U)
    | c0_1(V)
    | c2_1(V)
    | hskp3 )).

cnf(clause291,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c4_1(V)
    | c2_1(U)
    | c5_1(U)
    | c0_1(V)
    | c3_1(V)
    | hskp5 )).

cnf(clause292,negated_conjecture,
    ( ~ c4_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c2_1(U)
    | c5_1(U)
    | c0_1(V)
    | c4_1(V)
    | hskp1 )).

cnf(clause293,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c1_1(U)
    | c3_1(U)
    | c0_1(V)
    | c4_1(V)
    | hskp7 )).

cnf(clause294,negated_conjecture,
    ( ~ ndr1_0
    | ~ c3_1(U)
    | ~ c5_1(U)
    | c3_1(V)
    | c4_1(V)
    | c5_1(V)
    | c0_1(U)
    | hskp11 )).

cnf(clause295,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | c2_1(U)
    | c5_1(U)
    | c2_1(V)
    | c4_1(V)
    | hskp0 )).

cnf(clause296,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c5_1(U)
    | c0_1(V)
    | c1_1(V)
    | hskp59 )).

cnf(clause297,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c2_1(U)
    | c0_1(V)
    | c3_1(V)
    | hskp4 )).

cnf(clause298,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | ~ c4_1(V)
    | c3_1(U)
    | c0_1(V)
    | c3_1(V)
    | hskp6 )).

cnf(clause299,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c5_1(V)
    | c1_1(U)
    | c2_1(U)
    | c0_1(V)
    | hskp10 )).

cnf(clause300,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | c1_1(V)
    | c3_1(V)
    | c5_1(V)
    | hskp15 )).

cnf(clause301,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | c2_1(U)
    | c1_1(V)
    | c3_1(V)
    | hskp16 )).

cnf(clause302,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c5_1(V)
    | c5_1(U)
    | c1_1(V)
    | c3_1(V)
    | hskp60 )).

cnf(clause303,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | c1_1(V)
    | c4_1(V)
    | c5_1(V)
    | hskp61 )).

cnf(clause304,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c4_1(V)
    | c4_1(U)
    | c5_1(U)
    | c1_1(V)
    | hskp19 )).

cnf(clause305,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | c5_1(U)
    | c2_1(V)
    | c4_1(V)
    | hskp20 )).

cnf(clause306,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c5_1(V)
    | c5_1(U)
    | c2_1(V)
    | c4_1(V)
    | hskp21 )).

cnf(clause307,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c2_1(U)
    | c2_1(V)
    | c5_1(V)
    | hskp23 )).

cnf(clause308,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c1_1(V)
    | c5_1(U)
    | c2_1(V)
    | hskp4 )).

cnf(clause309,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c4_1(V)
    | c4_1(U)
    | c5_1(U)
    | c1_1(W)
    | c4_1(W)
    | c5_1(W)
    | c0_1(V)
    | c2_1(V) )).

cnf(clause310,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | c4_1(U)
    | c5_1(U)
    | c3_1(V)
    | c5_1(V)
    | c0_1(W)
    | c3_1(W)
    | c4_1(W) )).

cnf(clause311,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c5_1(W)
    | c3_1(U)
    | c5_1(U)
    | c2_1(V)
    | c3_1(V)
    | c0_1(W)
    | c3_1(W) )).

cnf(clause312,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c2_1(V)
    | c3_1(U)
    | c5_1(U)
    | c2_1(W)
    | c4_1(W)
    | c5_1(W)
    | c1_1(V) )).

cnf(clause313,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c3_1(W)
    | c0_1(U)
    | c0_1(V)
    | c5_1(V)
    | c0_1(W)
    | c1_1(W) )).

cnf(clause314,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c4_1(V)
    | ~ c3_1(W)
    | c2_1(U)
    | c4_1(U)
    | c0_1(V)
    | c0_1(W)
    | c4_1(W) )).

cnf(clause315,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | c3_1(U)
    | c2_1(W)
    | c3_1(W)
    | c5_1(W)
    | c0_1(V) )).

cnf(clause316,negated_conjecture,
    ( ~ c5_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | ~ c1_1(W)
    | ~ c2_1(W)
    | c1_1(U)
    | c2_1(U)
    | c0_1(V)
    | c0_1(W) )).

cnf(clause317,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c1_1(V)
    | ~ c2_1(W)
    | c5_1(U)
    | c3_1(V)
    | c1_1(W)
    | c4_1(W) )).

cnf(clause318,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c3_1(W)
    | ~ c5_1(W)
    | c5_1(U)
    | c2_1(V)
    | c5_1(V)
    | c1_1(W) )).

cnf(clause319,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c4_1(V)
    | ~ c5_1(V)
    | ~ c4_1(W)
    | c5_1(U)
    | c3_1(V)
    | c2_1(W)
    | c3_1(W) )).

cnf(clause320,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c4_1(V)
    | ~ c1_1(W)
    | c3_1(V)
    | c2_1(W)
    | c4_1(W) )).

%--------------------------------------------------------------------------
