%--------------------------------------------------------------------------
% File     : TOP005-2 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Topology
% Problem  : Topology generated by a basis forms a topological space, part 5
% Version  : [WM89] axioms : Incomplete > Reduced & Augmented > Incomplete.
% English  : 

% Refs     : [WM89]  Wick & McCune (1989), Automated Reasoning about Elemen
% Source   : [WM89]
% Names    : Lemma 1e [WM89]

% Status   : Unsatisfiable
% Rating   : 0.33 v3.1.0, 0.17 v2.7.0, 0.12 v2.6.0, 0.33 v2.5.0, 0.20 v2.4.0, 0.00 v2.1.0, 0.12 v2.0.0
% Syntax   : Number of clauses     :   12 (   2 non-Horn;   2 unit;  10 RR)
%            Number of atoms       :   30 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   2 constant; 0-3 arity)
%            Number of variables   :   27 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            make them complete it is be necessary to add appropriate set 
%            theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
% include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
%----Sigma (union of members). 
cnf(union_of_members_1,axiom,
    ( ~ element_of_set(U,union_of_members(Vf))
    | element_of_set(U,f1(Vf,U)) )).

cnf(union_of_members_2,axiom,
    ( ~ element_of_set(U,union_of_members(Vf))
    | element_of_collection(f1(Vf,U),Vf) )).

%----Topology generated by a basis 
cnf(topology_generated_37,axiom,
    ( ~ element_of_collection(U,top_of_basis(Vf))
    | ~ element_of_set(X,U)
    | element_of_set(X,f10(Vf,U,X)) )).

cnf(topology_generated_38,axiom,
    ( ~ element_of_collection(U,top_of_basis(Vf))
    | ~ element_of_set(X,U)
    | element_of_collection(f10(Vf,U,X),Vf) )).

cnf(topology_generated_39,axiom,
    ( ~ element_of_collection(U,top_of_basis(Vf))
    | ~ element_of_set(X,U)
    | subset_sets(f10(Vf,U,X),U) )).

cnf(topology_generated_40,axiom,
    ( element_of_collection(U,top_of_basis(Vf))
    | element_of_set(f11(Vf,U),U) )).

cnf(topology_generated_41,axiom,
    ( element_of_collection(U,top_of_basis(Vf))
    | ~ element_of_set(f11(Vf,U),Uu11)
    | ~ element_of_collection(Uu11,Vf)
    | ~ subset_sets(Uu11,U) )).

cnf(set_theory_19,axiom,
    ( subset_sets(X,Y)
    | ~ element_of_set(U,X)
    | element_of_set(U,Y) )).

cnf(set_theory_20,axiom,
    ( ~ subset_sets(X,Y)
    | ~ element_of_collection(Y,Z)
    | subset_sets(X,union_of_members(Z)) )).

cnf(set_theory_21,axiom,
    ( ~ subset_collections(X,Y)
    | ~ element_of_collection(U,X)
    | element_of_collection(U,Y) )).

%----Not used in the reduced version 
% input_clause(lemma_1e_1,negated_conjecture,
%     [++basis(cx,f)]).

cnf(lemma_1e_2,negated_conjecture,
    ( subset_collections(g,top_of_basis(f)) )).

cnf(lemma_1e_3,negated_conjecture,
    ( ~ element_of_collection(union_of_members(g),top_of_basis(f)) )).

%--------------------------------------------------------------------------
