%--------------------------------------------------------------------------
% File     : TOP013-1 : TPTP v3.2.0. Released v1.0.0.
% Domain   : Topology
% Problem  : Properties of interior and closure
% Version  : [WM89] axioms : Incomplete.
% English  : The interior of A is a subset of A, which is a subset of the 
%            closure of A.

% Refs     : [WM89]  Wick & McCune (1989), Automated Reasoning about Elemen
% Source   : [WM89]
% Names    : Problem 8 [WM89]

% Status   : Satisfiable
% Rating   : 0.83 v3.2.0, 0.80 v3.1.0, 0.86 v2.7.0, 0.80 v2.6.0, 0.75 v2.5.0, 0.83 v2.4.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :  112 (  23 non-Horn;   2 unit; 107 RR)
%            Number of atoms       :  340 (   0 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :   22 (   0 propositional; 1-4 arity)
%            Number of functors    :   38 (   4 constant; 0-5 arity)
%            Number of variables   :  357 (  56 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
cnf(problem_8_139,negated_conjecture,
    ( topological_space(cx,ct) )).

cnf(problem_8_140,negated_conjecture,
    ( subset_sets(a,cx) )).

cnf(problem_8_141,negated_conjecture,
    ( ~ subset_sets(interior(a,cx,ct),a)
    | ~ subset_sets(a,closure(a,cx,ct)) )).

%--------------------------------------------------------------------------
